2019-02-08  Stefan Monnier  <monnier@iro.umontreal.ca>

	* auctex.el: Add requireds, keywords, and trailer

2019-02-08  Tassilo Horn  <tsdh@gnu.org>

	Release GNU AUCTeX 12.1.2 (now for real)

	* Version 12.1.2 released.

2019-02-08  Tassilo Horn  <tsdh@gnu.org>

	Revert "Add auctex-pkg.el and move version definition there"

	This reverts commit 3653ef07555d97feeeda762b1a47df78a156d0fd.

2019-02-08  Tassilo Horn  <tsdh@gnu.org>

	Release GNU AUCTeX 12.1.2

	* Version 12.1.2 released.

2019-02-08  Tassilo Horn  <tsdh@gnu.org>

	Add auctex-pkg.el and move version definition there

2019-02-08  Tassilo Horn  <tsdh@gnu.org>

	Merge remote-tracking branch 'origin/master' into externals/auctex

2019-02-02  Arash Esbati  <arash@gnu.org>

	Improve indenting and filling in "Form" environments

	* style/hyperref.el ("hyperref"): Add the "Form" environment to
	`LaTeX-document-regexp'.

2019-01-12  Arash Esbati  <arash@gnu.org>

	Add support for w and W column specifiers

	* style/array.el ("array"): Add column specifiers w and W to
	`LaTeX-array-column-letters'.

	* doc/changes.texi: Mention that counting columns is supported only if
	the align parameter is enclosed in braces.

2019-01-11  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Remove combatibility code for older emasen

	* tex.el (put): Don't put unnecessary property on
	`TeX-source-correlate-mode'.
	(TeX-clean): Remove fallback code for emacs 21.

2019-01-11  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Remove compatibility code for older emacsen

	* font-latex.el (put):
	* tex-style.el (put): Use `booleanp' instead of `TeX-booleanp'.
	* tex.el (put): Use `booleanp' instead of `TeX-booleanp'.
	(TeX-booleanp): Remove.

2019-01-11  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Remove compatibility code for older emacsen

	* context.el (ConTeXt-mode-common-initialization):
	* latex.el (TeX-latex-mode):
	* plain-tex.el (TeX-plain-tex-mode, ams-tex-mode):
	* tex-info.el (TeX-texinfo-mode): Use `run-mode-hooks' instead of
	`TeX-run-mode-hooks'.
	* tex.el (TeX-run-mode-hooks): Remove.

2019-01-11  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Fix test conditions on w32

	* tests/tex/command-expansion.el (TeX-command-detokenize): Correct
	`system-type' for w32.
	(TeX-command-expand-skip-file-name, TeX-command-expand-active-master): 
	Skip tests on w32.

2019-01-10  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Override some bindings in `TeX-mode-map' in Texinfo mode

	* tex-info.el (Texinfo-mode-map): Bind `self-insert-command' to
	"$", "^", "_" and "\" because they are normal characters in Texinfo 
	documents. Bind `TeX-insert-backslash' to "@" so that users benefit from
	`TeX-electric-macro' even in Texinfo mode.
	* tex.el (TeX-electric-escape): Update doc string.
	* doc/auctex.texi (Completion): Update description.
	* doc/changes.texi (News in 12.2): Mention the above changes.

2019-01-06  Arash Esbati  <arash@gnu.org>

	Update style/enumitem.el to package version 3.6

	* style/enumitem.el (LaTeX-enumitem-key-val-options): Update key=val
	options to v3.6.
	(LaTeX-enumitem-auto-cleanup): Use sharp-quote notation.
	("enumitem"): Query for trivlist environment depending of package 
	option. Add macro \Drawenumitemlabel and length \labelitem.
	(LaTeX-enumitem-package-options): Update package options.

2019-01-02  Arash Esbati  <arash@gnu.org>

	Skip macros and environments from pythontex

	* tex-ispell.el (TeX-ispell-skip-cmds-list): Add document macros of
	pythontex package.
	(TeX-ispell-skip-envs-list): Add environments provided by pythontex
	package. Add general verbatim macros.

2018-12-20  Ikumi Keita	 <ikumi@ikumi.que.jp>

	; * doc/auctex.texi (Completion): Fix typo.

2018-12-15  Arash Esbati  <arash@gnu.org>

	Improve completion for \url between url.el and hyperref.el

	* style/hyperref.el ("hyperref"): Comment the entry for "url" since the
	completion is provided via url.el.

	* style/url.el ("url"): Add a conditional to "url" in order to check if
	hyperref.el is loaded and then supply the argument in braces. Also check
	for hyperref.el. before adding "url" to
	`LaTeX-verbatim-macros-with-delims-local'.

2018-12-14  Arash Esbati  <arash@gnu.org>

	Add new style/pythontex.el

	* Makefile.in (STYLESRC): Add new style.

	* style/pythontex.el: New file.

2018-12-11  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Drop xemacs support and mule check from configure and Makefile

	* aclocal.m4:
	* configure.ac:
	* doc/Makefile.in: Drop xemacs support and mule check.
	* Makefile.in: Merge mule file into main files. Drop xemacs support.
	* prv-install.el: Remove.

2018-12-11  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Fix document

	* doc/auctex.texi (Completion): Correct wrong description and typo.
	(Cleaning): Add mention about variables related to AmSTeX mode.

2018-12-11  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Use ASCII apostrophe in code expample

	* doc/auctex.texi (): (I/O Correlation): Use APOSTROPHE(U+0027) rather 
	than RIGHT SINGLE QUOTATION MARK(U+2019) in code example. Add coding tag
	in Local Variables section.

2018-12-10  Ikumi Keita	 <ikumi@ikumi.que.jp>

	; * style/pst-plot.el (LaTeX-pstplot-cleanup): Fix typo.

2018-12-10  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Redefine support for \url in hyperref

	* style/hyperref.el ("hyperref"): Override the entry for \url macro in 
	url.el because hyperref.sty redefines the macro.

2018-12-10  Ikumi Keita	 <ikumi@ikumi.que.jp>

	; * tex.el (TeX-math-toggle-off-input-method): Fix doc string.

2018-12-10  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Revise description about CJK support

	* doc/auctex.texi (Internationalization): Revise description about CJK 
	support in Emacs and TeX.
	(Japanese): Fix typo and add index entries.

2018-12-10  Ikumi Keita	 <ikumi@ikumi.que.jp>

	; * doc/preview-latex.texi (preview-cache-preamble): Use @url{}.

2018-12-08  Arash Esbati  <arash@gnu.org>

	; Silence the compiler in styles for pstricks

	* style/pst-grad.el:
	* style/pst-slpe.el: Silence the compiler for the free variables
	`LaTeX-pst-fillstyle-list',
	`LaTeX-pst-parameters-completion-regexp' and
	`LaTeX-pst-parameters-name-list'.

	* style/pst-node.el: Silence the compiler for the functions
	`LaTeX-package-parameter-value',
	`LaTeX-package-parameters-pref-and-chosen',
	`LaTeX-package-parameters', `LaTeX-pst-angle', `LaTeX-pst-point' and
	`LaTeX-pst-arrows'.

	* style/pst-plot.el: Silence the compiler for the free variable
	`LaTeX-pstplot-datasets' by rearranging code. Silence the compiler for
	the functions free variables
	`LaTeX-pst-arrows', `LaTeX-pst-point', `TeX-arg-compl-list' and free
	variables `LaTeX-pst-parameters-completion-regexp' and
	`LaTeX-pst-parameters-name-list'.

2018-12-07  Arash Esbati  <arash@gnu.org>

	; Silence the compiler in styles for various functions and variables

	* style/alphanum.el: Silence the compiler for the function
	`reftex-match-string' and free variable `reftex-section-regexp'.

	* style/biblatex.el:
	* style/jurabib.el: Silence the compiler for the free variable
	`reftex-cite-format-builtin'.

	* style/bicaption.el: Silence the compiler for the functions
	`LaTeX-babel-active-languages',
	`LaTeX-polyglossia-active-languages' and the free variables
	`LaTeX-caption-supported-float-types' and
	`LaTeX-caption-key-val-options'.

	* style/caption.el: Silence the compiler for the functions
	`LaTeX-babel-active-languages',
	`LaTeX-polyglossia-active-languages' and the free variable
	`LaTeX-bicaption-key-val-options'.

	* style/emp.el (LaTeX-env-emp-gen): Silence the compiler and let-bind
	the variable `LaTeX-emp-fig-name'.
	(LaTeX-env-empfile): Silence the compiler and let-bind the variables
	`LaTeX-emp-file-name' and `mpost-emp-file-name'. Minor code
	rearrangements.

	* style/empheq.el: Silence the compiler for the function
	`LaTeX-item-equation-alignat' and the free variables
	`LaTeX-mathtools-package-options' and
	`font-latex-math-environments'.

	* style/exam.el: Silence the compiler for the free variable
	`LaTeX-article-class-options'.

	* style/fvextra.el: Silence the compiler for the free variable
	`LaTeX-fancyvrb-key-val-options-local'.

	* style/gloss-italian.el: Silence the compiler for the function
	`LaTeX-polyglossia-lang-option-member'.

	* style/mathtools.el: Silence the compiler for the free variable
	`LaTeX-amsmath-package-options'.

	* style/minted.el: Silence the compiler for the function
	`LaTeX-add-newfloat-DeclareFloatingEnvironments'.

	* style/pstricks.el (LaTeX-pst-point-in-parens)
	(LaTeX-pst-parameters-add): Escape character literals.

	* style/subcaption.el: Silence the compiler for the free variables
	`LaTeX-caption-key-val-options' and
	`LaTeX-caption-key-val-options-local'.

	* style/tcolorboxlib-raster.el: Silence the compiler for the free 
	variables `LaTeX-tcolorbox-keyval-options-full' and
	`LaTeX-tcolorbox-keyval-options-local'.

	* style/thm-restate.el: Silence the compiler for the function
	`LaTeX-thmtools-declaretheorem-list'.

2018-12-07  Arash Esbati  <arash@gnu.org>

	; Silence the compiler in styles for `LaTeX-x?color-definecolor-list'

	* style/breqn.el:
	* style/fontspec.el:
	* style/fvextra.el:
	* style/mdframed.el:
	* style/menukeys.el:
	* style/minted.el:
	* style/ntheorem.el:
	* style/tcolorbox.el:
	* style/textpos.el: Silence the compiler in the style files for the
	functions `LaTeX-color-definecolor-list' and
	`LaTeX-xcolor-definecolor-list'.

2018-12-07  Arash Esbati  <arash@gnu.org>

	; Silence the compiler in styles for `reftex-compile-variables'

	* style/floatrow.el:
	* style/ltxtable.el:
	* style/subfiles.el: Silence the compiler in the style files for the
	function `reftex-compile-variables'.

2018-12-07  Arash Esbati  <arash@gnu.org>

	; Silence the compiler in styles for `font-latex-add-to-syntax-alist'

	* style/german.el:
	* style/ngerman.el:
	* style/shortvrb.el: Silence the compiler in the style files for the
	function `font-latex-add-to-syntax-alist'.

2018-12-07  Arash Esbati  <arash@gnu.org>

	; Silence the compiler in styles for `font-latex-add-quotes'

	* style/bulgarian.el:
	* style/danish.el:
	* style/german.el:
	* style/gloss-italian.el:
	* style/icelandic.el:
	* style/italian.el:
	* style/ngerman.el:
	* style/polski.el:
	* style/slovak.el: Silence the compiler in the style files for the 
	function `font-latex-add-quotes'.

2018-12-07  Arash Esbati  <arash@gnu.org>

	; Silence the compiler in styles for
	`font-latex-syntactic-keywords-extra'

	* style/comment.el:
	* style/minted.el: Silence the compiler in the style files for the 
	variable `font-latex-syntactic-keywords-extra'.

2018-12-07  Arash Esbati  <arash@gnu.org>

	; Silence the compiler in styles for `font-latex-update-font-lock'

	* style/alltt.el:
	* style/beamer.el:
	* style/comment.el:
	* style/expl3.el:
	* style/fancyhdr.el:
	* style/fancyvrb.el:
	* style/listings.el:
	* style/minted.el:
	* style/url.el: Silence the compiler in the style files for the function
	`font-latex-update-font-lock'.

2018-12-07  Arash Esbati  <arash@gnu.org>

	; Silence the compiler in styles for `font-latex-add-keywords'.

	* style/Alegreya.el:
	* style/AlegreyaSans.el:
	* style/FiraMono.el:
	* style/FiraSans.el:
	* style/MinionPro.el:
	* style/MyriadPro.el:
	* style/XCharter.el:
	* style/acro.el:
	* style/acronym.el:
	* style/amsthm.el:
	* style/arabxetex.el:
	* style/array.el:
	* style/attachfile.el:
	* style/babel.el:
	* style/baskervaldx.el:
	* style/beamer.el:
	* style/biblatex.el:
	* style/bicaption.el:
	* style/bidi.el:
	* style/bm.el:
	* style/booktabs.el:
	* style/captcont.el:
	* style/caption.el:
	* style/cleveref.el:
	* style/color.el:
	* style/colortbl.el:
	* style/commath.el:
	* style/comment.el:
	* style/csquotes.el:
	* style/dashundergaps.el:
	* style/empheq.el:
	* style/enumitem.el:
	* style/environ.el:
	* style/epigraph.el:
	* style/erewhon.el:
	* style/exam.el:
	* style/fancyhdr.el:
	* style/fancyref.el:
	* style/fancyvrb.el:
	* style/fbb.el:
	* style/flashcards.el:
	* style/floatrow.el:
	* style/fontaxes.el:
	* style/fontspec.el:
	* style/footmisc.el:
	* style/geometry.el:
	* style/graphicx.el:
	* style/hologo.el:
	* style/hyperref.el:
	* style/ifluatex.el:
	* style/jurabib.el:
	* style/kpfonts.el:
	* style/letter.el:
	* style/lettrine.el:
	* style/listings.el:
	* style/longtable.el:
	* style/ltxtable.el:
	* style/luacode.el:
	* style/marginnote.el:
	* style/mathtools.el:
	* style/mdframed.el:
	* style/mdwlist.el:
	* style/menukeys.el:
	* style/metalogo.el:
	* style/mflogo.el:
	* style/minted.el:
	* style/mn2e.el:
	* style/mnras.el:
	* style/multirow.el:
	* style/nameref.el:
	* style/natbib.el:
	* style/newfloat.el:
	* style/newpxtext.el:
	* style/newtxtext.el:
	* style/newtxttt.el:
	* style/nicefrac.el:
	* style/nomencl.el:
	* style/ntheorem.el:
	* style/ocg-p.el:
	* style/ocgx.el:
	* style/paracol.el:
	* style/paralist.el:
	* style/pdfpages.el:
	* style/polyglossia.el:
	* style/preview.el:
	* style/relsize.el:
	* style/scrbase.el:
	* style/scrbook.el:
	* style/scrlttr2.el:
	* style/scrpage2.el:
	* style/scrreprt.el:
	* style/setspace.el:
	* style/siunitx.el:
	* style/sourcecodepro.el:
	* style/splitidx.el:
	* style/subcaption.el:
	* style/subfigure.el:
	* style/subfiles.el:
	* style/tcolorbox.el:
	* style/tcolorboxlib-raster.el:
	* style/theorem.el:
	* style/thmtools.el:
	* style/titleps.el:
	* style/titlesec.el:
	* style/titletoc.el:
	* style/transparent.el:
	* style/unicode-math.el:
	* style/units.el:
	* style/url.el:
	* style/varioref.el:
	* style/vwcol.el:
	* style/xcolor.el:
	* style/xparse.el:
	* style/xspace.el:
	* style/zlmtt.el: Silence the compiler in the style files for the 
	function `font-latex-add-keywords'.

2018-12-06  Arash Esbati  <arash@gnu.org>

	Improve handling of `TeX-insert-macro-default-style' in styles

	* latex.el (LaTeX-check-insert-macro-default-style): Add new macro. 
	This macro is intended for more complex functions in style files
	querying multiple optional and mandatory arguments and obeying the
	values of `TeX-insert-macro-default-style' and
	`current-prefix-arg'.

	* tex.el (TeX-parse-arguments): Add a comment about the new macro.

	* style/bicaption.el (LaTeX-arg-bicaption-bicaption):
	* style/caption.el (LaTeX-arg-caption-captionbox):
	* style/color.el (TeX-arg-color, TeX-arg-color-fcolorbox):
	* style/floatrow.el (LaTeX-floatrow-arg-floatbox):
	* style/xcolor.el (TeX-arg-xcolor-definecolor)
	(TeX-arg-xcolor-definecolorset, TeX-arg-xcolor)
	(TeX-arg-xcolor-fcolorbox): Use
	`LaTeX-check-insert-macro-default-style'.

2018-12-03  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Remove compatibility code for older emacsen

	* tex.el: Remove XEmacs compatibility definitions for
	`TeX-read-string', `TeX-active-mark', `TeX-activate-region',
	`line-beginning-position', `line-end-position' and
	`TeX-overlay-prioritize'.
	(TeX-activate-region): Remove compatibility code for older emacsen.

2018-12-03  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Remove TeX-maybe-remove-help, TeX-menu-with-help

	* tex.el (TeX-maybe-remove-help, TeX-menu-with-help): Remove.
	(TeX-mode-specific-command-menu-entries, TeX-fold-menu)
	(TeX-common-menu-entries):
	* context.el:
	* latex.el:
	* plain-tex.el:
	* tex-buf.el:
	* tex-info.el: Remove `TeX-menu-with-help' and fix indent.

2018-12-03  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Remove TeX-mark-active

	* tex.el (TeX-mark-active): Remove.
	(TeX-mode-specific-command-menu-entries):
	* style/dinbrief.el (LaTeX-dinbrief-insert)
	(LaTeX-dinbrief-env-recipient): Use the variable `mark-active' directly
	instead of the function
	`TeX-mark-active'.

2018-12-03  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Remove TeX-replace-regexp-in-string

	* tex.el (TeX-replace-regexp-in-string): Remove.
	* latex.el:
	* style/empheq.el:
	* style/floatrow.el:
	* style/tcolorbox.el:
	* style/xcolor.el: Use `replace-regexp-in-string' instead of
	`TeX-replace-regexp-in-string'.

2018-12-03  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Use `write-file-functions'

	* tex.el (VirTeX-common-initialization):
	* latex.el (BibTeX-auto-store): Use `write-file-functions' instead of
	obsolete
	`local-write-file-hooks' and `write-file-hooks'.  Also, use local hook.

2018-12-03  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Remove compatibility face

	* tex-buf.el (TeX-error-description-error)
	(TeX-error-description-warning, TeX-error-description-tex-said): Remove
	compatibility alternatives in `defface'.

2018-12-03  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Remove XEmacs compatibility code in tex-bar.el

	* tex-bar.el (TeX-bar-TeX-buttons, TeX-bar-LaTeX-buttons): Remove 
	Emacs/XEmacs choice of buttons.

2018-12-03  Ikumi Keita	 <ikumi@ikumi.que.jp>

	* tex-buf.el (TeX-special-mode): Use `define-derived-mode'.

2018-12-03  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Remove compatibility code for older emacsen

	* font-latex.el (font-latex-after-hacking-local-variables): Remove 
	fallback code for case `file-local-variables-alist' isn't available.

2018-12-03  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Remove compatibility code for older emacsen

	* font-latex.el (font-latex-doctex-^^A): Remove fallback for case
	`string-to-syntax' isn't available.

2018-12-03  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Remove compatibility code for older emacsen

	* latex.el (LaTeX-fill-region-as-para-do): Drop fallback for case
	`fill-delete-prefix' isn't available.

2018-12-03  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Adjust autoload cookie

	* tex-fold.el (TeX-fold-mode): Set autoload cookie directly to
	`define-minor-mode'.

2018-12-02  Arash Esbati  <arash@gnu.org>

	Remove unnecessary parentheses

	* style/geometry.el ("geometry"):
	* style/graphicx.el ("graphicx"): Remove unnecessary parentheses in
	option management.

2018-11-29  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Remove compatibility codes for older emacsen

	* tex-info.el (when, TeX-texinfo-mode):
	* tex.el (TeX-documentation-texdoc):
	* plain-tex.el (TeX-plain-tex-mode):
	* preview.el.in (preview-counter-find): Remove compatibility codes for
	older emacsen.

2018-11-29  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Use `declare-function' without `fboundp' test

	* latex.el:
	* tex-info.el: Use `declare-function' without `fboundp' test.

2018-11-29  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Remove references to older emacsens in comments and doc strings

	* bib-cite.el:
	* font-latex.el:
	* tex-fold.el:
	* tex-style.el:
	* style/graphicx.el Remove references on older emacsens in comments and
	doc strings

2018-11-29  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Remove references to XEmacs from the manual

	* RELEASE (): Delete the words "or XEmacs" and fill the paragraph.
	* doc/install.texi (Configure): Delete redundant line and words.

2018-11-29  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Clean up remnants of previous removal of compatibility codes

	* tex.el (TeX-mode-specific-command-menu): Delete irrelevant comment.
	* latex.el (LaTeX-indent-line): Clear out unused lines.

2018-11-29  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Add suggestions for non-privileged installation

	* doc/install.texi (Configure): Reorganize a paragraph and add @ref's.
	(Installation for non-privileged users): Add paragraphs to suggest to 
	supply options "--with-lispdir" and "--with-texmf-dir" etc. to configure
	when installing AUCTeX under the user's home directory.
	; (Prerequisites): Wrap the word "OS" with @acronym.
	; * doc/auctex.texi (Adding Support for Macros): Fix typo.
	; * doc/wininstall.texi (Detailed Installation Instructions): Fix path.

2018-11-26  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Defer running style hook until options are given actually

	* latex.el (LaTeX-arg-usepackage-read-packages-with-options): Don't run
	the style hooks before reading package options, just load the style
	files for completion of package options.
	(LaTeX-arg-usepackage): Run style hooks actually after the package 
	options are given.
	(TeX-arg-document): Don't run the style hooks before reading class 
	options, just load the style file for completion of class options. The
	style hooks are run afterward by `TeX-update-style' anyway.
	; Mark unused argument with underscore.
	* style/exam.el ("exam"): Prepare `LaTeX-exam-class-options' to have its
	full values outside the style hook along with the above idea.
	* style/mathtools.el ("mathtools"):
	* style/empheq.el ("empheq"):
	* style/graphics.el ("graphics"): Set `LaTeX-*****-package-options' 
	outside the style hook along with the above idea.

2018-11-26  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Fix not to run wrong style hooks

	* tex.el (TeX-style-hook-dialect-weight-alist): Add entry for 
	pseudo-dialect `:classopt'.
	(TeX-style-hook-dialect): Add description for `:classopt' in doc string.
	* latex.el (LaTeX-common-initialization): Assign style hooks for class
	options into pseudo-dialect `:classopt'. Don't set `TeX-PDF-from-DVI' in
	XeLaTeX document.
	; Use `LaTeX-dialect' instead of constant symbol `:latex'.
	(TeX-latex-mode): Run style hooks for class options in
	`TeX-update-style-hook', without altering `TeX-active-list'.
	* style/geometry.el ("geometry"):
	* style/graphicx.el ("graphicx"): Don't set `TeX-PDF-from-DVI' in 
	XeLaTeX document.
	* style/hyperref.el ("hyperref"): Set `TeX-PDF-from-DVI' to "Dvipdfmx" 
	when package option "dvipdfmx" is given for non-XeLaTeX document.
	* tests/latex/latex-test.el (LaTeX-style-hook-with-class-option): Refine
	tests.
	* doc/auctex.texi (Simple Style): Add descriptions for available 
	dialects including `:classopt'.

2018-11-24  Arash Esbati  <arash@gnu.org>

	Add new style/dashundergaps.el

	* Makefile.in (STYLESRC): Add new style.

	* style/dashundergaps.el: New file.

2018-11-16  Arash Esbati  <arash@gnu.org>

	Improve behavior of `TeX-arg-beamer-overlay-spec'

	* style/beamer.el (TeX-arg-beamer-overlay-spec): Use
	`TeX-argument-insert' in the body of the function and respect the 
	OPTIONAL argument.
	("beamer"): Enclose all occurrences of
	`TeX-arg-beamer-overlay-spec' in brackets in order to mark them as 
	optional.

2018-11-16  Arash Esbati  <arash@gnu.org>

	style/enumitem.el ("enumitem"): Use `TeX-argument-prompt' for query.

2018-11-15  Ikumi Keita	 <ikumi@ikumi.que.jp>

	; Fix typos and doc string

	* doc/auctex.texi:
	* latex.el: preceed{ing,ed} -> preced{ing,ed}
	(LaTeX--find-preceding-left-macro-name): Rename from wrongly-spelled
	`LaTeX-find-preceeding-left-macro-name'.  Change all the caller. Supply
	`define-obsolete-function-alias' for backward compatibility. Fix
	comments and doc strings.

2018-11-15  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Surround both \langle and \rangle with math delimiter

	* latex.el (LaTeX-math-insert): Typing "C-u ` (" used to result in
	"$\langle$\rangle" when `LaTeX-math-mode' and
	`LaTeX-electric-left-right-brace' are enabled.	Fix this to insert
	"$\langle\rangle$" instead.

2018-11-15  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Set `TeX-command-buffer' always (bug#33377)

	* tex-buf.el (TeX-command): Make sure to set `TeX-command-buffer' 
	always.

2018-11-10  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Adjust preview-latex in case sub file isn't in master directory

	* preview.el.in (preview-dvips-abort):
	(preview-gs-dvips-sentinel):
	(preview-dvipng-place-all): Make sure directory part of dvi file to be 
	deleted is removed because deletion takes place in master directory.
	(preview-start-pdf2dsc): Make sure directory part of pdf file is removed
	so that path for later use is constructed correctly.
	(preview-cache-preamble):
	(preview-region):
	(preview-document): Retain directory part of the file name to be passed
	to `preview-generate-preview' because `TeX-run-command' in
	`TeX-inline-preview-internal' doesn't recognize the right path 
	otherwise.
	(preview-generate-preview): Adjust in accord with the above change.

2018-11-09  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Don't block emacs during viewing document

	* tex.el (TeX-documentation-texdoc): Use asynchronous proces not to 
	block emacs during viewing document. Supply "%s" to `message' argument
	in case the shell output contains accidental %-sequence.

2018-11-02  Arash Esbati  <arash@gnu.org>

	* style/fancyvrb.el (LaTeX-fancyvrb-key-val-options): Add vspace key.

2018-10-31  Arash Esbati  <arash@gnu.org>

	Improve style/fancyvrb.el

	* style/fancyvrb.el (LaTeX-fancyvrb-arg-define-macro): Refactor code.
	Cater for starred version of user defined macros.  Add missing `,' in
	backquote constructs.
	(LaTeX-fancyvrb-arg-define-environment): Refactor code.
	("fancyvrb"): Add \Verb* macro incl. fontification.

2018-10-31  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Deal with space in path of MikTeX gs executable (Bug#32251)

	* preview.el.in (preview-gs-command): Wrap gs with
	`shell-quote-argument' in case it has space in its path.

2018-10-31  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Change regexp for clarity

	* preview.el.in (preview--decode-^^ab): Change regexp "[\x00-\xFF]+" to
	"[^[:multibyte:]]+" for clarity that it matches raw 8-bit bytes.

2018-10-30  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Make style hooks associated with class options valid again

	* latex.el (TeX-latex-mode): Add a function on `TeX-update-style-hook' 
	to run style hooks associated with class options.
	(LaTeX-common-initialization): Set `TeX-PDF-from-DVI' to suitable value
	when a class option "dvips" or "dvipdfmx" is given.
	* style/geometry.el ("geometry"):
	* style/graphicx.el ("graphicx"): Set `TeX-PDF-from-DVI' to "Dvipdfmx" 
	when a package option "dvipdfmx" is given.
	* tests/latex/latex-test.el (LaTeX-style-hook-with-class-option): New 
	test.

2018-10-30  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Deal with partial ^^-quoting in preview-latex

	If latex outputs a multibyte character as a mixture of raw 8-bit byte 
	and byte with ^^-quoting, we have to decode them as a whole.

	* preview.el.in (preview--decode-^^ab): Include raw 8-bit bytes which 
	already exist in the string as well when decoding with the given coding
	system.
	* tests/latex/preview-latex-test.el: New test.

2018-10-20  Arash Esbati  <arash@gnu.org>

	Extract caption for RefTeX's label context

	* style/listings.el (LaTeX-listings-reftex-label-context-function): New
	function.  Extract the caption in the optional argrument of the
	lstlisting environment and return it as a string for the context of a
	label.

2018-10-04  Tassilo Horn  <tsdh@gnu.org>

	Recompile...

2018-09-16  Tassilo Horn  <tsdh@gnu.org>

	Merge branch 'master' into externals/auctex

2018-09-07  Arash Esbati  <arash@gnu.org>

	Update style/lettrine.el to package version 2.21

	* style/lettrine.el (LaTeX-lettrine-key-val-options): Delete
	"Vone" option.
	("lettrine"): Delete \LettrineVonefalse macro.

2018-08-25  Arash Esbati  <arash@gnu.org>

	Update style/lettrine.el to package version 2.1

	* style/lettrine.el (LaTeX-lettrine-key-val-options): Add new keys
	"Vone" and "refstring".
	("lettrine"): Add new macros, minor rearrangements.

2018-08-09  Arash Esbati  <arash@gnu.org>

	Update style/lettrine.el to package version 2.01

	* style/lettrine.el (LaTeX-lettrine-key-val-options): Update key=val
	options.
	("lettrine"): Use correct functions on counters and lengths/dimensions
	provided by lettrine.sty. Add support for missing macros.

2018-08-09  Arash Esbati  <arash@gnu.org>

	; Remove unwanted spaces.

2018-08-09  Arash Esbati  <arash@gnu.org>

	Add new style/ocg-p.el and style/ocgx.el

	* Makefile.in (STYLESRC): Add new styles.

	* style/ocg-p.el:
	* style/ocgx.el: New files.

2018-07-17  Arash Esbati  <arash@gnu.org>

	Add \eqref to RefTeX's reference styles

	* style/amsmath.el ("amsmath"): Add \eqref to
	`reftex-ref-style-alist' when RefTeX is loaded and activate the 
	reference style.

2018-07-16  Arash Esbati  <arash@gnu.org>

	; Fix last commit and push missing Makefile.in.

2018-07-12  Arash Esbati  <arash@gnu.org>

	Add new style/thmtools.el and style/thm-restate.el

	* Makefile.in (STYLESRC): Add new styles.

	* style/thmtools.el:
	* style/thm-restate.el: New files.

2018-07-12  Arash Esbati  <arash@gnu.org>

	; * style/floatrow.el (LaTeX-floatrow-update-key-val-options): Use
	`setq' inside the loop.

2018-07-09  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Fix regression of `TeX-view'

	* tex-buf.el (TeX-active-master): Add dummy argument for compatibility. 
	In `TeX-view', `TeX-commmand' is called with
	`TeX-active-master', so the `file' argument is `TeX-active-master' in
	subsequent call of `TeX-command-expand'.  In that case,
	`TeX--master-or-region-file-with-extra-quotes' calls
	`TeX-active-master' with three arguments.
	(TeX--master-or-region-file-with-extra-quotes): Adapt doc string.
	* tex.el (TeX-expand-list-builtin): Adapt comment.
	* tests/tex/command-expansion.el (TeX-command-expand-active-master): New
	test.

2018-07-08  Arash Esbati  <arash@gnu.org>

	Add new style/marginnote.el

	* Makefile.in (STYLESRC): Add new style.

	* style/marginnote.el: New file.

2018-07-06  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Fix possible endless loop

	* tex.el (TeX-expand-list-builtin): Use symbol `file' for the entry
	"%T" so that special treatment for `file' about advancing matching 
	position in `TeX-command-expand' takes effect.
	* tests/tex/command-expansion.el (TeX-command-expand-skip-file-name): 
	New test.

2018-06-17  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Adjust test for known emacs bug

	* tests/latex/latex-test.el (LaTeX-includegraphics-extensions): Mark 
	emacs 26.1 as expected failure.

2018-06-04  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Make preamble caching robust to LuaLaTeX and (u)pLaTeX

	* preview.el.in (preview-cache-preamble): Modify .ini code so that LaTeX
	variants even without \pdfoutput can read unusual file names
	(with space or non-ascii character, or both) when preamble cache is 
	enabled.  The modified .ini code is kindly provided by jfbu
	<jfbu@free.fr>.
	(preview-dump-replacements, preview-undump-replacements): Add
	-file-line-error option to the undump- variable so that AUCTeX can 
	analyse the output from lualatex even with file name with space. It
	turned out that -kanji option is needed for platex even when dumping
	format file if the preamble contains Japanese characters. Thus modify
	the both variables so that -kanji option, if any, is retained.
	(TeX-inline-preview-internal): Revert the additional post process of the
	command line string introduced last year by me because it is no longer
	necessary by the above change on
	`preview-undump-replacements'.	Though this change disables -jobname 
	option again when lualatex is used with preamble cache, it would be fine
	because that concerns only very old lualatex binaries and that had
	always been the state before my commit just a year ago. The above three
	modifications fix bug#31685 and bug#31686.
	* tests/japanese/preview-latex.el
	(japanese-preview-preserve-kanji-option2): Arrange with the above 
	change.
	(japanese-preview-preserve-kanji-option3): New test.
	(japanese-preview-error-quote-shift-jis): Remove spurious backslash.
	* doc/preview-latex.texi (Key bindings and user-level lisp functions): 
	Add description about restriction of preamble cache on LaTeX variants.

2018-06-09  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Raise robustness of call of dvipng command

	* preview.el.in (preview-dvipng-command): Remove spurious quotes which 
	cause error for file names with space.	(bug#31684)
	(preview-dvipng-color-string): Replace single quotes with double quotes
	for w32 users.
	* doc/preview-latex.texi: (The preview images): Add warning that
	(u)pLaTeX is not compatible with dvipng.

2018-06-02  jfbu  <jfbu@free.fr>

	; Fix typos

	* preview.el.in (preview-undump-replacements):
	* tex-buf.el (TeX-quote-filename): Fix typos in comments.

	Signed-off-by: Ikumi Keita <ikumi@ikumi.que.jp>

2018-05-31  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Add note and test about the change involving non-ascii file name

	* doc/changes.texi (News in 12.2): Add note that support for standard 
	LaTeX without e-TeX extension is now very limited.
	* tests/tex/command-expansion.el (TeX-command-detokenize): New test to 
	check whether \input and \detokenize are supplied when necessary.

2018-05-28  Ikumi Keita	 <ikumi@ikumi.que.jp>

	TL 2018 non-ascii file name fix for preview-latex

	* preview.el.in (preview-LaTeX-command): Wrap file name after implicit
	\input in \detokenize{}.
	(preview-cache-preamble): Arrange the ini file code so that non-ascii 
	file name can be used with generated format file.  Be careful not to 
	lose capability of handling file name with space.
	(preview-undump-replacements): Use new TeX macro defined in the above 
	ini file code to accept even unusual file name with non-ascii character
	or space. Delegate quoting of format name to
	`TeX-inline-preview-internal' so that non-ascii character will not be
	quoted twice.
	(TeX-inline-preview-internal): Adjust to the above change.

2018-05-28  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Accept non-ascii file name in accord with change in TL 2018

	* tex.el (TeX-expand-list-builtin): Add new entry %T.  Same as %t, 
	except to enclose with \detokenize{} for non UTF-8 LaTeX when \input is
	supplmented. Adjust the entries %` and %' so that \input is supplemented
	only when any TeX code is present between them and leave the bind to
	`TeX-command-text' for later examination. The bind to `TeX-command-pos'
	is no longer retained.
	(TeX-command-list): Use %T for "LaTeX". Adjust "TeX" and "AmSTeX" as the
	same with "LaTeX" in the aspect that user can supply one's own TeX code,
	as well as any command line options, through
	`TeX-command-extra-options'.
	* tex-buf.el (TeX--master-or-region-file-with-extra-quotes): New 
	function to act as a wrapper of `TeX-master-file' and
	`TeX-region-file' inside `TeX-command-expand'.
	(TeX-command-expand): Use the above function as the value of `file' and
	get rid of tricky temporal overriding of `file' with lambda form.
	(TeX-region-create): Make the first line parsing of %&FORMAT construct,
	if any, to be valid even for region compilation. Discard text properties
	when constructing the content of _region_.tex. Drop bind check for
	`buffer-file-coding-system'.
	* tests/tex/command-expansion.el (TeX-command-expansion): Reflect the 
	change that \input is not necessarily supplemented now by %`-%' pair in
	`TeX-command-expand'.

2018-05-28  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Fix region compilation with \usepackage[utf8]{inputenc}

	* tex-buf.el (TeX-quote-filename): Wrap non-ascii characters in
	\unexpanded{} for non UTF-8 LaTeX so that raw file name is recovered.

2018-05-27  Arash Esbati  <arash@gnu.org>

	Quote %b expansion string for Zathura

	* tex.el (TeX-view-program-list-builtin): Guard %b expansion string for
	Zathura with quotes for file names with spaces
	(bug#31451).

2018-05-14  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Prepare for UTF-8 with BOM

	* tex-buf.el (TeX-adjust-process-coding-system): Don't use
	`utf-8-with-signature' to encode keyboard input for TeX process. Drop
	mule feature check.

2018-05-14  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Drop compatibility code for older emacsen in preview-latex

	We no longer need messy treatment with regard to coding system in 
	preview-latex since xemacs isn't supported anymore.

	* preview.el.in (preview-coding-system): Remove.
	(preview-error-quote): Simplify.  Discard RUN-CODING-SYSTEM argument.
	(preview--decode-^^ab): Drop mule feature check.
	(preview--convert-^^ab): Drop compatibility code for older emacsen.
	(preview-parse-messages): Remove `run-coding-system' argument from calls
	to `preview-error-quote'.
	(TeX-inline-preview-internal): Drop codes related to coding system.
	* prv-emacs.el (preview-buffer-recode-system): Remove.
	* tests/japanese/preview-latex.el
	(japanese-preview-error-quote-shift-jis): Remove `shift_jis' argument 
	from call to `preview-error-quote'. Remove unnecessary let bind on
	`TeX-japanese-process-output-coding-system'.
	(japanese-preview-process-coding-system): Remove.
	(japanese-preview-shift-jis):
	(japanese-preview-different-coding-system): Use `copy-sequence' on
	`process-environment' in order to guard it from temporal `setenv'.

2018-05-13  Ikumi Keita	 <ikumi@ikumi.que.jp>

	; * doc/changes.texi (News in 12.2): Add news about removed option.

2018-05-11  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Support UTF-8 with BOM in Japanese TeX documents

	* tex-jp.el (japanese-TeX-coding-ejsu): Consider the case the document 
	is encoded in UTF-8 with BOM, which begins to be supported in TeXLive 
	2018.

2018-05-10  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Replace another cl function with cl-lib

	* style/pstricks.el (eval-when-compile): Require cl-lib.
	(LaTeX-pst-cleanup): Replace `caddr' with `cl-caddr'.

2018-05-10  Ikumi Keita	 <ikumi@ikumi.que.jp>

	; * tex-jp.el (japanese-TeX-self-insert-command): Silence byte compiler.

2018-05-09  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Update URLs further

	* COPYING:
	* Makefile.in:
	* RELEASE:
	* bib-cite.el:
	* build-aux/gitlog-to-auctexlog:
	* latex/README:
	* latex/preview.dtx:
	* preview.el.in:
	* style/foils.el:
	* style/hyperref.el:
	* style/ifluatex.el:
	* style/luatextra.el:
	* style/mathtools.el:
	* style/pstricks.el:
	* tests/Makefile:
	* tex-buf.el:
	* tex.el: Update URLs.	Use https: rather than http: or ftp: where 
	possible.
	* build-aux/gitlog-to-changelog: Update URLs. Use `before-save-hook'
	instead of obsolete `write-file-hooks' in Local Variables section.

2018-05-07  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Update URLs

	* tex-site.el.in:
	* doc/auctex.texi:
	* doc/fdl.texi:
	* doc/install.texi:
	* doc/intro.texi:
	* doc/preview-readme.texi:
	* doc/wininstall.texi: Update URLs.  Use https: rather than http: or 
	ftp: where possible.
	* auctex.spec: Update URLs.  Use https: rather than http: or ftp: where
	possible. Remove xemacs support. Update required emacs version.

2018-05-06  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Adjust coding system for Japanese pTeX engine on w32

	Default coding system of Japanese pTeX engine in w32 TeXLive changed 
	from SHIFT JIS to UTF-8 in 2018.  Make tex-jp.el to work with both 
	TeXLive 2017 and 2018 on w32 platform, with higher priority on newer 
	engine with regard to the behavior in non default case.

	* tex-jp.el (japanese-TeX-use-kanji-opt-flag): Set default value to t 
	even on w32 platform.
	(japanese-TeX-set-process-coding-system): Change coding system for non 
	default case from `shift_jis' to `utf-8' on w32 platform.
	(TeX-expand-list-builtin): Remove mule feature check.

2018-05-05  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Remove obsolete option related to Japanese TeX

	* tex-jp.el (japanese-TeX-command-list): Remove.  Ataka-san and I
	(Ikumi) discussed this topic and decided to delete this option.
	* doc/auctex.texi (Japanese): Mention the above change.

2018-05-05  Ikumi Keita	 <ikumi@ikumi.que.jp>

	; * doc/auctex.texi (Processor Options): Add note of case in an option.

2018-05-05  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Fix previous removal of xemacs compatibility code

	* toolbar-x.el (toolbarx-default-toolbar-meaning-alist): Remove spurious
	quote formerly inside "," construct. Replace "`" with "'".

2018-04-26  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Prevent spurious newlines to be added

	* tex-fold.el (TeX-fold-overfull-p): Restore mandatory `and'.  The 
	removal of xemacs compatibility code previously done was a bit too 
	aggressive.

2018-04-19  Arash Esbati  <arash@gnu.org>

	; * tex.el (TeX-expand-list): Fix docstring (bug#31217).

2018-04-19  Arash Esbati  <arash@gnu.org>

	; * style/geometry.el (LaTeX-geometry-preamble-key-val-options): Add
	luatex key.

2018-04-16  Arash Esbati  <arash@gnu.org>

	Update key=val options to geometry package v5.8

	* style/geometry.el (LaTeX-geometry-preamble-key-val-options): Add new
	keys luatex, dvipdfmx and xdvipdfmx.  Delete duplicate entries.

2018-04-12  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Correct how `TeX-record-buffer' is used

	* tex-buf.el (TeX-pop-to-buffer): Use `TeX-record-buffer' in accord with 
	the documents.
	* doc/changes.texi: Mention the change and warn users who have 
	customized the option.

2018-04-12  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Correct record in changes.texi

	* doc/changes.texi (): Make a new section for release 12.2 and move 
	mention about change made after release 12.1 there.

2018-04-07  Arash Esbati  <arash@gnu.org>

	Quote %b expansion string for SumatraPDF

	* tex.el (TeX-view-program-list-builtin): Guard %b expansion string for
	SumatraPDF with quotes for file names with spaces
	(bug#30999).

2018-04-01  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Add support for dvipdfmx to \includegraphics

	* style/graphicx.el (LaTeX-includegraphics-extensions-list): Add support
	for dvipdfmx.
	* tests/latex/latex-test.el (LaTeX-includegraphics-extensions): New test
	to check whether correct extensions are generated.

2018-04-01  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Use `TeX-search-files-by-type' to assist input \includegraphics

	* style/graphicx.el (LaTeX-includegraphics-extensions-list): New 
	function.
	(LaTeX-includegraphics-extensions): Delegate most of its task to the 
	above new function and become its wrapper.
	(LaTeX-includegraphics-global-files): New variable.
	(LaTeX-includegraphics-read-file-TeX): Use `TeX-search-files-by-type' 
	rather than `TeX-search-files' and cache global value in the above new
	variable. Reflect the option
	`LaTeX-includegraphics-strip-extension-flag'.
	* tex.el (TeX-search-files-type-alist): Remove `graphics' entry, which
	is supplied in latex-mode by `LaTeX-search-files-type-alist'.
	(TeX-normal-mode): Add `LaTeX-includegraphics-global-files' to list of 
	variables to be cleared.

2018-04-01  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Resolve conflict of argument spec between regexp and literal

	* tex.el (TeX-search-files-kpathsea): Treat EXTENSIONS argument as a 
	list of regexps in accordance with other parts of AUCTeX.
	(TeX-ispell-document): Treat `TeX-file-extensions' as a list of regexps
	in accordance with other parts of AUCTeX.
	(TeX-file-extensions, TeX-Biber-file-extensions):
	(BibTeX-file-extensions, BibLaTeX-style-extensions):
	(BibTeX-style-extensions): Change custom type to regexp from string.
	(TeX-doc-extensions): Turn into list of regexps.
	* latex.el (LaTeX-split-bibs): Treat `TeX-Biber-file-extensions' as a 
	list of regexps in accordance with other parts of AUCTeX.

2018-03-29  Alex Branham  <branham@utexas.edu>

	Fix TeX-dwim-master

	* tex.el (TeX-dwim-master): `cl-return' is much easier to work with if 
	we're alerady using cl- functions, so convert `dolist' to `cl-loop.'

	Signed-off-by: Ikumi Keita <ikumi@ikumi.que.jp>

2018-03-29  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Make `TeX-clean' to work in ams-tex-mode

	* plain-tex.el (AmSTeX-clean-intermediate-suffixes, 
	AmSTeX-clean-output-suffixes): New customize options.
	(AmS-TeX-mode-hook): Move from tex.el.
	(AmSTeX-mode-command-menu, AmSTeX-mode-menu): Fix doc strings.
	(): Update copyright year.
	* tex.el (TeX-mode-prefix): Add an entry for AmS-TeX.
	(AmS-TeX-mode-hook): Move to plain-tex.el.

2018-03-29  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Make compatible with emacs 24

	* latex.el (TeX-read-label): Use `format' instead of `format-message' if
	the latter is not available.

2018-03-29  Jonathan Underwood	<jonathan.underwood@gmail.com>

	Fix incorrect FSF address

	* multi-prompt.el ():
	* style/comment.el ():
	* style/latexinfo.el (): Fix incorrect FSF address and whitespaces.

	Signed-off-by: Ikumi Keita <ikumi@ikumi.que.jp>

2018-03-20  Tassilo Horn  <tsdh@gnu.org>

	Release GNU AUCTeX 12.1.1

	* Version 12.1.1 released.

2018-03-20  Tassilo Horn  <tsdh@gnu.org>

	Merge from master

2018-03-20  Tassilo Horn  <tsdh@gnu.org>

	Merge branch 'master' into externals/auctex

2018-03-17  Ikumi Keita	 <ikumi@ikumi.que.jp>

	* style/amsmath.el ("amsmath"): Correct \cfrac spec.

2018-03-16  Alex Branham  <branham@utexas.edu>

	* tex.el (TeX-dwim-master): Prefer `cl-return' over `return'.

	Signed-off-by: Arash Esbati <arash@gnu.org>

2018-03-12  Arash Esbati  <arash@gnu.org>

	* font-latex.el (font-latex--get-script-props): Use `cl-case' instead of
	`case'.

2018-03-04  Arash Esbati  <arash@gnu.org>

	Add new function `TeX-arg-verb-delim-or-brace'

	* latex.el (TeX-arg-verb-delim-or-brace): New function for \verb like
	macros which take their argument either in delimiters or in braces.

	* doc/auctex.texi (Adding Macros): Document
	`TeX-arg-verb-delim-or-brace'.

	* style/listings.el ("listings"): Use
	`TeX-arg-verb-delim-or-brace' for \lstinline which also takes an 
	optional argument.

	* style/minted.el (LaTeX-minted-auto-cleanup, "minted"): Use
	`TeX-arg-verb-delim-or-brace' for \mintinline and new macros defined
	with \newmintinline.

	* style/url.el ("url"): Use `TeX-arg-verb-delim-or-brace' for \url and
	\path. Remove "{" from fontification or \url and \path.

2018-03-01  Alex Branham  <branham@utexas.edu>

	Remove cl from AUCTeX

	* tex.el: replace last 'cl with 'cl-lib
	* latex.el: replace cl function with cl-lib function

	Signed-off-by: Mosè Giordano <mose@gnu.org>

2018-03-01  Alex Branham  <branham@utexas.edu>

	Refine how we setup flymake backend function

	* latex.el: Add LaTeX-flymake to TeX-latex-mode
	* latex-flymake.el: Don't add to LaTeX-mode-hook

	Signed-off-by: Mosè Giordano <mose@gnu.org>

2018-02-21  Alex Branham  <branham@utexas.edu>

	Improve flymake documentation

	* doc/changes.texi:
	* doc/auctex.texi (Checking): Add Flymake support to manual.

	* latex-flymake.el: Add copyright notice and fix a quote.

	Signed-off-by: Arash Esbati <arash@gnu.org>

2018-02-20  Arash Esbati  <arash@gnu.org>

	* Makefile.in (AUCSRC): Add new file latex-flymake.el.

2018-02-18  Arash Esbati  <arash@gnu.org>

	* style/babel.el (LaTeX-babel-active-languages): Use `cl-pushnew'.

2018-02-17  Mosè Giordano  <mose@gnu.org>

	Replace cl with cl-lib in other files

	* latex.el (LaTeX-hanging-ampersand-position):
	* tex-fold.el (require):
	(TeX-fold-region-macro-or-env):
	(TeX-fold-update-at-point):
	* tex-info.el (require):
	(Texinfo-make-node-list):
	* toolbar-x.el (require):
	(toolbarx-good-option-list-p): Replace cl with cl-lib and corresponding
	macros.

2018-02-17  Mosè Giordano  <mose@gnu.org>

	Explicitly require Emacs 24

	* tex.el: Error when Emacs < 24 is used.

2018-02-17  Alex Branham  <branham@utexas.edu>

	Support flymake in Emacs 26+ using chktex

	* latex-flymake.el: New file.
	* latex.el (require): Require `latex-flymake' in Emacs >= 26.

2018-02-17  Alex Branham  <branham@utexas.edu>

	Replace cl with cl-lib

	* bib-cite.el (require):
	(psg-list-env):
	* font-latex.el (require):
	* latex.el (require):
	* style/babel.el (require):
	* style/caption.el (require):
	(LaTeX-caption-update-key-val-options):
	* style/empheq.el (require):
	(LaTeX-empheq-update-key-val-options):
	* style/enumitem.el (require):
	(LaTeX-enumitem-update-key-val-options):
	("enumitem"):
	* style/floatrow.el (require):
	(LaTeX-floatrow-update-key-val-options):
	* style/fvextra.el (require):
	(LaTeX-fvextra-update-key-val):
	* style/listings.el (require):
	(LaTeX-listings-update-style-key):
	* style/mdframed.el (require):
	(LaTeX-mdframed-update-style-key):
	* style/tcolorbox.el (require):
	(LaTeX-tcolorbox-update-style-key): Replace cl with cl-lib.

	Signed-off-by: Mosè Giordano <mose@gnu.org>

2018-01-25  Alex Branham  <branham@utexas.edu>

	Remove some obsolete functions

	* font-latex.el (font-latex-syntactic-face-function):
	* preview.el.in (preview-gs-restart):
	* tex-buf.el (TeX-run-background):
	(TeX-run-silent):
	* tex.el:
	(TeX-source-correlate-handle-TeX-region):
	(TeX-insert-macro):
	(TeX-doc):
	* texmathp.el (texmathp): Now that AuCTeX requires GNU Emacs 24.1 or
	greater, we can remove some functions that are obsolete in Emacs < 24.1

	Signed-off-by: Mosè Giordano <mose@gnu.org>

2018-01-12  Mosè Giordano  <mose@gnu.org>

	Do not actually write bug report instructions

	* tex.el (TeX-submit-bug-report): Use `propertize' to show instructions
	without
	 writing them in the message.

2018-01-01  Arash Esbati  <arash@gnu.org>

	; * texmathp.el: Update comment header.

2017-12-29  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Make sure `process-environment' is recovered after temporal setenv

	* preview.el.in (TeX-inline-preview-internal): Since `setenv' operates 
	destructively on `process-environment', use `copy-sequence' for maximal
	safety in order to guard its list structure.

2017-12-28  Arash Esbati  <arash@gnu.org>

	Add fontification for some core macros

	* font-latex.el (font-latex-built-in-keyword-classes): Add macros
	\addvspace, \raggedright and \raggedleft to function class.

2017-12-27  Arash Esbati  <arash@gnu.org>

	* texmathp.el (texmathp-tex-commands-default): Add entries for
	breqn.sty.

2017-12-21  Mosè Giordano  <mose@gnu.org>

	Restore some code erroneously removed from font-latex.el

	* font-latex.el (font-latex-make-sectioning-faces):
	(font-latex-user-keyword-classes):
	(font-latex-slide-title-face): Restore code.

2017-12-21  Mosè Giordano  <mose@gnu.org>

	Restore loading of prv-emacs

	* preview.el.in: Require prv-emacs.

2017-12-20  Mosè Giordano  <mose@gnu.org>

	Remove compatibility code for XEmacs in toolbar-x.el

	* toolbar-x.el (toolbarx--if-when-compile): Remove macro no more needed.
	(toolbarx-emacs-mount-popup-menu):
	(toolbarx-mount-popup-menu):
	(toolbarx-test-image-type):
	(toolbarx-test-button-type):
	(toolbarx-test-toolbar-type):
	(toolbarx-find-image):
	(toolbarx-emacs-add-button):
	(toolbarx-refresh):
	(toolbarx-install-toolbar):
	(toolbarx-default-toolbar-meaning-alist): Remove code for compatibility
	with XEmacs.
	(toolbarx-xemacs-mount-popup-menu):
	(toolbarx-xemacs-image-properties):
	(toolbarx-xemacs-button-properties):
	(toolbarx-xemacs-refresh-process-button-or-insert-list):
	(toolbarx-xemacs-refresh): Remove functions.

2017-12-20  Mosè Giordano  <mose@gnu.org>

	Remove compatibility code for XEmacs in font-latex.el

	* font-latex.el (font-latex-sectioning-5-face):
	(font-latex-update-sectioning-faces):
	(font-latex-make-sectioning-faces):
	(font-latex-user-keyword-classes):
	(font-latex-fontify-script):
	(font-latex-verbatim-face):
	(font-latex-slide-title-face):
	(font-latex-setup): Remove code for compatibility with XEmacs.

2017-12-20  Mosè Giordano  <mose@gnu.org>

	Remove compatibility code for XEmacs in tex-fold.el

	* tex-fold.el (TeX-fold-overfull-p):
	(TeX-fold-macro-nth-arg):
	(TeX-fold-hide-item):
	(TeX-fold-show-item):
	(TeX-fold-post-command): Remove code for compatibility with XEmacs.

2017-12-20  Mosè Giordano  <mose@gnu.org>

	Remove code for compatibility with very old emacsens in bib-cite.el

	* bib-cite.el (bib-cite-minor-mode):
	(bib-cite-setup-highlight-mouse-keymap):
	(bib-cite-fontify-help-as-bibtex):
	(bib-cite-fontify-help-as-latex):
	(bib-etags):
	(bib-highlight-mouse):
	(bib-toggle-highlight):
	(bib-guess-or-prompt-for-label):
	(bib-etags-find-noselect): Remove compatibility code.

2017-12-20  Mosè Giordano  <mose@gnu.org>

	Delte prv-xemacs.el

	* prv-xemacs.el: Delete file.
	* preview.el.in (preview): Remove code to load prv-xemacs.

2017-12-20  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Remove XEmacs compatibility code in tex-jp.el

	* tex-jp.el (japanese-TeX-set-process-coding-system)
	(japanese-TeX-coding-ejsu): Remove code for compatibility with XEmacs.

2017-12-20  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Delete unused options

	* tex-jp.el (japanese-TeX-command-default, 
	japanese-LaTeX-command-default): Remove them because they are no longer
	used anywhere in the current code.  Ataka-san and I (Ikumi) discussed
	this matter and agreed to dismiss them.
	* doc/auctex.texi: Reflect the above change.

2017-12-20  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Make sure `LaTeX-default-options' is honored

	* latex.el (TeX-arg-document): Use `LaTeX-default-options' as default of
	class options even when the respective `LaTeX-XXXX-class-options' is not
	set.

2017-12-17  Arash Esbati  <arash@gnu.org>

	Update style/bidi.el to package version 31.7

	* style/bidi.el (LaTeX-bidi-package-options): Add
	"extrafootnotefeatures" option.
	(LaTeX-env-bidi-bib): New function.
	("bidi"): Add missing macros and environments.	Add fontification 
	support.

2017-12-17  Arash Esbati  <arash@gnu.org>

	Add fontification for some core macros

	* font-latex.el (font-latex-built-in-keyword-classes): Fontify core
	macros \marginpar (reference), \LaTeXe (function) and
	\bibitem (textual).

2017-12-17  Mosè Giordano  <mose@gnu.org>

	Change encoding of Elisp source files to UTF-8

	* style/alphanum.el:
	* style/dk-bib.el:
	* style/doc.el:
	* style/inputenc.el:
	* style/jura.el:
	* style/ltx-base.el:
	* style/ltxdoc.el:
	* tex-font.el:
	* tex.el: Change coding of files to UTF-8.  Now that we require Emacs >=
	24 it
	 is always possible to use this encoding.

2017-12-17  Mosè Giordano  <mose@gnu.org>

	Remove code for compatibility with old Emacsens in tex.el

	* tex.el: Always require `crm', which is available in all supported
	version of
	 Emacs.
	(TeX-completing-read-multiple): Remove function definition for XEmacs.
	(TeX-view-predicate-list-builtin):
	(TeX-source-correlate-sync-source):
	(TeX-tree-expand):
	(TeX-comment-forward): Remove code for compatibility with old Emacsens.

2017-12-17  Mosè Giordano  <mose@gnu.org>

	Remove TeX-line-number-at-pos

	* tex.el (TeX-line-number-at-pos): Remove function and alias.
	* style/pdfsync.el (LaTeX-pdfsync-output-page):
	* tex-info.el (Texinfo-make-node-list): Replace `TeX-line-number-at-pos'
	with
	 `line-number-at-pos'.

2017-12-17  Mosè Giordano  <mose@gnu.org>

	Remove XEmacs compatibility code in tex.el

	* tex.el (TeX-source-correlate-gnuserv-p):
	(TeX-source-correlate-map):
	(VirTeX-common-initialization):
	(TeX-mode-map):
	(TeX-search-syntax-table): Remove code for compatibility with XEmacs.

2017-12-17  Mosè Giordano  <mose@gnu.org>

	Remove TeX-how-many function

	* tex.el (TeX-how-many): Remove function.
	* latex.el (LaTeX-hanging-ampersand-position): Replace `TeX-how-many'
	with
	 `how-many'.

2017-12-17  Mosè Giordano  <mose@gnu.org>

	Remove TeX-assoc-string

	* tex.el (TeX-assoc-string): Remove alias.
	(TeX-add-style-hook):
	(TeX-unload-style):
	(TeX-run-style-hooks):
	* tex-info.el (Texinfo-nodename-de-escape):
	(Texinfo-nodename-escape): Replace `TeX-assoc-string' with
	`assoc-string'.

2017-12-17  Mosè Giordano  <mose@gnu.org>

	Remove TeX-deactivate-mark

	* tex.el (TeX-deactivate-mark): Remove function.
	(TeX-argument-insert):
	* latex.el (LaTeX-env-item):
	* style/currvita.el (LaTeX-currvita-env-with-label):
	* style/dinbrief.el (LaTeX-dinbrief-insert):
	(LaTeX-dinbrief-env-recipient):
	* style/enumitem.el (LaTeX-enumitem-env-with-opts):
	* style/moodle.el (LaTeX-moodle-question-env-with-args):
	* style/tcolorboxlib-raster.el (LaTeX-tcolorbox-lib-raster-env-item):
	Replace
	 `TeX-deactivate-mark' with `deactivate-mark'.

2017-12-17  Mosè Giordano  <mose@gnu.org>

	Remove old compat functions for commenting and uncommenting

	* tex.el (TeX-comment-regio):
	(TeX-comment-or-uncomment-region):
	(TeX-uncomment-region): Remove old compatibility functions.
	* context.el (ConTeXt-mode-menu):
	* latex.el (LaTeX-mode-menu):
	* plain-tex.el (plain-TeX-menu-entries):
	* tex-info.el (Texinfo-mode-menu):
	* tex.el (TeX-mode-map):
	(TeX-in-comment):
	(TeX-in-commented-line): Replace compat functions with standard
	functions.

2017-12-17  Mosè Giordano  <mose@gnu.org>

	Remove XEmacs compatibility code in latex.el

	* latex.el (LaTeX-largest-level-set):
	(LaTeX-after-insert-env-hook):
	(LaTeX-indent-line):
	(LaTeX-fill-region-as-paragraph):
	(LaTeX-fill-newline):
	(LaTeX-common-initialization): Remove code for compatibility with
	XEmacs.
	(LaTeX-fill-delete-newlines): Remove function, no more needed.
	(LaTeX-fill-region-as-para-do): Replace `LaTeX-fill-delete-newlines'
	with
	`fill-delete-newlines'.

2017-12-17  Mosè Giordano  <mose@gnu.org>

	Remove XEmacs compatibility code in tex-buf.el

	* tex-buf.el (TeX-record-buffer): Always define this option.
	(TeX-recenter-output-buffer):
	(TeX-previous-error):
	(TeX-parse-TeX): Remove code for compatibility with XEmacs.
	(TeX-parse-error): Fix a bug in the regexp.
	(TeX-error-overview): Remove check for Emacs version.  Now this works in
	all supported versions.

2017-12-12  Tassilo Horn  <tsdh@gnu.org>

	Release GNU AUCTeX 12.1.0

	* Version 12.1.0 released.

2017-12-12  Tassilo Horn  <tsdh@gnu.org>

	Merge branch 'master' into externals/auctex

2017-12-10  Mosè Giordano  <mose@gnu.org>

	; Release_12.1

2017-12-10  Mosè Giordano  <mose@gnu.org>

	; make change-history-commit

2017-12-09  Mosè Giordano  <mose@gnu.org>

	Remove references to old Emacsen from the manual

2017-12-08  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Remove references to XEmacs from the manual

	* doc/intro.texi:
	* doc/preview-faq.texi:
	* doc/preview-latex.texi:
	* doc/preview-readme.texi: Remove references to XEmacs.

2017-12-06  Tassilo Horn  <tsdh@gnu.org>

	Release GNU AUCTeX 11.92.0

	* Version 11.92.0 released.

2017-12-06  Tassilo Horn  <tsdh@gnu.org>

	Merge from master up to release_11_92

2017-12-06  Tassilo Horn  <tsdh@gnu.org>

	Merge tag 'release_11_92' into externals/auctex

2017-12-04  Mosè Giordano  <mose@gnu.org>

	Remove references to XEmacs from the manual

	* doc/auctex.texi:
	* doc/faq.texi:
	* doc/install.texi:
	* doc/preview-faq.texi:
	* doc/preview-latex.texi:
	* doc/preview-problems.texi:
	* doc/quickstart.texi:
	* doc/tex-ref.tex:
	* doc/todo.texi:
	* doc/wininstall.texi: Remove references to XEmacs.

2017-12-03  Mosè Giordano  <mose@gnu.org>

	Prepare for new brand-new series of AUCTeX

	* RELEASE: Update version number and release notes.
	* doc/changes.texi: Update.
	* configure.ac:
	* doc/tex-ref.tex:
	* latex/preview.dtx: Update version number.
	* tex-site.el.in: Require Emacs 24 of higher.

2017-12-03  Mosè Giordano  <mose@gnu.org>

	; Release_11.92

2017-12-03  Mosè Giordano  <mose@gnu.org>

	; make change-history-commit

2017-12-03  Mosè Giordano  <mose@gnu.org>

	Prepare for upcoming release

	* RELEASE: Update version number and release notes.
	* doc/changes.texi: Mention bug fixes.
	* configure.ac:
	* doc/tex-ref.tex:
	* latex/preview.dtx: Update version number.

2017-12-04  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Fix auto detect of kpathsea delimeter

	* tex.el (TeX-kpathsea-detect-path-delimiter): New function.
	(TeX-kpathsea-path-delimiter): Use it to obtain the default value.
	(TeX-tree-expand): Use it to simplify auto detection method. Use
	`TeX-kpathsea-path-delimiter' for argument given to kpsewhich command. 
	Using constant ";" is completely wrong for most kpsewhich 
	implementation.

2017-11-30  Arash Esbati  <arash@gnu.org>

	Get rid of `delete-dups'

	* style/caption.el (LaTeX-caption-update-key-val-options):
	* style/enumitem.el (LaTeX-enumitem-update-key-val-options):
	* style/floatrow.el (LaTeX-floatrow-update-key-val-options):
	* style/graphicx.el (LaTeX-includegraphics-extensions):
	* style/listings.el (LaTeX-listings-update-style-key):
	* style/mdframed.el (LaTeX-mdframed-update-style-key):
	* style/menukeys.el (TeX-arg-menukeys-newmenumacro): Replace
	`delete-dups' with `TeX-delete-duplicate-strings'.

2017-11-30  Arash Esbati  <arash@gnu.org>

	* style/longtable.el ("longtable"): Use `make-local-variable'.

2017-11-30  Arash Esbati  <arash@gnu.org>

	* tex-ispell.el: Add entry for "xltabular" environment.

2017-11-30  Arash Esbati  <arash@gnu.org>

	Fix style/xltabular.el

	* style/xltabular.el (LaTeX-xltabular-skipping-regexp): New variable.
	(LaTeX-env-xltabular):
	(LaTeX-item-xltabular): New function.
	("xltabular"): Use the above functions in the style hook.

2017-11-30  Mosè Giordano  <mose@gnu.org>

	Reduce code duplication in tests

	* tests/make-test-deps.emacs-lisp: New file.
	* tests/Makefile (%.log): Load it make-test-deps.emacs-lisp when running
	tests.
	* tests/context/context-test.el:
	* tests/japanese/error-parsing.el:
	* tests/japanese/parse-timing.el:
	* tests/japanese/preview-latex.el:
	* tests/latex/latex-test.el:
	* tests/tex/error-parsing.el:
	* tests/tex/path-expansion.el:
	* tests/tex/utility.el: Remove code moved to make-test-deps.emacs-lisp.

2017-12-01  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Revert wrong test

	* tests/tex/path-expansion.el (TeX-kpathsea-delimiter-w32): Remove.

2017-12-01  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Add style path explicitly

	* tests/japanese/error-parsing.el ():
	* tests/japanese/parse-timing.el ():
	* tests/japanese/preview-latex.el (): Add "style" subdirectory in the 
	repository to `TeX-style-path' so we can load style files inside tests.

2017-11-30  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Re-implement auto-detect of path separator from kpsewhich output

	* tex.el (TeX-kpathsea-path-delimiter): Accept t for Autodetect again 
	and make it default on w32 platform.
	(TeX-tree-expand): Use heuristics as much as possible to determine the 
	path separator, paying attention to the case that it cannot be 
	determined.

2017-11-23  Tassilo Horn  <tsdh@gnu.org>

	Regenerate tex-site.el and docs

2017-11-23  Tassilo Horn  <tsdh@gnu.org>

	Merge branch 'master' into externals/auctex

2017-11-23  Tassilo Horn  <tsdh@gnu.org>

	Don't set company-minimum-prefix-length in tex mode buffers

	* tex.el (VirTeX-common-initialization): Don't set 
	company-minimum-prefix-length in tex mode buffers.

	AUCTeX used to set company-minimum-prefix-length to 1 initially because
	there aren't too many TeX completions provided by AUCTeX itself. 
	However, some users use multiple completion backends in TeX modes (like
	dabbrev for example), and then the number of completion candidates
	increases dramatically.

	Also see https://github.com/syl20bnr/spacemacs/issues/9388 and 
	https://github.com/alexeyr/company-auctex/issues/18.

2017-11-19  Arash Esbati  <arash@gnu.org>

	* doc/changes.texi: Mention compatibility of preview with GS 9.22.

2017-11-18  Arash Esbati  <arash@gnu.org>

	Improve style/epigraph.el

	* style/epigraph.el ("epigraph"): Leave point inside first pair of 
	braces for \epigraph and \qitem. Use `LaTeX-add-lengths' for skips
	instead of `TeX-add-symbols'. Use `TeX-arg-length' instead of
	`TeX-arg-size' for \dropchapter. Append qitem macro to
	`LaTeX-item-regexp'. Improve fontification.

2017-11-17  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Give proper argument to `TeX-command-expand'

	* preview.el.in (TeX-inline-preview-internal): Give `TeX-region-file' or
	`TeX-master-file' as `file' argument of `TeX-command-expand' when 
	preamble caching is enabled.  This argument used to be nil, which caused
	error when lualatex is in use.	The fourth element of the
	`luatex' entry of `TeX-engine-alist-builtin' contains "%s", which 
	eventually triggers the use of the `file' argument.

2017-11-16  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Add test for the recent change about `TeX-kpathsea-path-delimiter'

	* tests/tex/path-expansion.el (TeX-kpathsea-delimiter-w32): New test.

2017-11-15  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Document `TeX-view-evince-keep-focus'

	* doc/auctex.texi (Starting Viewers):
	* doc/changes.texi (News in 11.92): Document
	`TeX-view-evince-keep-focus'.

2017-11-14  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Document `TeX-math-input-method-off-regexp' properly.

	* doc/auctex.texi (Entering Mathematics):
	* doc/changes.texi (News in 11.92): Document
	`TeX-math-input-method-off-regexp'.

2017-11-13  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Mention the necessity of GNU make

	* doc/install.texi (Prerequisites): Add an item of GNU make. Fix
	copyright year.

2017-11-13  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Bug fix and code refactoring related to kpathsea

	* tex.el (TeX-kpathsea-path-delimiter): Use `path-separator' for default
	value.	Drop t from the candidates because auto detection sometimes
	fails for w32 platform.
	(TeX-tree-expand): Always use `TeX-kpathsea-path-delimiter' if non-nil. 
	Disable subsequent use of kpathsea if kpsewhich causes error or returns
	non-zero exit value. Accept nil for PROGRAM argument.
	(TeX-search-files-kpathsea): Always use `TeX-kpathsea-path-delimiter' if 
	non-nil. Use `TeX-tree-expand'. Don't signal error even if kpsewhich
	causes error or returns non-zero exit value.

2017-11-12  Arash Esbati  <arash@gnu.org>

	Add new style/xltabular.el

	* Makefile.in (STYLESRC): Add new style.

	* style/xltabular.el: New file.

2017-11-12  Arash Esbati  <arash@gnu.org>

	Add new function `LaTeX-env-longtable'

	* style/longtable.el (LaTeX-env-longtable): Add new function. Move the
	body of the anonymous function into this in order to make it available
	for other styles loading longtable.

2017-11-10  Ikumi Keita	 <ikumi@ikumi.que.jp>

	* tex.el (TeX-math-input-method-off-regexp): Turn defvar into defcustom.

2017-11-10  Ikumi Keita	 <ikumi@ikumi.que.jp>

	; * latex.el (LaTeX-document-style-hook): Fix a typo.

2017-11-06  David Kastrup  <dak@gnu.org>

	Remove use of .runandhide operator

	Ghostscript bug 698680
	<https://bugs.ghostscript.com/show_bug.cgi?id=698680> has been caused by
	the removal of the .runandhide operator in Ghostscript 9.22 upstream. 
	Since .runandhide has no longer been used in a security-critical manner,
	its operation can be emulated by storing the respective information in a
	.preview-ST variable.  Potentially malicious code would not be able to
	retrieve a non-safe "save" object from here.

2017-10-01  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Fix Copyright year

	* context-en.el, context-nl.el, latex.el, plain-tex.el:
	* preview.el.in, prv-xemacs.el, tex-bar.el, tex-buf.el:
	* tex-info.el, tex-site.el.in, tex-style.el, tex.el: Fix Copyright year.

2017-09-22  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Cosmetic Change

	* font-latex.el (font-latex-match-math-env): Quote "\[" with "\=" in doc
	string.
	(font-latex-add-to-syntax-alist): Delete duplicated line.

2017-09-22  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Fix doc strings and comments

	* plain-tex.el (TeX-plain-tex-mode, ams-tex-mode): Fix doc strings.
	* tex-fold.el (): Fix typo.

2017-09-22  Ikumi Keita	 <ikumi@ikumi.que.jp>

	; * doc/tex-ref.tex (): Fix typo and copyright year.

2017-09-22  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Make preview-latex parsing robust to fix Bug#20773, Bug#27088

	* preview.el.in (TeX-inline-preview-internal): Set environment variable
	max_print_line to sufficiently large value of 1000 so that LaTeX process
	does not insert newline in lines necessary to identify Bounding Boxes.

2017-09-22  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Add test abount truncation of list

	* tests/tex/path-expansion.el: New file to test whether
	`TeX-search-files-by-type' does not truncate the value of list variable.

2017-09-18  Ikumi Keita	 <ikumi@ikumi.que.jp>

	; * tex.el (TeX-doc-backend-alist): Use `TeX-search-files-by-type'.

2017-09-18  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Prevent possible truncation of list value

	* tex.el (TeX-search-files-by-type): Use
	`TeX-delete-duplicate-strings' instead of `delete-dups'.

2017-09-16  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Add a new option for evince compatible viewer.

	* tex.el: (TeX-view-evince-keep-focus): New option.
	(TeX-evince-sync-view-1): Pull the focus back to Emacs if the above new
	option is non-nil.

2017-09-15  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Make correct extensions are returned

	* style/graphicx.el (LaTeX-includegraphics-extensions): Fix misaligned
	form structure which prevented `cond' to enter clauses for engines other
	than default. Use copied list for the last argument of `append' so that
	`delete-dups' does not alter the value of
	`LaTeX-includegraphics-extensions'. Use `delete' rather than `remove'
	for copied sequence.
	():
	(LaTeX-includegraphics-read-file-relative): Fix typos.

2017-09-10  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Add test for infinite loop

	* tests/tex/utility.el: New file.

2017-09-10  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Parse package/class option with comments correctly

	* latex.el: (LaTeX-auto-class-regexp-list): Replace the regexp for 
	RequirePackage/LoadClass option with the same one for usepackage.
	* tests/latex/latex-test.el: Add test for the change above.

2017-09-02  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Conform to elisp coding convention

	* style/biblatex.el (LaTeX-arg-addbibresource)
	(LaTeX-biblatex-package-options):
	* style/fontspec.el (LaTeX-fontspec-arg-font): Add "done" message.
	* style/relsize.el ("relsize"): Tailor prompt string.
	* style/bidi.el: Remove spurious execution bit.

2017-09-01  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Prevent possible infinite loop

	* tex.el (TeX-delete-duplicate-strings): Make sure that comparison is 
	done with valid list elements.
	(TeX-delete-dups-by-car): Ditto. Use `TeX-sort-strings' and
	`TeX-car-string-lessp'.
	(TeX-car-string-lessp): Move the position of defun before the defcustom
	of `TeX-engine'.  Since the defcustom requires
	`TeX-delete-dups-by-car' at load time, all the functions used in
	`TeX-delete-dups-by-car' must be defined before the defcustom.

2017-08-31  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Use `delete' correctly for list variable

	* tex.el (TeX-search-files-kpathsea): Make sure that "." will be removed
	from the directory list even if "." is the first element of the list,
	when the SCOPE argument is `global'.

2017-08-27  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Add test for my commit on Aug 18

	* tests/japanese/parse-timing-test.tex:
	* tests/japanese/parse-timing.el: New file.

2017-08-26  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Fix doc string and indent

	* tex.el (TeX-PDF-from-DVI, TeX-insert-braces-alist)
	(TeX-arg-literal, TeX-auto-add-type): Fix doc string.
	(TeX-auto-parse-region): Fix indent.

2017-08-25  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Add %(PDF) when undumped format is used in preview-latex

	* preview.el.in (TeX-inline-preview-internal): Make pdflatex to be 
	called when default output is PDF and dumped format is used.  Although 
	it seems that if the dumped format is created by pdflatex, the format 
	produces PDF output even when the command name is (non-pdf) latex, it 
	would be better that pdflatex is used in that case, too.

2017-08-20  Arash Esbati  <arash@gnu.org>

	Add new style/arabxetex.el

	* Makefile.in (STYLESRC): Add new style.

	* style/arabxetex.el: New file.

2017-08-18  Vincent Belaïche  <vincent.b.1@hotmail.fr>

	Improvements for tex-info.el

	* tex-info.el (Texinfo-arg-nodename): Fix default prompt.
	(Texinfo-arg-lrc): New function, used for commands that take Left, 
	Center, and Right entries for setting page header.
	(Texinfo-arg-next-line): New function. Used to break line if need be
	after entering command argument.
	(Texinfo-arg-on|off): New function for entering boolean input.
	(TeX-texinfo-mode): Add TeX symbols `allowcodebreak', `atchar',
	`codequotebacktick', `codequoteundirected', `documentlanguage',
	`documentencoding', `evenfooting', `evenheading', `everyfooting',
	`everyheading', `LaTeX', `oddfooting', `oddheading',
	`setchapternewpage', and `url'.

2017-08-18  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Use #' to quote function names

	* tex-jp.el (japanese-plain-tex-mode-initialization, add-hook,
	japanese-latex-mode-initialization, japanese-TeX-reset-mode-name,
	TeX-insert-punctuation): Use #' to quote function names.

2017-08-18  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Delay setting Japanese TeX engine in `japanese-latex-mode'

	* tex-jp.el (japanese-latex-mode-initialization): The part which guesses
	and sets `TeX-engine' using `TeX-match-style' is factored out and put in
	`TeX-update-style-hook'.  `TeX-match-style' eventually triggers
	`TeX-update-style', which isn't appropriate in
	`LaTeX-mode-hook'.
	(japanese-LaTeX-guess-engine): New function.

2017-08-11  Arash Esbati  <arash@gnu.org>

	* style/XCharter.el ("XCharter"): Update to package v1.094 from
	2017/08/08.

2017-08-09  Arash Esbati  <arash@gnu.org>

	* style/amsthm.el ("amsthm"): Use `LaTeX-amsthm-env-label'.

2017-08-04  Arash Esbati  <arash@gnu.org>

	; * style/minted.el: Fix header.

2017-07-31  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Conform to elisp coding convention in context.el

	* context.el (ConTeXt-numbered-section-heading, 
	ConTeXt-unnumbered-section-heading, ConTeXt-environment): Tailor prompt
	string.
	(ConTeXt-menu-update): Add "done" messages.

2017-07-28  Tassilo Horn  <tsdh@gnu.org>

	Make tex-site.el target .PHONY

2017-07-27  Tassilo Horn  <tsdh@gnu.org>

	Fix AUCTeX-version

2017-07-25  Tassilo Horn  <tsdh@gnu.org>

	Release GNU AUCTeX 11.91.0

	* Version 11.91.0 released.

2017-07-25  Tassilo Horn  <tsdh@gnu.org>

	Merge branch 'master' into externals/auctex

2017-07-25  Stefan Monnier  <monnier@iro.umontreal.ca>

	* font-latex.el: Use the standard utf-8 rather than latin-1

2017-07-25  Stefan Monnier  <monnier@iro.umontreal.ca>

	Fix unescaped character literals

	* font-latex.el (font-latex-command-with-args-opt-arg-delims)
	* tex-fold.el (TeX-fold-expand-spec): Escape [ and ] character literals

2017-07-25  Tassilo Horn  <tsdh@gnu.org>

	Manually cherry-pick commit bc0db60e

2017-07-24  Mosè Giordano  <mose@gnu.org>

	; Release_11.91

2017-07-24  Mosè Giordano  <mose@gnu.org>

	; make change-history-commit

2017-07-24  Mosè Giordano  <mose@gnu.org>

	Prepare for upcoming release

2017-07-22  Arash Esbati  <arash@gnu.org>

	Update key=val options to minted package v2.5

	* style/minted.el (LaTeX-minted-key-val-options): Update options to
	package version v2.5 from 2017/07/19.

2017-07-22  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Conform to elisp coding conventions.

	* latex.el (LaTeX-section-heading, LaTeX-environment)
	(TeX-arg-document, LaTeX-arg-usepackage-read-packages-with-options)
	(TeX-arg-bibstyle, TeX-arg-bibliography, TeX-arg-verb)
	(LaTeX-fill-region): Taylor minibuffer prompt string. Add or taylor
	"done" messages.
	* tex-buf.el (TeX-command-query, TeX-printer-query): Ditto.
	* tex.el (TeX-master-file-ask, TeX-master-file, TeX-update-style)
	(TeX-auto-list-information, TeX-auto-generate): Ditto.

2017-07-21  Ikumi Keita	 <ikumi@ikumi.que.jp>

	* doc/changes.texi: Mention changes related to Japanese TeX.

2017-07-03  Arash Esbati  <arash@gnu.org>

	* doc/auctex.texi (European): Add babel languages which load english.el.

2017-07-03  Arash Esbati  <arash@gnu.org>

	Check and set `TeX-quote-language' if necessary

	* style/english.el ("english"): Reset `TeX-quote-language' to nil if
	changed by other babel language options.

2017-07-03  Arash Esbati  <arash@gnu.org>

	Add new style/australian.el and style/newzealand.el

	* Makefile.in (STYLESRC): Add new styles.

	* style/australian.el:
	* style/newzealand.el: New files.

2017-07-02  Arash Esbati  <arash@gnu.org>

	Add new style/canadian.el

	* Makefile.in (STYLESRC): Add new style.

	* style/canadian.el: New file.

2017-07-01  Arash Esbati  <arash@gnu.org>

	Add new style/moodle.el

	* Makefile.in (STYLESRC): Add new style.

	* style/moodle.el: New file.

2017-07-01  Arash Esbati  <arash@gnu.org>

	* latex.el (LaTeX-babel-hyphen-language-alist): Fix typo in docstring.

2017-06-17  Antoine Levitt  <antoine.levitt@gmail.com>

	Add support for xreader viewer

	* tex.el (TeX-evince-dbus-p):
	(TeX-evince-sync-view-1):
	(TeX-view-program-select-evince):
	(TeX-raise-frame-function):
	(TeX-source-correlate-mode): Adapt functions and docstrings to xreader.
	(TeX-xreader-sync-view): New function.
	(TeX-view-program-list-builtin): Add xreader.

	Signed-off-by: Mosè Giordano <mose@gnu.org>

2017-06-14  Arash Esbati  <arash@gnu.org>

	Update key=value options to graphicx package version 1.1a

	* style/graphicx.el (LaTeX-graphicx-key-val-options): Add new key=value
	options.
	(LaTeX-arg-graphicx-includegraphics-key-val): Support "pagebox" key with
	pdfTeX or LuaTeX.

2017-06-13  Arash Esbati  <arash@gnu.org>

	* style/beamer.el ("beamer"): Query for optional argument after \pause.

2017-06-13  Mosè Giordano  <mose@gnu.org>

	Suggest to rerun LaTeX if xsim properties changed

	* tex-buf.el (TeX-LaTeX-sentinel): Catch xsim warning suggesting to
	rerun LaTeX and set LaTeX and next default command.

2017-06-13  Mosè Giordano  <mose@gnu.org>

	Catch expl3 warnings

	* tex-buf.el (LaTeX-warnings-regexp): Adapt regexp to the style of expl3 
	warnings.
	* tests/tex/error-parsing.el (TeX-error-parsing-expl3-warnings): New
	test for expl3 warnings.

2017-06-02  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Correct actions on region file in included file not placed in master dir

	* tex-buf.el (TeX-command-region): Call `TeX-region-file' with nil
	`nondirectory' argument. Fix a typo in doc string.
	(TeX-command-default): Use `(TeX-region-file)' instead of `TeX-region' 
	for comparison with the given argument.

2017-05-31  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Imporve fix for Bug#26694

	* tex-buf.el (TeX-command): Update point in region file if the command
	is "View".
	(TeX-view):
	(TeX-region-create): Pass the above job to `TeX-command'.
	(TeX-region-update-point): Move point according to the column in the
	original buffer. Do nothing when `TeX-source-correlate-mode' is
	disabled. Use `TeX-current-offset' instead of `TeX-line-number-at-pos'
	in case narrowing is in effect in the original buffer.
	* preview.el.in (preview-at-point): Revert previous commit in accord
	with the changes above.
	* tex.el (TeX-evince-sync-view-1): Use `TeX-current-offset' instead of
	`TeX-line-number-at-pos' in case narrowing is in effect in the original
	buffer. Add FIXME comment about using `current-column'.
	(TeX-synctex-output-page-1): Ditto. Arrange regexp to pick up page
	number more correctly.
	(TeX-view-program-list-builtin): Remove spurious quotation around
	%b in SumatraPDF entry.

2017-05-29  Mosè Giordano  <mose@gnu.org>

	* tests/tex/compilation-log.txt:
	* tests/tex/error-parsing.el: Add test for error starting with
	exclamation mark.

2017-05-30  Ikumi Keita	 <ikumi@ikumi.que.jp>

	; * tex-buf.el (TeX-adjust-process-coding-system): Avoid a compilation
	warning.

2017-05-26  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Resolve preview-latex incompatibility with Japanese TeX (Bug#25322)

	* preview.el.in (preview-error-quote): Work consistently with decoded
	text.  The idea of "encoding entire string beforehand and decoding it at
	the last stage" was used previously, but that failed with
	`japanese-shift-jis' coding system containing bytes which happen to
	coincide with regexp meta characters.
	(preview--decode-^^ab):
	(preview--convert-^^ab): New functions.
	(TeX-inline-preview-internal): Record the process coding system for
	decode assigned already so that `preview-error-quote' can decode the
	given text correctly afterward.	 To achive that, change the role of
	`preview-coding-system' together with the changes to
	`preview-error-quote'. Give back the command options provided in
	`(TeX-engine-alist)' to latex command when preamble caching is enabled.
	(preview-coding-system): Modify doc string according to the changes
	above to `preview-error-quote' and
	`TeX-inline-preview-internal'.
	* tex-buf.el (TeX-adjust-process-coding-system): New function. Adjust
	the process coding system for asynchronous process launched within
	AUCTeX.
	(TeX-after-start-process-function): Change default value to
	`TeX-adjust-process-coding-system'.
	* tex-jp.el (japanese-TeX-set-process-coding-system): Specify end of
	line format on the coding systems assigned to process.
	(): Don't set `japanese-TeX-set-process-coding-system' to
	`TeX-after-start-process-function'.  It is now called within
	`TeX-adjust-process-coding-system'.
	* prv-xemacs.el (preview-buffer-recoding-alist): Fix docstring.
	(coding-system-change-eol-conversion): Add advice because XEmacs 21.4
	mule-ucs fails to define `utf-8' coding system to respond properly to
	this function.
	(preview-ps-quote-filename): Add advice so that this function is not
	confused by backslashes as path separator in the return value of XEmacs
	function.
	* tests/japanese/preview-latex.el:
	* tests/japanese/preview-error-test.tex:
	* tests/japanese/preview-error-test2.tex:
	* tests/japanese/prv-dif-code.tex: New files for regression test.

2017-05-21  Mosè Giordano  <mose@gnu.org>

	Fix indentation in ConTeXt mode after indented optional argument

	* context.el (ConTeXt-find-indent): Fix indentation.  Requested by Henri
	Menke.
	* tests/context/context-test.el:
	* tests/context/context-indentation-in.tex:
	* tests/context/context-indentation-out.tex: New test files.

2017-05-17  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Don't discard process output with `TeX-run-silent'

	* tex-buf.el (TeX-run-silent): Associate the process to the buffer
	"*TeX silent*".

2017-05-15  Ikumi Keita	 <ikumi@ikumi.que.jp>

	* tex.el (TeX-command-list): Fix typo in help string (mendex ->
	upmendex)

2017-05-12  Arash Esbati  <arash@gnu.org>

	* latex.el (LaTeX-env-label-as-keyval): Use
	`buffer-substring-no-properties'.

2017-05-11  Arash Esbati  <arash@gnu.org>

	* doc/changes.texi: Document recent changes.

2017-05-10  Arash Esbati  <arash@gnu.org>

	* tests/latex/fontification-general.tex: New file.

2017-05-10  Arash Esbati  <arash@gnu.org>

	Exclude arguments to math environments from fontification

	* font-latex.el (font-latex-match-math-envII)
	(font-latex-extend-region-backwards-math-envII): Match and exclude 
	optional and mandatory argument(s) to math environments from 
	fontification.

2017-05-08  Arash Esbati  <arash@gnu.org>

	Improve further the exclusion of reserved characters

	* font-latex.el (font-latex-match-simple-exclude-list): New variable.
	(font-latex-match-simple-command): Use
	`font-latex-match-simple-exclude-list'.	 Add check for docTeX mode in
	order to remove "_" from the list.

2017-05-07  Stefan Monnier  <monnier@iro.umontreal.ca>

	* font-latex.el: Use the standard utf-8 rather than latin-1

2017-05-07  Stefan Monnier  <monnier@iro.umontreal.ca>

	Fix unescaped character literals

	* font-latex.el (font-latex-command-with-args-opt-arg-delims)
	* tex-fold.el (TeX-fold-expand-spec): Escape [ and ] character literals

2017-05-06  Mosè Giordano  <mose@gnu.org>

	Work around bug#26694

	* preview.el.in (preview-at-point): Let-bind `TeX-source-correlate-mode'
	to nil.
	* tex-buf.el (TeX-region-create): Move point only when
	`TeX-source-correlate-mode' is non-nil.

2017-05-06  Arash Esbati  <arash@gnu.org>

	* latex/preview.dtx: Adjust contact email address.

2017-05-04  Arash Esbati  <arash@gnu.org>

	* tex-ispell.el: Move entries from style/empheq.el to this file.

2017-05-04  Arash Esbati  <arash@gnu.org>

	* latex/preview.dtx: Adjust modification date for CTAN.

2017-05-03  Arash Esbati  <arash@gnu.org>

	Query for expl3 package options

	* style/expl3.el (LaTeX-expl3-package-options): New function to read
	package options from user. Add missing file footer.

2017-05-03  Arash Esbati  <arash@gnu.org>

	Add new style/floatrow.el

	* Makefile.in (STYLESRC): Add new style.

	* style/floatrow.el: New file.

2017-05-02  Arash Esbati  <arash@gnu.org>

	Use `ispell-tex-arg-end' on parsed elements

	* style/mdframed.el (LaTeX-mdframed-auto-cleanup, "mdframed"): Use 
	correct function `ispell-tex-arg-end'.

2017-04-27  Arash Esbati  <arash@gnu.org>

	Improve exclusion of reserved characters from command matches

	* font-latex.el (font-latex-match-simple-command): Skip matches starting
	with reserved characters.

2017-04-27  Arash Esbati  <arash@gnu.org>

	Add support for plus sign in macro syntax specification list

	* font-latex.el (font-latex-match-command-with-arguments): Support plus
	sign besides asterisk in specification of macro syntax.

2017-04-27  Arash Esbati  <arash@gnu.org>

	Update style/fontspec.el to package version 2.6a

	* style/fontspec.el (LaTeX-fontspec-font-features): Update variable to
	package version 2.6a.
	(LaTeX-fontspec-auto-cleanup): New function for parsing support for
	\newfontfamily and \newfontface macros.
	("fontspec"): Add missing macros and environment.
	(LaTeX-fontspec-package-options): Update with new options.

2017-04-27  Arash Esbati  <arash@gnu.org>

	Consider the return value of `assq-delete-all'

	* style/breqn.el (LaTeX-breqn-update-color-keys):
	* style/fvextra.el (LaTeX-fvextra-update-key-val):
	* style/mdframed.el (LaTeX-mdframed-update-style-key):
	* style/minted.el (LaTeX-minted-update-key-vals):
	* style/tcolorbox.el (LaTeX-tcolorbox-update-style-key): Use the return
	value of `assq-delete-all' rather than looking at the saved value of the
	temporary variable.

2017-04-27  Arash Esbati  <arash@gnu.org>

	* latex.el (LaTeX-common-initialization): Add eminnershape macro.

2017-04-26  Arash Esbati  <arash@gnu.org>

	* tex-ispell.el (TeX-ispell-skip-cmds-list): Add \addlinespace.

2017-04-25  Tassilo Horn  <tsdh@gnu.org>

	Correctly exclude hypenation and thin spaces from command matches

	* font-latex.el (font-latex-match-simple-command): Skip matches starting
	with
	\- or \,.

2017-04-25  Arash Esbati  <arash@gnu.org>

	Add LaTeX core command \oldstylenums

	* font-latex.el (font-latex-built-in-keyword-classes): Add
	\oldstylenums to "type-command" keyword class.

	* latex.el (LaTeX-common-initialization): Add \oldstylenums to LaTeX
	core commands.

	* style/textcomp.el ("textcomp"): Remove \oldstylenums from textcomp.el
	which is provided by LaTeX core.

2017-04-24  Arash Esbati  <arash@gnu.org>

	Make preview.sty compatible with recent luatex

	* latex/preview.dtx: Check if file luatex85.sty is loadable and require
	the package (bug#25601).

2017-04-24  Arash Esbati  <arash@gnu.org>

	Do not highlight control spaces with "\ "

	* font-latex.el (font-latex-match-simple-command): Add space to the list
	of characters to be ignored.

2017-04-23  Arash Esbati  <arash@gnu.org>

	Adjust macros acc. to change in `LaTeX-paragraph-commands-regexp-make'

	* style/bicaption.el ("bicaption"): Add \bicaption, \bicaptionbox,
	\bisubcaption and \bisubcaptionbox to paragraph commands.

	* style/caption.el ("caption"): Add \captionbox and \captionof to 
	paragraph commands.

	* style/subcaption.el ("subcaption"): Add \subcaption and
	\subcaptionbox to paragraph commands.

2017-04-23  Arash Esbati  <arash@gnu.org>

	* style/exam.el ("exam"): Remove duplicate entries and backslash.

2017-04-23  Uwe Brauer	<oub@mat.ucm.es>

	Add the select environment and related macros to exam style.

	* style/exam.el ("exam"): Add the select environment and related macros.

2017-04-23  Tassilo Horn  <tsdh@gnu.org>

	Fix comment environment highlighting

	* style/comment.el ("comment"): Don't set comment starter/ender but
	generic comment delimiters.

2017-04-22  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Add test for my last commit

	* tests/japanese/error-parsing.el: New file.

2017-04-21  Stefan Monnier  <monnier@iro.umontreal.ca>

	Try and better support direct loading of tex-site

2017-04-21  Tassilo Horn  <tsdh@gnu.org>

	Release GNU AUCTeX 11.90.2

	* Version 11.90.2 released.

2017-04-21  Tassilo Horn  <tsdh@gnu.org>

	Merge branch 'master' into externals/auctex

2017-04-21  Mosè Giordano  <mose@gnu.org>

	Do not highlight thin spaces with \,

	* font-latex.el (font-latex-match-simple-command): Add comma to the list
	of characters to be ignored.

2017-04-19  Mosè Giordano  <mose@gnu.org>

	Fix parsing of LaTeX2e date formats

	* tex-buf.el (TeX-LaTeX-sentinel): Support ISO date format, now used by 
	LaTeX2e.  Reported by Uwe Siart.
	* tests/tex/error-parsing.el (TeX-LaTeX2e-date): Add a test for LaTeX2e
	date formats.

2017-04-20  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Improve error handling for Japanese users

	* tex-buf.el (TeX-help-error): Use number based condition to detect
	whether the search over `TeX-error-description-list' comes to its last
	element.  Comparison with a literal string breaks when tex-jp.el
	installs Japanese help messages into
	`TeX-error-description-list'.

2017-04-18  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Deal with strange file name

	* tex-jp.el (): Increase `pos' in case the master file name happens to
	contain special %-sequence.

2017-04-17  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Support upmendex

	* tex-jp.el (): Make "%(makeindex)" to expand to upmendex when upmendex
	is available and `TeX-engine' is supported by it. Add "%(dic)" expander
	for the dictionary option of (up)mendex.
	* tex.el (TeX-command-list): Add "upMendex" entry.  Set 4th element to t
	so that user will get a chance to supply dictionary option to the
	command line string.

2017-04-17  Tassilo Horn  <tsdh@gnu.org>

	Improve command highlighting to not be triggered by hyphenation

	Reported by François Patte.

2017-04-17  Tassilo Horn  <tsdh@gnu.org>

	Release GNU AUCTeX 11.90.1

	* Version 11.90.1 released.

2017-04-17  Tassilo Horn  <tsdh@gnu.org>

	Merge branch 'master' into externals/auctex

2017-04-17  Tassilo Horn  <tsdh@gnu.org>

	Add proper copyright header to some styles

	Add the required headers so that the ELPA build works again.

2017-04-16  Tassilo Horn  <tsdh@gnu.org>

	Release GNU AUCTeX 11.90.1

	* Version 11.90.1 released.

2017-04-16  Tassilo Horn  <tsdh@gnu.org>

	Merge branch 'master' into externals/auctex

2017-04-15  Arash Esbati  <arash@gnu.org>

	* doc/changes.texi: Update with recent changes.

2017-04-15  Arash Esbati  <arash@gnu.org>

	; Make sure that `regex-opt' builds a shy group.

	* style/minted.el (LaTeX-minted-add-syntactic-keywords-extra): Make sure
	that `regex-opt' builds a shy group. Minor code rearrangement.

2017-04-13  Arash Esbati  <arash@gnu.org>

	; * latex.el (LaTeX-section-list-add-locally): Fix doc string.

2017-04-11  Arash Esbati  <arash@gnu.org>

	; * style/paracol.el (TeX-arg-paracol-switchcolumn*): Guard point
	movement.

2017-04-11  Arash Esbati  <arash@gnu.org>

	; * style/minted.el (LaTeX-minted-add-syntactic-keywords-extra): Fix doc
	string.

2017-04-10  Arash Esbati  <arash@gnu.org>

	* doc/auctex.texi (Selecting a Command): Document
	`TeX-ispell-verb-delimiters'.

2017-04-05  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Fix `paragraph-start' and `paragraph-separate'

	* plain-tex.el (plain-TeX-common-initialization): Remove "^" from
	`paragraph-start' according to the doc string. Remove LaTeX display math
	delimiters "\[" and "\]" from
	`paragraph-start'. Add "item" and "itemitem" to `paragraph-start'. 
	Change the regexp grouping to shy group in `paragraph-start' and
	`paragraph-separate'.
	* tex-info.el (TeX-texinfo-mode): Remove "^" from `paragraph-start' and
	`paragraph-separate'.

2017-04-04  Arash Esbati  <arash@gnu.org>

	; * tex-ispell.el (TeX-ispell-verb-delimiters): Remove `*'.

2017-04-03  Arash Esbati  <arash@gnu.org>

	Update package options in style/amsmath.el

	* style/amsmath.el (LaTeX-amsmath-package-options): Update package 
	options to v2.16a.

2017-04-01  Arash Esbati  <arash@gnu.org>

	Append \b to regexp built from TeX control words

	* latex.el (LaTeX-paragraph-commands-regexp-make): Append \b to regexp
	built from TeX control words.  Fix this report 
	http://lists.gnu.org/archive/html/auctex/2017-03/msg00009.html

	* tests/latex/latex-filling-in.tex:
	* tests/latex/latex-filling-out.tex:
	* tests/latex/latex-test.el (LaTeX-filling): Extend test for addition in
	`LaTeX-paragraph-commands-regexp-make' in latex.el.

2017-03-31  Mosè Giordano  <mose@gnu.org>

	Fix detection of bibliography files with dots in path

	* latex.el (LaTeX-auto-regexp-list): Remove dot from the list of
	excluded characters in addbibresource's regexp.
	* tests/latex/latex-test.el (LaTeX-addbibresource): New test for
	addbibresource.

2017-03-29  Arash Esbati  <arash@gnu.org>

	; * tex.el (TeX-ispell-tex-arg-verb-end): Drop unnecessary `format'.

2017-03-29  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Don't alter standard value or saved value themselves of customize option

	* tex-jp.el (): Stop using `setcar' on the elements of
	`TeX-command-list'.  This used to alter the standard value or saved
	value themselves of the customize option since
	`setcar' operates descructively on lists as Lisp objects. Instead create
	new list by `mapcar' and `append'.
	(): Deal with the case that `TeX-view-program-list-builtin' doesn't have
	an entry of "xdvi". Change the expected executable name to "%(xdvi)" as
	well.

2017-03-28  Arash Esbati  <arash@gnu.org>

	Fix last improvement for skipping of inline verbatim macros

	* tex.el (TeX-ispell-tex-arg-verb-end): New function.

	* tex-ispell.el (TeX-ispell-verb-delimiters): Replace
	`TeX-ispell-verb-opening-delimiters' and
	`TeX-ispell-verb-closing-delimiters' with new customizable option
	`TeX-ispell-verb-delimiters'.
	(TeX-ispell-skip-setcar): Use new function
	`TeX-ispell-tex-arg-verb-end' with verbatim macros.

2017-03-27  Ikumi Keita	 <ikumi@ikumi.que.jp>

	; Clear out byte compile warning

	* tex-jp.el (japanese-latex-mode-initialization): Use `fboundp' instaed
	of `featurep' for testing.

2017-03-27  Arash Esbati  <arash@gnu.org>

	Improve skipping of inline verbatim macros

	* tex-ispell.el (TeX-ispell-verb-opening-delimiters)
	(TeX-ispell-verb-closing-delimiters): New customizable options.
	(TeX-ispell-skip-setcar): Skip inline verbatim macros from listings and
	fancyvrb package.  Use new variables for minted package.

2017-03-27  Arash Esbati  <arash@gnu.org>

	* tests/latex/fontification-verb-macros.tex: New file.

2017-03-27  Arash Esbati  <arash@gnu.org>

	Improve fontification of verbatim macros in style/minted.el

	* style/minted.el (LaTeX-minted-auto-cleanup): Add key=val query and
	fontification support for parsed elements.
	(LaTeX-minted-add-syntactic-keywords-extra): New function.
	("minted"): Use `LaTeX-minted-add-syntactic-keywords-extra' to add 
	fontification support for \mint and \mintinline macros. Add \mint and
	\mintinline to textual keywords class and apply the fontification only
	for optional and first mandatory argument.

2017-03-27  Arash Esbati  <arash@gnu.org>

	Adapt fontification for \lstinline

	* style/listings.el ("listings"): Fontify only the optional argument of
	\lstinline.

2017-03-27  Arash Esbati  <arash@gnu.org>

	Recognize optional argument in verb macros with delimiters/braces

	* font-latex.el (font-latex-built-in-keyword-classes): Add \verb to
	textual keyword class.
	(font-latex-set-syntactic-keywords): Extend regexp to ignore an optional
	argument for verbatim macros with delimiters and/or braces.

2017-03-26  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Add support for Japanese font command

	* tex-jp.el (): Append entries for mincho and gothic font commands to
	`LaTeX-font-list'.
	(japanese-latex-mode-initialization): Add font lock support to \textgt,
	\mathgt and \gtfamily commands for displaying with bold font in Emacs
	buffer.
	* doc/auctex.texi (Japanese): Mention new font commands and add indexes
	for them.

2017-03-23  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Enhance Japanese class files support

	* style/tarticle.el:
	* style/tbooks.el:
	* style/treport.el:
	* style/jsreport.el: Add new style files.
	* Makefile.in (STYLESRC): Add them and tweak order not to break the 
	format of file name alignment.
	* style/j-book.el ("j-book"): Correct the largest section level to
	"part" following book.el.
	* style/jarticle.el:
	* style/jbook.el:
	* style/jreport.el:
	* style/jsarticle.el:
	* style/jsbook.el: Add defvar for class options, counters and pagestyles
	following {article,book,report}.el. Correct the largest section level in
	jbook.el, too. Deal with "report" option in jsbook.el.

2017-03-24  Arash Esbati  <arash@gnu.org>

	* texmathp.el (texmathp-tex-commands-default): Add entries for
	empheq.sty.

2017-03-23  Arash Esbati  <arash@gnu.org>

	* style/minted.el ("minted"): Add key=val query for \mint and
	\mintinline.

2017-03-19  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Use `TeX-line-number-at-pos' further for older emacsen

	* tex-buf.el (TeX-region-create):
	(TeX-region-update-point):
	* tex-info.el (Texinfo-make-node-list): Replace `line-number-at-pos' 
	with `TeX-line-number-at-pos'.

2017-03-19  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Use compatibility function `TeX-line-number-at-pos' for older emacsen

	* tex.el (TeX-evince-sync-view-1):
	(TeX-synctex-output-page-1): Replace `line-number-at-pos' with
	`TeX-line-number-at-pos'.

2017-03-18  Arash Esbati  <arash@gnu.org>

	Use the variable `LaTeX-listing-label'

	* style/minted.el ("minted"):
	* style/newfloat.el (LaTeX-newfloat-auto-cleanup): Use
	`LaTeX-listing-label' instead of hard-coded "lst:" string.

2017-03-18  Arash Esbati  <arash@gnu.org>

	Use compat function `TeX-replace-regexp-in-string' in core files

	* tex.el (TeX-source-correlate-sync-source):
	* latex.el (LaTeX-split-bibs): Use compat function
	`TeX-replace-regexp-in-string'.

2017-03-18  Arash Esbati  <arash@gnu.org>

	Use `TeX-replace-regexp-in-string' in style files

	* style/empheq.el (LaTeX-empheq-item-equation):
	* style/tcolorbox.el (LaTeX-tcolorbox-load-used-libraries):
	* style/xcolor.el (LaTeX-xcolor-auto-cleanup): Use compat function
	`TeX-replace-regexp-in-string'.

2017-03-18  Arash Esbati  <arash@gnu.org>

	Add new compat function `TeX-replace-regexp-in-string'

	* tex.el (TeX-replace-regexp-in-string): New compat function. With
	XEmacs, pass arguments to `replace-in-string', with Emacs to
	`replace-regexp-in-string'.  This function supports only mandatory 
	arguments of the original functions just mentioned.

2017-03-18  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Avoid altering user option as much as possible

	* tex-jp.el (): Alter `TeX-view-predicate-list-builtin' and
	`TeX-view-program-list-builtin' instead of their customize option 
	cousins. Append to `TeX-view-program-selection' only on w32 system.

2017-03-17  Ikumi Keita	 <ikumi@ikumi.que.jp>

	; Provide fallback when no locale information is available

	* tex-jp.el (japanese-TeX-set-process-coding-system): Feed null string 
	instead of nil to `get-coding-system-from-locale' for fallback value.

2017-03-16  Arash Esbati  <arash@gnu.org>

	Add LaTeX inline math delimiters to Ispell skip list

	* tex-ispell.el: Add LaTeX inline math delimiters \( \) to Ispell skip
	list.  (bug#26125) Remove unnecessary part from regexp for \cmidrule.

2017-03-16  Arash Esbati  <arash@gnu.org>

	; Simplify insertion of a newline after label

	* style/caption.el (LaTeX-arg-caption-captionof):
	* style/subcaption.el (LaTeX-arg-subcaption-subcaption): Simplify 
	insertion of a newline after label.

2017-03-15  Arash Esbati  <arash@gnu.org>

	Fix addition of key=val's

	* style/fvextra.el (LaTeX-fvextra-update-key-val): Fix addition of 
	key=val's to `LaTeX-fancyvrb-key-val-options-local'.

2017-03-15  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Modify `TeX-expand-list-builtin' instead of `TeX-expand-list'

	* tex-jp.el (): `TeX-expand-list' is user option since 2015.  Add extra
	entries for Japanese TeX engines to `TeX-expand-list-builtin' instead.

2017-03-13  Arash Esbati  <arash@gnu.org>

	Add new style/fvextra.el

	* Makefile.in (STYLESRC): Add new style.

	* style/fvextra.el: New file.

2017-03-13  Arash Esbati  <arash@gnu.org>

	Improve parsing capabilities of style/fancyvrb.el

	* style/fancyvrb.el (LaTeX-fancyvrb-key-val-options): Add undocumented
	keys, update some values.
	(LaTeX-fancyvrb-key-val-options-local)
	(LaTeX-fancyvrb-base-macros, LaTeX-fancyvrb-base-environments)
	(LaTeX-fancyvrb-key-val-skip-regexp): New variables.
	(LaTeX-fancyvrb-macro-regexp, LaTeX-fancyvrb-environment-regexp): Update
	for new parsing mechanism.
	(LaTeX-fancyvrb-arg-define-macro)
	(LaTeX-fancyvrb-arg-define-environment)
	(LaTeX-fancyvrb-arg-file-relative): New functions.
	("fancyvrb"): Use new variables and functions in the hook.  Update 
	fontification.

2017-03-10  Arash Esbati  <arash@gnu.org>

	Improve fallback for indentation when & is omitted

	* latex.el (LaTeX-hanging-ampersand-position): Improve handling of 
	fallback which now respects also intended tabular environments. Thanks
	to Ikumi Keita for testing and providing code.	(bug#26032)

	* tests/latex/tabular-in.tex:
	* tests/latex/tabular-out.tex: Add additional test for indented tabular.

2017-03-10  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Remove spurious entries of view settings.

	* tex-jp.el (TeX-view-program-list):
	(TeX-view-program-selection): Remove spurious entries, most of which are
	related with other TeX IDEs. cf.
	http://lists.gnu.org/archive/html/auctex-devel/2016-04/msg00036.html

2017-03-09  Arash Esbati  <arash@gnu.org>

	Add fallback for indentation when & is omitted

	* latex.el (LaTeX-hanging-ampersand-position): Add fallback for 
	indentation if the row searched does not contain a column separator &.

	* tests/latex/tabular-in.tex:
	* tests/latex/tabular-out.tex: Add filling test for missing & in row.

2017-03-08  Mosè Giordano  <mose@gnu.org>

	; Add some full stops at the end of sentences of the manual

2017-03-08  Ikumi Keita	 <ikumi@ikumi.que.jp>

	; Add fix related with coding system missing in my commit on Feb 14.

	* tex-jp.el (japanese-TeX-set-process-coding-system): Don't use
	`kanji' if its value is nil.

2017-02-07  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Fix auto selection of japanese TeX engine

	* tex-jp.el (japanese-latex-mode-initialization): Use
	`LaTeX-match-class-option' to detect uplatex option given to jsarticle,
	jsreport and jsbook class.  (The root of this problem is the same as
	Bug#25563)
	(): Quit appending to `LaTeX-command-style' because this made the user's
	intentional selection of `TeX-engine' ineffective with regard to the
	selection of the executable names. Fix copyright year.
	; Add Ikumi Keita to maintainer of tex-jp.el.
	* doc/auctex.texi (Japanese): Add description of Japanese TeX engine: 
	How to use, change and set the value of the engine. Add description of
	the customize options related to the encoding of Japanese TeX documents.

2017-03-08  Arash Esbati  <arash@gnu.org>

	Detect \& in tabular cells when filling

	* latex.el (LaTeX-indent-tabular): Search backward for any ampersands
	not escaped with a backslash, i.e. control symbol \&, and return the
	adjusted value.	 Thanks to Ikumi Keita for his perceptive comments on
	the implementation.  (bug#26010)

	* tests/latex/tabular-in.tex:
	* tests/latex/tabular-out.tex: Add test for table filling with \& in
	cells.

2017-03-06  Arash Esbati  <arash@gnu.org>

	* tex-ispell.el (TeX-ispell-skip-cmds-list): Add hyperref macros.

2017-03-05  Arash Esbati  <arash@gnu.org>

	* tex-ispell.el (TeX-ispell-skip-setcdr): Add entry for filecontents
	package.

2017-03-04  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Fix documents and add trivial improvements.

	* font-latex.el (font-latex-deactivated-keyword-classes): Add keyword 
	class biblatexnoarg, biblatex and slide-title to doc string. Use
	`buffer-string'.
	(font-latex-keyword-matcher): Mention that face attributes is accepted 
	as FACE argument in doc string.
	(font-latex-make-built-in-keywords): Arrange doc string for generated 
	defvar of `font-latex-match-*-keywords-local' depending on the keyword 
	type. Remove spurious type declaration from generated defcustom of
	`font-latex-match-*-keywords'. Replace meaningless argument with nil and
	add doc string for generated defvar of `font-latex-match-*'. Replace
	redundant call to intern with literal quote of symbol.
	(font-latex-user-keyword-classes): Fix doc string.  The accepted face 
	argument is face attribute rather than font specification. Add doc
	string for generated defvar of `font-latex-match-*'.
	(font-latex-make-user-keywords): Replace backquote with quote where 
	backquote is not necessary.
	(font-latex-add-keywords): Add keyword class biblatexnoarg to doc 
	string.
	* doc/auctex.texi (): Update copyright year.
	(Deactivating defaults of built-in keyword classes): Add keyword class
	biblatexnoarg, biblatex and slide-title. Fix sample lisp code.
	(User-defined keyword classes): The accepted face argument is face 
	attribute rather than font specification.

2017-03-04  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Make customization to face specification to appear in customization
	buffer.

	* font-latex.el (font-latex-user-keyword-classes): Exchange the order of
	`face' and `custom-face-edit'.	Tweak doc string.

2017-03-04  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Unify treatment of face argument over the relevant functions.

	* font-latex.el (font-latex-keyword-matcher): Conform the face argument
	correctly to the format `font-lock-keywords' requires.
	(font-latex-make-user-keywords) : Call `font-latex-make-match-defun' 
	directly without `eval'.
	(font-latex-deactivated-keyword-classes) : Accept a face symbol, as well
	as a form returning a face symbol, for the third element for each item
	of `font-latex-built-in-keyword-classes'.
	(font-latex-built-in-keyword-classes) : Remove quoting from the face 
	names.	Contrary to the sentence of the doc string
	"The third element is the symbol of a face to be used or a Lisp form
	returning a face symbol.", symbol of a face was invalid due to the above
	bugs.

2017-03-04  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Fix font-latex-make-match-defun to generate intended code.

	* font-latex.el (font-latex-make-match-defun): Arrange the order of 
	evaluation not to generate meaningless clause.	Byte compile warning on
	xemacs went away.

2017-03-04  Mosè Giordano  <mose@gnu.org>

	Partially revert previous commit, will look better later

	* tex-buf.el (TeX-command-expand): Do not error if `string' is nil. 
	This made
	"View" command unusable.

2017-03-04  Mosè Giordano  <mose@gnu.org>

	Prevent infinite loop in TeX-command-expand

	* tex-buf.el (TeX-command-expand): Throw an error if `string' is not a
	string. This prevents an infinite loop.
	* tex.el (TeX-engine-in-engine-alist): New function to pick up an engine
	from
	`TeX-engine-alist' and throw an error if the engine is not there.
	(TeX-expand-list-builtin): Use `TeX-engine-in-engine-alist'.
	* context.el (ConTeXt-expand-options): Use `TeX-engine-in-engine-alist'.
	* tests/tex/command-expansion.el (TeX-command-expansion-errors): Add
	tests for error handling of `TeX-command-expand'.

2017-02-24  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Tweak locale treatment on xemacs.

	* tex-jp.el (japanese-TeX-set-process-coding-system): Use the locale 
	related environment variables for fallback value.

2017-02-21  Arash Esbati  <arash@gnu.org>

	Add new style/sourcecodepro.el

	* Makefile.in (STYLESRC): Add new style.

	* style/sourcecodepro.el: New file.

2017-02-21  Arash Esbati  <arash@gnu.org>

	* style/subfiles.el (LaTeX-subfiles-class-options): New function.

2017-02-04  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Make papersize predicate in tex-jp.el to work again. Problem parallel to
	bug#25563.

	* tex-jp.el (): Use `LaTeX-match-class-option' to examine paper size 
	option of document class.

2017-02-14  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Fix setting of coding system for Japanese TeX

	* tex-jp.el (japanese-TeX-set-process-coding-system): Cater for the case
	that kanji option is requested by user but cannot be determined. XEmacs
	doesn't have `locale-coding-system'.  Use
	`get-coding-system-from-locale' and `current-locale' instead. Cleanup
	indentation.
	(japanese-TeX-coding-ejsu): Add entry for xemacs coding system of cp932.

2017-02-20  Mosè Giordano  <mose@gnu.org>

	Improve regexp for looking for documentclass macro

	* latex.el (LaTeX-env-document): Allow any non line-breaking character
	in regexp
	 used to look for `documentclass' macro.  Previous regexp did not catch
	class
	 options containing dots or slash, that may occur when using `subfiles'
	class.

2017-02-20  Mosè Giordano  <mose@gnu.org>

	Improve determination of master file with subfiles class

	* style/subfiles.el ("subfiles"): Do not strip dirname from master file.

2017-02-19  Arash Esbati  <arash@gnu.org>

	; * style/empheq.el (LaTeX-empheq-item-equation): Delete unnecessary *.

2017-02-19  Arash Esbati  <arash@gnu.org>

	Add new keys for package version 4.00

	* style/tcolorbox.el (LaTeX-tcolorbox-keyval-options): Add new keys for
	v4.00 of the package.

2017-02-16  Arash Esbati  <arash@gnu.org>

	* latex.el (LaTeX-label): Eliminate premature returning of label.

2017-02-16  Arash Esbati  <arash@gnu.org>

	; Add `LaTeX-equation-label' as symbol to `LaTeX-label-alist'

	* style/breqn.el ("breqn"): Add `LaTeX-equation-label' as a symbol to
	`LaTeX-label-alist' for breqn environments.

2017-02-16  Arash Esbati  <arash@gnu.org>

	Append "lstlisting" to `LaTeX-label-alist'

	* style/listings.el ("listings"): Append "lstlisting" to
	`LaTeX-label-alist'.
	(LaTeX-listings-auto-cleanup): Use `LaTeX-listing-label' as a symbol
	during clean up.

2017-02-10  Arash Esbati  <arash@gnu.org>

	Add new style/preview.el

	* Makefile.in (STYLESRC): Add new style.

	* style/preview.el: New file.

2017-02-10  Arash Esbati  <arash@gnu.org>

	* .gitignore: Ignore only preview.el in top directory.

2017-02-10  Arash Esbati  <arash@gnu.org>

	Improve parsing process in style/xcolor.el

	* style/xcolor.el (LaTeX-xcolor-definecolor-regexp): Use
	`regexp-opt' to build a regexp to match all color defining macros.
	(LaTeX-xcolor-colorlet-regexp): Remove variable.
	(LaTeX-xcolor-auto-cleanup): Romove unnecessary *.

2017-02-09  Arash Esbati  <arash@gnu.org>

	Improve parsing process in style/color.el

	* style/color.el (LaTeX-color-definecolor-regexp): Remove unnecessary
	2nd and 3rd arguments from regexp.
	(LaTeX-color-auto-cleanup): Delete unnecessary function and remove it
	from `TeX-auto-cleanup-hook'.

2017-02-09  Arash Esbati  <arash@gnu.org>

	Fix parsing bug in style/xcolor.el

	* style/xcolor.el (LaTeX-xcolor-definecolor-regexp): Move parsing of
	\colorlet macro into `LaTeX-xcolor-colorlet-regexp'.
	(LaTeX-xcolor-colorlet-regexp): New variable.
	("xcolor"): Activate `LaTeX-xcolor-colorlet-regexp' in style hook.

2017-02-06  Arash Esbati  <arash@gnu.org>

	* latex/preview.dtx: Fix example for \PreviewMacro* macro. Add missing
	backslash.

2017-02-04  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Fix minor problems
	* tex.el (TeX-view-predicate-list-builtin): Enclose whole alternatives 
	in regexp with shy group in order that the effect of "\`" and "\'" 
	covers all the alternatives.
	* latex.el (LaTeX-auto-cleanup): Regard "Class", in addition to
	"class", as an indicator of LaTeX2e document.

2017-02-02  Arash Esbati  <arash@gnu.org>

	Simplify addition of entirely skipped environments

	* tex-ispell.el (TeX-ispell-skip-envs-list): New variable for 
	environments which should be skipped entirely.
	(TeX-ispell-skip-envs-regexp): New variable keeping the regexp generated
	from `TeX-ispell-skip-envs-list'.

2017-02-02  Tassilo Horn  <tsdh@gnu.org>

	Fix TeX-view-predicate-list-builtin predicates wrt class opts

	* latex.el (LaTeX-match-class-option): New function.
	* tex.el (TeX-view-predicate-list-builtin): Use above function to check 
	paper sizes orientation from documentclass options (bug#25563).

2017-02-01  Mosè Giordano  <mose@gnu.org>

	Fix number of arguments of local-variable-p in XEmacs

	* font-latex.el (font-latex-after-hacking-local-variables): Second
	argument of
	`local-variable-p' is mandatory in XEmacs.

2017-02-01  Tassilo Horn  <tsdh@gnu.org>

	Fix font-latex-after-hacking-local-variables on XEmacs

	* font-latex.el (font-latex-after-hacking-local-variables): Cater for
	the fact that file-local-variables-alist isn't there in XEmacs and older 
	Emacs versions (bug#25564).

2017-02-01  Arash Esbati  <arash@gnu.org>

	* tex-ispell.el: Add support for enviroments from breqn.sty.

2017-02-01  Arash Esbati  <arash@gnu.org>

	; * style/breqn.el ("breqn"): Add missing starred version of array.

2017-02-01  Tassilo Horn  <tsdh@gnu.org>

	Fix plain-TeX-auto-regexp-list docstring

	* tex.el: Fix docstring of plain-TeX-auto-regexp-list (bug#25574).

2017-01-30  Arash Esbati  <arash@gnu.org>

	; * doc/changes.texi: Improve wording.

2017-01-29  Arash Esbati  <arash@gnu.org>

	Add new style/breqn.el

	* Makefile.in (STYLESRC): Add new style.

	* style/breqn.el: New file.

2017-01-29  Arash Esbati  <arash@gnu.org>

	Update style/listings.el to use `LaTeX-env-label-as-keyval'

	* style/listings.el (LaTeX-listings-key-val-options): Comment the
	"label" key.
	(LaTeX-listings-key-val-label-extract):
	(LaTeX-listings-key-val-label-regexp): New variable.
	(LaTeX-listings-auto-cleanup): Use `LaTeX-add-environments' instead of
	adding new enviroments to `LaTeX-auto-environment'. Use the function
	`LaTeX-env-label-as-keyval' to insert labels. Add parsed enviroments to
	AUCTeX parser with `TeX-auto-add-regexp'.
	("listings"): Add `LaTeX-listings-key-val-label-regexp' to the parser. 
	Use `LaTeX-env-label-as-keyval' for "lstlisting".

2017-01-29  Arash Esbati  <arash@gnu.org>

	Add function to put labels in opt. argument of environments

	* doc/changes.texi: Document new feature.

	* latex.el (LaTeX-listing-label): New custom prefix for labels in code
	typesetting environments.
	(LaTeX-env-label-as-keyval): New function.
	(LaTeX-narrow-to-environment): Fix typo in docstring.

2017-01-27  Arash Esbati  <arash@gnu.org>

	Add `NO-INSERT' argument to `LaTeX-label'

	* doc/changes.texi: Document changes to `LaTeX-label' and
	`LaTeX-label-function'.

	* latex.el (LaTeX-label): Add second optional argument NO-INSERT. This
	argument is passed to function bound to
	`LaTeX-label-function' (usually `reftex-label' with RefTeX enabled).  If
	`LaTeX-label-function' is nil and NO-INSERT is non-nil, label is read
	and returned as a string.  Remove some unnecessary checks.
	(LaTeX-label-function): Mention in docstring that the function is 
	expected to take an optional argument NO-INSERT.  This is an 
	incompatible change.

2017-01-27  Arash Esbati  <arash@gnu.org>

	Check if label is defined before adding it to known labels

	* latex.el (TeX-read-label): Check if label is already defined and ask
	for user confirmation before adding it list of known labels. Do not add
	label if empty string or the value of
	`TeX-read-label-prefix'.

2017-01-26  Arash Esbati  <arash@gnu.org>

	Add \citetitle to `reftex-cite-format' in style/biblatex

	* style/biblatex.el ("biblatex"): Add \citetitle[*] to
	`reftex-cite-format' and bind them to keys i/I per user request 
	http://lists.gnu.org/archive/html/auctex/2017-01/msg00049.html.

2017-01-25  Mosè Giordano  <mose@gnu.org>

	Guard setcar with appropriate test

	* tex-jp.el (assoc): Replace second element of "BibTeX" and "Index"
	entries of
	`TeX-command-list' only if they are already there.  This variable is 
	customizable and users may have removed them.  Reported by jfbu.

2017-01-20  Mosè Giordano  <mose@gnu.org>

	* latex.el (LaTeX-newline): Make interactive.  See bug#24412.

2017-01-20  Mosè Giordano  <mose@gnu.org>

	Add makeglossaries to the list of commands

	* tex.el (TeX-command-list): Add makeglossaries.  Fixes bug#24952.
	* latex.el (LaTeX-clean-intermediate-suffixes): Add extensions of files
	created
	 by makeglossaries.

2017-01-15  Mosè Giordano  <mose@gnu.org>

	Show summary of tests at the end of make check

	* tests/Makefile (check): Depend on `check-doit' and `mostlyclean' phony
	 targets.
	(check-doit): New rule for showing summary of tests.
	(mostlyclean): Delete log files.

2017-01-13  Davide G. M. Salvetti  <salve@debian.org>

	Fix ConTeXt-outline-regexp

	Add a separator between different elements; see Debian bug #850444.

2017-01-13  Mosè Giordano  <mose@gnu.org>

	Remove also a gitignore

	* Makefile.in (EXCLUDEDFILES): Add latex/.gitignore to excluded files.

2017-01-13  Mosè Giordano  <mose@gnu.org>

	Remove file from distributed tar ball

	* Makefile.in (EXCLUDEDFILES): Add doc/tex-ref.log.

2017-01-12  Mosè Giordano  <mose@gnu.org>

	Add AUCTeX Logo

	* etc/auctex-logo.tex: Logo of AUCTeX.	It was realized with comments
	from Vincent Belaïche, Marcin Borkowski, Marta Dell’Atti, Tamas Papp and
	others.

	* .gitignore: Ignore some files automatically created during
	compilation.

2017-01-11  Tassilo Horn  <tsdh@gnu.org>

	Release GNU AUCTeX 11.90.0

	* Version 11.90.0 released.

2017-01-11  Tassilo Horn  <tsdh@gnu.org>

	Merge branch 'master' into externals/auctex

2017-01-11  Mosè Giordano  <mose@gnu.org>

	Make gitlog-to-changelog ignore release-commit

	* Makefile.in (release-commit): Prefix the commit message with "; ", so
	that the commit will be ignored when automatically updating the
	ChangeLog.

2017-01-11  Mosè Giordano  <mose@gnu.org>

	; make change-history-commit

2017-01-10  Mosè Giordano  <mose@gnu.org>

	Release_11.90

2017-01-10  Mosè Giordano  <mose@gnu.org>

	; make change-history-commit

2017-01-10  Mosè Giordano  <mose@gnu.org>

	Refresh RELEASE file

	* RELEASE: Update "Availability" and "Future development and additional 
	information" sections.

2017-01-10  Mosè Giordano  <mose@gnu.org>

	* Makefile.in (release-commit): Use UTF-8 coding for ChangeLog entry.

2017-01-10  Mosè Giordano  <mose@gnu.org>

	* ChangeLog-preview: Change encoding to UTF-8.

2017-01-10  Mosè Giordano  <mose@gnu.org>

	* Makefile.in (release-commit): Fix name of preview ChangeLog.

2017-01-10  Arash Esbati  <arash@gnu.org>

	; Change email address.

2017-01-10  Arash Esbati  <arash@gnu.org>

	Use RefTeX for multiple references in cleveref

	* style/cleveref.el (TeX-arg-cleveref-multiple-labels): Check if RefTeX
	is enabled and use it for multiple referencing macros.
	("cleveref"): Use `TeX-arg-ref' instead of `TeX-arg-label'.
	("cleveref"): Remove call of (font-latex-set-syntactic-keywords).

2017-01-10  Arash Esbati  <arash@gnu.org>

	Skip macros and environments from tcolorbox and raster library

	* tex-ispell.el (TeX-ispell-sort-skip-cmds-list): Extract macros with
	optional argument from `TeX-ispell-skip-cmds-list'.
	(TeX-ispell-skip-cmds-opt-arg-regexp): New variable containing macros
	where only the optional argument is skipped while spell checking. Add
	macros and environments from tcolorbox.el and tcolorboxlib-raster.el.

2017-01-10  Arash Esbati  <arash@gnu.org>

	; * doc/install.texi (Installation): Guard reference in "@ifclear
	rawfile".

2017-01-10  Arash Esbati  <arash@gnu.org>

	Advertise AUCTeX installation from ELPA

	* doc/quickstart.texi (Quick Start): Emphasize the necessity to drop
	(load "auctex.el" nil t t) when installed from ELPA.

	* doc/install.texi (Installation): Advertise installation from ELPA.

2017-01-09  Mosè Giordano  <mose@gnu.org>

	Prepare for upcoming release

	* RELEASE: Update AUCTeX version, the new features section, and the list
	of contributors.

	* configure.ac: Update AUCTeX version.

	* doc/changes.texi: Reorder changes for 11.90 version section.

	* doc/tex-ref.tex: Update AUCTeX version and copyright years across the
	file.

	* latex/preview.dtx: Manually update release version.

2017-01-07  Mosè Giordano  <mose@gnu.org>

	Adapt Makefile to new ChangeLog file name

	* Makefile.in (release-commit): Use `CHANGELOG_N' in place of
	`ChangeLog'.

2017-01-06  Tassilo Horn  <tsdh@gnu.org>

	Don't use cl function copy-list

	* font-latex.el (font-latex--get-script-props): Use copy-sequence
	instead of copy-list, the latter being a cl function.

2017-01-05  Tassilo Horn  <tsdh@gnu.org>

	Fix bug where font-latex-sub/superscript-face was not applied to ^_

	* font-latex.el (font-latex-make-user-keywords): prepend 
	font-latex-script-char-face, don't replace existing specs.

2017-01-05  Tassilo Horn  <tsdh@gnu.org>

	Fontify script characters with a new face

	* doc/auctex.texi (Fontification of math): Document it.
	* doc/changes.texi: Mention that.
	* font-latex.el (font-latex-make-user-keywords): Adapt.
	(font-latex-script-char-face): New face.
	(font-latex-match-script-chars): Improve it so that double ^_ aren't 
	matched because such errors were hard to see with 
	font-latex-fontify-script set to invisible.
	(font-latex-script-char): New function.

2017-01-05  Arash Esbati  <arash.esbati@gmail.com>

	Support biblatex cite format in all Emacsen

	* style/biblatex.el ("biblatex"): Check if biblatex is available in
	`reftex-cite-format-builtin' and use it.  If not, add entries for older
	Emacsen manually.

2017-01-05  Arash Esbati  <arash.esbati@gmail.com>

	Check new custom option before activating RefTeX cite format

	* doc/changes.texi: Document new variable.

	* style/biblatex.el ("biblatex"):
	* style/harvard.el ("harvard"):
	* style/jurabib.el ("jurabib"):
	* style/natbib.el ("natbib"): Set cite format provided by RefTeX when
	`LaTeX-reftex-cite-format-auto-activate' is non-nil.

	* tex-style.el (LaTeX-reftex-cite-format-auto-activate): New 
	customizable variable.

2017-01-04  Tassilo Horn  <tsdh@gnu.org>

	Fix script unfontification bug

	* font-latex.el (font-latex-unfontify-region): Remove script-level 
	property and raise display property even though it's value is different 
	from what's specified in font-latex-script-display.

2017-01-04  Arash Esbati  <arash.esbati@gmail.com>

	; * doc/auctex.texi (Completion): Use @defun and not @deffn.

2017-01-04  Tassilo Horn  <tsdh@gnu.org>

	Improve completion docs

	* doc/auctex.texi (Completion): Improved docs.
	* doc/changes.texi: Mention math completion, add link to Completion node 
	in the manual.
	* tex.el (TeX-complete-list): Improve docstring.

2017-01-04  Tassilo Horn  <tsdh@gnu.org>

	Refactor normal completion and completion at point a bit

	* tex.el (TeX--complete-find-entry): New function.
	(TeX-complete-symbol,TeX--completion-at-point): Use it.

2017-01-04  Tassilo Horn  <tsdh@gnu.org>

	Completion for math macros

	* latex.el (LaTeX--after-math-macro-prefix-p): New function.
	(LaTeX-common-initialization): Use it for new TeX-complete-list entry.
	* tex.el (TeX-complete-list): Also allow match-data setting predicates
	in entries.
	(TeX-complete-symbol,TeX--completion-at-point): Adapt to new
	possibility.

2017-01-03  Tassilo Horn  <tsdh@gnu.org>

	Add completion-at-point support

	* doc/auctex.texi (Completion): Document completion-at-point support.
	* doc/changes.texi: Mention completion-at-point support.
	* tex.el (TeX--completion-at-point): New function.
	(VirTeX-common-initialization): Add TeX--completion-at-point to 
	completion-at-point-functions in TeX buffers if that's bound.

2017-01-03  Mosè Giordano  <mose@gnu.org>

	Use RefTeX for multiple citations in biblatex

	* style/biblatex.el (LaTeX-arg-biblatex-cites): Use RefTeX when
	 available.  Suggested by Arash Esbati.

2017-01-03  Tassilo Horn  <tsdh@gnu.org>

	Simple docfix

	* font-latex.el (font-latex-fontify-script-max-level): Correct escaping
	of
	\(...\) in the docstring.

2017-01-03  Tassilo Horn  <tsdh@gnu.org>

	Improve multi-level script fontification

	* doc/auctex.texi (Fontification of math): Update docs.
	* doc/changes.texi: Add an item for the new script fontification 
	features.
	* font-latex.el (font-latex-fontify-script): Update docstring.
	(font-latex-fontify-script-max-level): New custom variable.
	(font-latex--get-script-props): Apply script face only for levels up to 
	font-latex-fontify-script-max-level.
	(font-latex-script): Adapt call to font-latex--get-script-props.

2017-01-03  Arash Esbati  <arash.esbati@gmail.com>

	Add a newline only if \label is inserted

	* style/caption.el (LaTeX-arg-caption-captionof):
	* style/bicaption.el (LaTeX-arg-bicaption-bicaption): Save the position
	before asking for a label.  Add a newline only if a label is inserted.

2017-01-03  Tassilo Horn  <tsdh@gnu.org>

	Bring back multi-level script font-locking

	* doc/auctex.texi (Fontification of math): Add documentation.
	* font-latex.el (font-latex-script-display): Increase default raise
	level to 0.5.
	(font-latex-superscript-face,font-latex-subscript-face): Let scripts be
	a bit larger (:height 0.85 instead of 0.8).
	(font-latex--get-script-props): New function for
	incrementing/decrementing raise display property values.
	(font-latex-script): Use it.

2017-01-03  Tassilo Horn  <tsdh@gnu.org>

	Revert "Remove multi-level/invisible feature of
	font-latex-fontify-script"

	This reverts commit ccec8501960a448dd8faccaae54dfd9839a37c30.

2017-01-02  Tassilo Horn  <tsdh@gnu.org>

	Remove multi-level/invisible feature of font-latex-fontify-script

	* font-latex.el
	(font-latex-make-user-keywords,font-latex-script-display)
	(font-latex-script): Remove multi-level/invisible feature of 
	font-latex-fontify-script.
	(font-latex-doctex-preprocessor-face): Remove function.
	* doc/auctex.texi (Fontification of math): Remove documentation for 
	font-latex-fontify-script's multi-level and invisible values.

2017-01-02  Arash Esbati  <arash.esbati@gmail.com>

	; * style/titletoc.el ("titletoc"): Use `TeX-arg-length'.

2016-12-31  Arash Esbati  <arash.esbati@gmail.com>

	Set `reftex-set-cite-format' to biblatex or natbib

	* style/biblatex.el ("biblatex"): Set `reftex-set-cite-format' to 
	biblatex or natbib depending on package option.

2016-12-30  Uwe Brauer	<oub@mat.ucm.es>

	Add new style/exam.sty

	* Makefile.in (STYLESRC): add exam.el
	* style/exam.el: Add style file
	* tex-style.el: Move defcustom from exam.el to tex-style.el

	Signed-off-by: Mosè Giordano <mose@gnu.org>

2016-12-30  Arash Esbati  <arash.esbati@gmail.com>

	Fix the names also in expert macros

	* style/cleveref.el ("cleveref"): Fix the names also in expert macros.

2016-12-30  Arash Esbati  <arash.esbati@gmail.com>

	Fix name of macros \lcnamecref and \lcnamecrefs

	* style/cleveref.el ("cleveref"): Fix name of macros \lcnamecref and
	\lcnamecrefs.

2016-12-30  Arash Esbati  <arash.esbati@gmail.com>

	Add fontification for varioref's referencing macros

	* font-latex.el (font-latex-built-in-keyword-classes): Add starred 
	version to \vref macro.

	* style/varioref.el ("varioref"): Add fontification support for 
	referencing macros.

2016-12-30  Arash Esbati  <arash.esbati@gmail.com>

	Add starred version of \citeauthor and \Citeauthor

	* font-latex.el (font-latex-built-in-keyword-classes):
	* style/biblatex.el ("biblatex"): Add starred version of
	\citeauthor and \Citeauthor macros.

2016-12-30  Arash Esbati  <arash.esbati@gmail.com>

	Fix fontification for natbib compat macros

	* style/biblatex.el ("biblatex"): Fix fontification for natbib compat
	macros which take 2 optional arguments.

2016-12-29  Arash Esbati  <arash.esbati@gmail.com>

	Add \switchcolumn to paragraph commands

	* style/paracol.el ("paracol"): Add \switchcolumn to paragraph commands.

2016-12-29  Arash Esbati  <arash.esbati@gmail.com>

	Add new style/titletoc.el

	* style/titletoc.el: New file.

	* Makefile.in (STYLESRC): Add new style.

2016-12-29  Arash Esbati  <arash.esbati@gmail.com>

	Add new style/titlesec.el

	* Makefile.in (STYLESRC): Add new style.

	* style/titlesec.el: New file.

2016-12-29  Arash Esbati  <arash.esbati@gmail.com>

	Add new style/titleps.el

	* Makefile.in (STYLESRC): Add new style.

	* style/titleps.el: New file.

2016-12-29  Arash Esbati  <arash.esbati@gmail.com>

	Add new style/mdframed.el

	* Makefile.in (STYLESRC): Add new style.

	* style/mdframed.el: New file.

2016-12-29  Arash Esbati  <arash.esbati@gmail.com>

	Add new tcolorbox library style/tcolorboxlib-raster.el

	* Makefile.in (STYLESRC): Add new style.

	* style/tcolorboxlib-raster.el: New file.

2016-12-29  Arash Esbati  <arash.esbati@gmail.com>

	Update style/tcolorbox.el to package v3.96

	* style/tcolorbox.el: Update style to package v3.96.

2016-12-29  Arash Esbati  <arash.esbati@gmail.com>

	Query for optional float position

	* style/newfloat.el (LaTeX-newfloat-auto-cleanup): Query for optional
	float position.

2016-12-29  Arash Esbati  <arash.esbati@gmail.com>

	Improve inserting arguments of \captionof macro

	* style/caption.el (LaTeX-arg-caption-captionof): New function improving
	query and insert of caption and label acc. to float type.
	("caption"): Use it.

2016-12-29  Mosè Giordano  <mose@gnu.org>

	Fix documentation of TeX-arg-file

	* doc/auctex.texi (Adding Macros): `TeX-arg-file' does not strip
	 extension.  Reported by Tyler Smith.  Fixes bug#24444.

2016-12-26  Uwe Brauer	<oub@mat.ucm.es>

	Make AUCTeX and RefTeX aware of file loading macro \subfile

	* style/subfiles.el ("subfiles"): Make subfile macro be recognized as a
	paragraph command.  For AUCTeX, add argument of subfile to
	`TeX-auto-file'.  For RefTeX, append subfile to
	`reftex-include-file-commands' and run `reftex-compile-variables' only
	once.  Code rearrangement.

2016-12-24  Mosè Giordano  <mose@gnu.org>

	Print only first line of the message in error overview

	* tex-buf.el (TeX-error-overview-make-entries): Use `push' in place of
	 `add-to-list'.	 Print only the first line of the message.

2016-12-23  Arash Esbati  <arash.esbati@gmail.com>

	Mention improvements to `LaTeX-array-count-columns' in news

	* doc/changes.texi: Mention improvements to
	`LaTeX-array-count-columns' in news since 11.89.

2016-12-23  Arash Esbati  <arash.esbati@gmail.com>

	Extend test for new column counting code with style files loaded

	* tests/latex/tabular-count-ampersands-out.tex:
	* tests/latex/tabular-count-ampersands-in.tex: Add tests for tabularx,
	tabulary, longtable, dcolumn, siunitx constructs.

	* tests/latex/latex-test.el
	(LaTeX-count-ampersands-inserted-in-tabular): Set `TeX-parse-self' to t
	in order to load style files in the test.  Thanks to Mosè Giordano for
	enabling this feature.

2016-12-22  Arash Esbati  <arash.esbati@gmail.com>

	Update style/minted.el to package version 2.4.1.

	* style/minted.el (LaTeX-minted-key-val-options): Add new key=vals from
	package version 2.4.1.
	(LaTeX-minted-key-val-options-local): New variable.
	(LaTeX-minted-language-list): Set the variable
	`LaTeX-minted-language-list' after the first call of function.
	(LaTeX-minted-style-list): New variable.
	(LaTeX-minted-style-list): New function analogous to
	`LaTeX-minted-language-list' returning styles provided by pymentize
	program.
	(LaTeX-arg-minted-style): New function to insert styles provided by
	pymentize program into buffer.
	(LaTeX-minted-update-key-vals): New function to update key=vals in
	`LaTeX-minted-key-val-options-local'.
	(LaTeX-minted-auto-cleanup): Call `LaTeX-minted-update-key-vals'.
	("minted"): Use `LaTeX-minted-key-val-options-local' for all key=val
	queries.  Update macros incl. fontification.  Run style hook for
	`newfloat' when package option is given.

2016-12-22  Tassilo Horn  <tsdh@gnu.org>

	Release GNU AUCTeX 11.89.8

	* Version 11.89.8 released.

2016-12-22  Tassilo Horn  <tsdh@gnu.org>

	Merge branch 'master' into externals/auctex

2016-12-22  Tassilo Horn  <tsdh@gnu.org>

	Uniform font-lock updates/don't break prettify (bug#25245)

	* font-latex.el (font-latex-update-font-lock): New function.
	(font-latex-add-keywords): Use it.
	(font-latex-after-hacking-local-variables): Use it.
	* style/alltt.el: Use font-latex-update-font-lock.
	* style/beamer.el: Ditto.
	* style/comment.el: Ditto.
	* style/expl3.el: Ditto.
	* style/fancyhdr.el: Ditto.
	* style/fancyvrb.el: Ditto.
	* style/listings.el: Ditto.
	* style/minted.el: Ditto.
	* style/url.el: Ditto.

2016-12-22  Mosè Giordano  <mose@gnu.org>

	Fix to TeX-add-local-master

	* tex.el (TeX-add-local-master): Parse local variables again after
	 calling the mode function, which killed local variables.

2016-12-21  Mosè Giordano  <mose@gnu.org>

	Add style/ directory to TeX-style-path for tests

	* tests/latex/latex-test.el: Add our "style/" directory `TeX-style-path'
	 to make it possible to load style files inside tests.

2016-12-20  Mosè Giordano  <mose@gnu.org>

	* tex.el (TeX-add-local-master): Inherit major mode from master file.

2016-12-19  Arash Esbati  <arash.esbati@gmail.com>

	Mention that arguments to *-operator must be in braces

	* doc/auctex.texi (Tabular-like): Mention that the new code for counting
	columns in *{num}{cols} expects num and cols to be enclosed in braces.

2016-12-19  Arash Esbati  <arash.esbati@gmail.com>

	Add test for new column counting code

	* tests/latex/tabular-count-ampersands-out.tex:
	* tests/latex/tabular-count-ampersands-in.tex: New files.

	* tests/latex/latex-test.el
	(LaTeX-count-ampersands-inserted-in-tabular): Test new column counting
	code in `LaTeX-array-count-columns'.

2016-12-19  Arash Esbati  <arash.esbati@gmail.com>

	Count *-operator in column specification

	* latex.el (LaTeX-array-count-columns): Detect *-operator in column
	specification and count the arguments for final calculation of columns. 
	Thanks to Ikumi Keita for pointing out this deficiency and code to fix
	it.

2016-12-19  Arash Esbati  <arash.esbati@gmail.com>

	Add new style/dcolumn.el

	* Makefile.in (STYLESRC): Add new style.

	* style/dcolumn.el: New file.

2016-12-19  Arash Esbati  <arash.esbati@gmail.com>

	Accept non-letter characters as column specifier

	* style/array.el (LaTeX-array-newcolumntype-regexp): Accept non-letter
	characters as column specifier.

2016-12-17  Arash Esbati  <arash.esbati@gmail.com>

	Use `LaTeX-item-longtable' while inserting longtable's

	* style/longtable.el (LaTeX-longtable-skipping-regexp): New variable.
	(LaTeX-item-longtable): New function.  This function is a variation of
	`LaTeX-item-array' which uses
	`LaTeX-longtable-skipping-regexp' when inserting ampersands.
	("longtable"): Append longtable to `LaTeX-item-list'.

2016-12-17  Arash Esbati  <arash.esbati@gmail.com>

	Add "s" and "S" to `LaTeX-array-column-letters'

	* style/siunitx.el ("siunitx"): Add column specification letters
	"s" and "S" to `LaTeX-array-column-letters'.

2016-12-17  Arash Esbati  <arash.esbati@gmail.com>

	Append tabular[xy] to `LaTeX-item-list'

	* style/tabulary.el ("tabulary"):
	* style/tabularx.el ("tabularx"): Append tabularx and tabulary to
	`LaTeX-item-list'.

2016-12-13  Arash Esbati  <arash.esbati@gmail.com>

	; Use third argument of `TeX-argument-insert'

	* style/mathtools.el (LaTeX-mathtools-arg-mathstyle-completion)
	(LaTeX-mathtools-arg-mathsize-completion):
	(LaTeX-mathtools-arg-declarepaireddelimiter): Use third argument of
	`TeX-argument-insert' to prepend user input with `TeX-esc'.

2016-12-06  Arash Esbati  <arash.esbati@gmail.com>

	Support RefTeX with `reftex-add-index-macros' in style/splitidx.el

	* style/splitidx.el ("splitidx"): Support RefTeX with
	`reftex-add-index-macros' and not by appending macros to
	`reftex-index-macros'.

2016-12-06  Arash Esbati  <arash.esbati@gmail.com>

	Support RefTeX with `reftex-add-label-environments' in
	style/mathtools.el

	* style/mathtools.el (LaTeX-mathtools-auto-cleanup, "mathtools"): 
	Support RefTeX with `reftex-add-label-environments' and not by appending
	environments to `reftex-label-alist'.
	("mathtools"): Add fontification support for referencing macros.

2016-12-06  Arash Esbati  <arash.esbati@gmail.com>

	Support RefTeX with `reftex-add-label-environments' in style/empheq.el

	* style/empheq.el ("empheq"): Support RefTeX with
	`reftex-add-label-environments' and not by appending environments to
	`reftex-label-alist'.

2016-12-05  Arash Esbati  <arash.esbati@gmail.com>

	Fix query for defined colors in style/textpos.el

	* style/textpos.el ("textpos"): Use `cond' to check which color defining
	package is loaded and use the respective function for
	`completing-read'.

2016-12-05  Arash Esbati  <arash.esbati@gmail.com>

	Fix query for defined colors in style/ntheorem.el

	* style/ntheorem.el ("ntheorem"): Use `cond' to check which color 
	defining package is loaded and use the respective function for
	`completing-read'.

2016-11-30  Arash Esbati  <arash.esbati@gmail.com>

	Add support for LaTeX core command \textsubscript

	* font-latex.el (font-latex-built-in-keyword-classes):
	* latex.el (LaTeX-common-initialization): Add entry for
	"textsubscript" which is in LaTeX core since 2015/01/01.

2016-11-28  Arash Esbati  <arash.esbati@gmail.com>

	Do not spell-check arguments of \LTXtable

	* tex-ispell.el (TeX-ispell-skip-cmds-list): Add entry for
	\LTXtable.

2016-11-28  Arash Esbati  <arash.esbati@gmail.com>

	Add \LTXtable to list of file-loading commands

	* style/ltxtable.el (LaTeX-ltxtable-file-regexp): New variable.
	("ltxtable"): Make AUCTeX and RefTeX aware of \LTXtable as file loading
	command. Add fontification support.

2016-11-25  Arash Esbati  <arash.esbati@gmail.com>

	Support new floats defined with newfloat package

	* style/caption.el (LaTeX-caption-update-key-val-options): Append new
	floating environments defined with "newfloat.sty" as values to
	"type*?" keys in `LaTeX-caption-key-val-options-local'.

2016-11-25  Arash Esbati  <arash.esbati@gmail.com>

	Append entry to `LaTeX-label-alist' for new "verbatim" floats

	* style/newfloat.el (LaTeX-newfloat-auto-cleanup): Append an entry for
	parsed environments of "verbatim" type to `LaTeX-label-alist'.

2016-11-24  Arash Esbati  <arash.esbati@gmail.com>

	Insert \label inside the mandatory argument of \caption

	* style/longtable.el ("longtable"): Append \label at the end of caption
	text inside the mandatory argument.
	(LaTeX-longtable-package-options): New variable to suppress the query
	for package options.

2016-11-24  Uwe Brauer	<oub@mat.ucm.es>

	Add style file for subfiles package.

	* Makefile.in (STYLESRC): add subfiles.el entry

	* style/subfiles.el ("subfiles"): add new style.

	Signed-off-by: Mosè Giordano <mose@gnu.org>

2016-11-23  Mosè Giordano  <mose@gnu.org>

	Min fix to kpfonts package

	* style/kpfonts.el ("kpfonts"): Move setting of `TeX-font-list' inside
	 the hook.

2016-11-23  Mosè Giordano  <mose@gnu.org>

	Add style file for amsfonts package

	* style/amsfonts.el: New file.
	* Makefile.in (STYLESRC): Install it.
	* style/amssymb.el ("amssymb"): Run `amsfonts' hook.

2016-11-21  Arash Esbati  <arash.esbati@gmail.com>

	Add new style/bicaption.el

	* Makefile.in (STYLESRC): Add new style.

	* style/bicaption.el: New file.

2016-11-21  Arash Esbati  <arash.esbati@gmail.com>

	Add support for style/bicaption.el to style/caption.el

	* style/caption.el (LaTeX-caption-supported-float-types): Add supported
	caption types available with bicaption.el.
	("caption"): Append key=vals from bicaption.el to
	`LaTeX-caption-key-val-options-local'.
	("caption"): Query for a second optional argument with
	\captionsetup*? if bicaption.el is loaded.  Same for fontification.

2016-11-21  Arash Esbati  <arash.esbati@gmail.com>

	Do not insert a new line if \label is omitted

	* style/subcaption.el (LaTeX-arg-subcaption-subcaption): Insert a new
	line only if \label is given.

2016-11-18  Arash Esbati  <arash.esbati@gmail.com>

	Improve caption and label insertion in style/caption.el

	* style/caption.el (LaTeX-caption-key-val-options): Add key slc which is
	an abbrev for singlelinecheck.
	(LaTeX-arg-caption-captionbox): Delete unused prompt argument. Ask for
	short caption acc. to the value of
	`LaTeX-short-caption-prompt-length'.  Use `LaTeX-label' instead of
	`TeX-insert-macro' to insert a label.  Use `TeX-argument-insert' instead
	of conditional insert.
	("caption"): Do not fontify the last argument of \captionbox. 
	Fontification happens within \begin...\end{tabular} or
	\includegraphics.

2016-11-18  Arash Esbati  <arash.esbati@gmail.com>

	Improve caption and label insertion in style/subcaption.el

	* style/subcaption.el (LaTeX-arg-subcaption-subcaption): Delete unused
	prompt argument.  Ask for short caption acc. to the value of
	`LaTeX-short-caption-prompt-length'.  Fill the inserted sub-caption
	before using `LaTeX-label' to insert the label.
	(LaTeX-arg-subcaption-subcaptionbox): Delete unused prompt argument. 
	Ask for short caption acc. to the value of
	`LaTeX-short-caption-prompt-length'.  Use `LaTeX-label' to insert the
	label.	Use `TeX-argument-insert' instead of conditional insert.
	("subcaption"): Append package environments to `LaTeX-label-alist'.
	("subcaption"): Do not fontify the last argument of
	\subcaptionbox.	 Fontification happens within
	\begin...\end{tabular} or \includegraphics.

2016-11-16  Arash Esbati  <arash.esbati@gmail.com>

	Add new style/FiraSans.el

	* Makefile.in (STYLESRC): Add new style.

	* style/FiraSans.el: New file.

2016-11-16  Arash Esbati  <arash.esbati@gmail.com>

	Add new style/FiraMono.el

	* Makefile.in (STYLESRC): Add new style.

	* style/FiraMono.el: New file.

2016-11-14  Mosè Giordano  <mose@gnu.org>

	Suggest to display warnings when there are no errors in error overview

	* tex-buf.el (TeX-error-overview): When there are no errors, suggest to
	 display warnings and bad boxes, if present.  Fixes bug #24877.

2016-11-12  Tassilo Horn  <tsdh@gnu.org>

	Release GNU AUCTeX 11.89.7

	* Version 11.89.7 released.

2016-11-12  Tassilo Horn  <tsdh@gnu.org>

	Merge branch 'master' into externals/auctex

2016-11-04  Tassilo Horn  <tsdh@gnu.org>

	Refresh font-latex fontification if vars are modified

	Refresh font-latex fontification if variables such as 
	LaTeX-verbatim-*-local are set in a file-local variables block or as 
	directory-local variables (bug#24868).

	* font-latex.el (font-latex-after-hacking-local-variables): New
	function.
	(font-latex-setup): Add it do hack-local-variables-hook.
	* tex.el (TeX--list-of-string-p): New function.
	* latex.el (LaTeX-verbatim-environments-local):
	(LaTeX-verbatim-macros-with-braces-local):
	(LaTeX-verbatim-macros-with-delims-local): Use it for 
	safe-local-variable property.

2016-11-02  Arash Esbati  <arash.esbati@gmail.com>

	Update style/natbib.el to package version 8.31b

	* style/natbib.el ("natbib"): Add missing macros to catch up with 
	package version 8.31b.	Rearrange code.
	(LaTeX-arg-natbib-notes): Remove redundant check if
	`TeX-arg-cite-note-p' is non-nil.

2016-10-17  Tassilo Horn  <tsdh@gnu.org>

	Release GNU AUCTeX 11.89.6 (now for real)

	* Version 11.89.6 released.

2016-10-17  Tassilo Horn  <tsdh@gnu.org>

	Merge branch 'master' into externals/auctex

2016-10-17  Tassilo Horn  <tsdh@gnu.org>

	Make Copyright headers conforming to convention

2016-10-17  Arash Esbati  <arash.esbati@gmail.com>

	Do not insert unnecessary brackets for citation macros

	* style/natbib.el (LaTeX-arg-natbib-notes): Rename function name from
	`natbib-note-args'. Improve the insertion of arguments in order not to
	have an empty pair of brackets when both pre- and post-note are omitted.
	("natbib"): Replace occurrence of `natbib-note-args' with
	`LaTeX-arg-natbib-notes'.

2016-10-17  Arash Esbati  <arash.esbati@gmail.com>

	Use `TeX-argument-insert' instead of conditional `insert'

	* style/biblatex.el (LaTeX-arg-biblatex-natbib-notes): Use
	`TeX-argument-insert' instead of `insert' for arguments insertion.

2016-10-16  Arash Esbati  <arash.esbati@gmail.com>

	Add support for natbib macros to style/biblatex

	* style/biblatex.el (LaTeX-arg-biblatex-natbib-notes): New function.
	("biblatex"): Add completion and fontification support for natbib 
	compatibility macros.

2016-10-14  Tassilo Horn  <tsdh@gnu.org>

	Release GNU AUCTeX 11.89.6

	* Version 11.89.6 released.

2016-10-14  Tassilo Horn  <tsdh@gnu.org>

	Improve makefile for AUCTeX ELPA versions

	* GNUmakefile (IGNORED): Don't fail if ChangeLog hasn't been generated 
	yet.

2016-10-14  Tassilo Horn  <tsdh@gnu.org>

	Merge branch 'master' into elpa

2016-10-14  Tassilo Horn  <tsdh@gnu.org>

	Manually merge changes that were only on the elpa branch

2016-10-14  Tassilo Horn  <tsdh@gnu.org>

	Merge branch 'master' into elpa

2016-10-13  Tassilo Horn  <tsdh@gnu.org>

	Fix TeX--if-macro-fboundp edebug spec

	* tex.el (TeX--if-macro-fboundp): Fix broken edebug spec.

2016-09-27  Mosè Giordano  <mose@gnu.org>

	Fix to my previous commit

	* tex-buf.el (TeX-BibTeX-sentinel): Fix misplaced `setq', it was inside
	 the `cond' form while it should have been outside.

2016-09-19  Tassilo Horn  <tsdh@gnu.org>

	Improve docs added/changed in last commit

	* doc/auctex.texi (Display): Rewrite WYSIWYG paragraph and add 
	references.
	(Fontification of math): Switch order in which multi-level and invisible 
	are introduced.	 Fix misplaced @xref.

2016-09-19  Uwe Brauer	<oub@mat.ucm.es>

	Add information about prettify and semi WYSIWYG features.

	* doc/auctex.texi (Display): Add a sentence about 
	prettify-symbols-unprettify-at-point.
	(Fontification of math): add `invisible' to
	`font-latex-fontify-script'.

2016-09-18  Tassilo Horn  <tsdh@gnu.org>

	Don't require \end{env} is on a separate line

	* font-latex.el (font-latex-make-user-keywords):
	(font-latex-set-syntactic-keywords): Don't require that \end{env} is on 
	a line of its own.  Also allow empty mandatory argument in verbatim 
	environments.

2016-09-18  Mosè Giordano  <mose@gnu.org>

	Fix default command after running BibTeX with warnings

	* tex-buf.el (TeX-BibTeX-sentinel): Always set `TeX-command-next' to
	 `TeX-command-default'.	 As it was before, if BibTeX issued
	 warnings (or errors) the default next command would have been "View",
	 which is in no case what the user would expect.  This is the same
	 logic used in Biber sentinel (which has, in addition, a fatal error
	 after which Biber is run again).

2016-09-18  Tassilo Horn  <tsdh@gnu.org>

	Improve font-locking of verbatim environments

	* font-latex.el (font-latex-set-syntactic-keywords): Handle case where
	 verbatim content immediately follows \begin{verb-env}.

2016-09-17  Uwe	 <oub@mat.ucm.es>

	Improve style/bidi and add make file entry.

	* Makefile.in (STYLESRC): add bidi.el

	* style/bidi.el ("bidi"): New file.

	Signed-off-by: Mosè Giordano <mose@gnu.org>

2016-09-17  Arash Esbati  <arash.esbati@gmail.com>

	Improve style/graphicx.el

	* doc/changes.texi: Document the changes about graphicx.el.

	* tex-style.el (LaTeX-includegraphics-options-alist): Remove the now
	no-op variable.

	* style/graphics.el ("graphics"): Set
	`LaTeX-graphics-package-options' after running hooks for graphicx.el.

	* style/graphicx.el (LaTeX-graphicx-key-val-options)
	(LaTeX-includegraphics-dvips-extensions)
	(LaTeX-includegraphics-pdftex-extensions)
	(LaTeX-includegraphics-xetex-extensions)
	(LaTeX-graphicx-package-options): New variables.
	(LaTeX-arg-graphicx-includegraphics-key-val): New function.
	(LaTeX-includegraphics-extensions): Return extensions for input files
	depending on the used engine.
	(LaTeX-arg-includegraphics): Only query for the image file to include. 
	The query for the optional key-val argument is now done by
	`LaTeX-arg-graphicx-includegraphics-key-val'.
	("graphicx"): Extend the query for commands \resizebox[*]. Commands
	shared with graphics.el are guarded respectively. Add missing commands
	\graphicspath, \DeclareGraphicsExtensions and
	\DeclareGraphicsRule.

2016-09-14  Stefan Monnier  <monnier@iro.umontreal.ca>

	Cherry-pick 9c24759a96f41e288841ec2e815d62d58dc01e7a from elpa branch

	* tex-ispell.el (TeX-ispell-sort-skip-cmds-list): Drop symbol-value

	* tex-site.el.in (TeX-modes): Use #'.

2016-09-14  Arash Esbati  <arash.esbati@gmail.com>

	; Turn mandatory argument to optional

	* style/paracol.el ("paracol"): Turn mandatory argument to an optional
	one.

2016-09-12  Stefan Monnier  <monnier@iro.umontreal.ca>

	* tex-ispell.el (TeX-ispell-sort-skip-cmds-list): Drop symbol-value

	* tex-site.el (TeX-modes): Use #'.

2016-09-12  Arash Esbati  <arash.esbati@gmail.com>

	; Fix a typo

	* tex.el (TeX-search-files-type-alist): Fix a typo.

2016-09-09  Arash Esbati  <arash.esbati@gmail.com>

	; Query for second mandatory argument.

	* style/paracol.el ("paracol"): Query for second mandatory argument.

2016-09-04  Mosè Giordano  <mose@gnu.org>

	Do not use a function from cl

	* tex-buf.el (TeX-parse-TeX): Do not use the `signum' function, provided
	 by `cl' library.

2016-09-02  Mosè Giordano  <mose@gnu.org>

	Fix type of ConTeXt-Mark-version option

	* context.el (ConTeXt-Mark-version): Fix the type, it was wrongly set
	 with a string in place of a symbol.  Reported by Tobias Berndt.

2016-09-01  Tassilo Horn  <tsdh@gnu.org>

	Release GNU AUCTeX 11.89.5

	* Version 11.89.5 released.

2016-09-01  Tassilo Horn  <tsdh@gnu.org>

	Merge branch 'master' into elpa

2016-09-01  Arash Esbati  <arash.esbati@gmail.com>

	Add new style/menukeys.el

	* Makefile.in (STYLESRC): Add new style.

	* style/menukeys.el: New file.

2016-09-01  Arash Esbati  <arash.esbati@gmail.com>

	Add new style/paracol.el

	* Makefile.in (STYLESRC): Add new style.

	* style/paracol.el: New file.

2016-09-01  Arash Esbati  <arash.esbati@gmail.com>

	Add new style/framed.el

	* Makefile.in (STYLESRC): Add new style.

	* style/framed.el: New file.

2016-08-31  Arash Esbati  <arash.esbati@gmail.com>

	Use `TeX-ispell-skip-setcar' on user defined index macros

	* style/splitidx.el (LaTeX-splitidx-newindex-regex): Replace wrong
	`^}' with `^]'.
	(LaTeX-splitidx-auto-cleanup, "splitidx"): Use
	`TeX-ispell-skip-setcar' on user defined index macros.

2016-08-31  Arash Esbati  <arash.esbati@gmail.com>

	Use `TeX-ispell-skip-setcdr' on user defined listing environments

	* style/listings.el (LaTeX-listings-auto-cleanup): Use
	`TeX-ispell-skip-setcdr' on user defined lists.

2016-08-31  Arash Esbati  <arash.esbati@gmail.com>

	Use `TeX-ispell-skip-setcdr' on user defined list environments

	* style/enumitem.el (LaTeX-enumitem-auto-cleanup): Use
	`TeX-ispell-skip-setcdr' on user defined lists.
	("enumitem"): Use `TeX-ispell-skip-setcdr' on user defined lists. Use
	`TeX-argument-insert' instead of `insert'.

2016-08-26  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Revise document for Japanese TeX

	Revise document for Japanese TeX
	* doc/auctex.texi (Language Support): Fix old statements.  Mention about
	(semi-)obsolete variables japanese-(La)TeX-command-default, 
	japanese-TeX-command-list and recommend to use 
	japanese-TeX-engine-default instead.

	Signed-off-by: Masayuki Ataka <masayuki.ataka@gmail.com>

2016-08-26  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Add a Japanese error message translation

	* tex-jp.el (TeX-error-description-list): Add a Japanese error message
	translation.

	Signed-off-by: Masayuki Ataka <masayuki.ataka@gmail.com>

2016-08-26  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Set the right coding systems for Japanese TeX process

	Set the right coding systems for Japanese TeX process

	* tex-jp.el:
	(LaTeX-command-style): Remove kanji option from uplatex and jlatex, 
	which was there by mistake.
	(TeX-japanese-process-input-coding-system, 
	TeX-japanese-process-output-coding-system, 
	japanese-TeX-set-process-coding-system): The coding systems for 
	interacting with Japanese TeX vary with the OS and other circumstances. 
	So choose the suitable coding system at run time rather than using the
	fixed values.
	(japanese-TeX-use-kanji-opt-flag): Declare before the first use. In
	addition, change default value and tailor doc string as per the above
	change.
	(japanese-TeX-coding-ejsu): Add coding system compatible for emacs 21
	and xemacs.

	Signed-off-by: Masayuki Ataka <masayuki.ataka@gmail.com>

2016-08-24  Mosè Giordano  <mose@gnu.org>

	Make TeX-previous-error go backward

	* tex-buf.el (TeX-parse-TeX): Decrease `TeX-error-last-visited' when
	 `arg' is negative.  This fixes the behavior of `TeX-previous-error'.

2016-08-23  Arash Esbati  <arash.esbati@gmail.com>

	Update style/mathtools.el to v1.18 of mathtools.sty

	* style/mathtools.el (LaTeX-mathtools-package-options): Add
	"nonrobust" option.
	(LaTeX-mathtools-key-val-options): Add missing key=vals.  Insert a 
	period in doc string.
	(LaTeX-mathtools-arg-mathstyle-completion)
	(LaTeX-mathtools-arg-mathsize-completion)
	(LaTeX-mathtools-arg-declarepaireddelimiter)
	(LaTeX-mathtools-env-cases)
	(LaTeX-mathtools-item-cases): New functions.
	(LaTeX-mathtools-env-multlined): Add an empty pair of square brackets if
	only the second optional argument is given.
	("mathtools"): Update commands and environments in style hook.
	(LaTeX-mathtools-env-matrix-starred)
	(LaTeX-mathtools-env-spreadlines): Delete functions.  Use
	["string"] when adding environments in `LaTeX-add-environments'.

2016-08-21  Mosè Giordano  <mose@gnu.org>

	Fold environments with * in name

	* tex-fold.el (TeX-fold-item): Add asterisk to the regexp matching LaTeX
	 environment names.  Fixes bug#24263.

2016-08-21  Mosè Giordano  <mose@gnu.org>

	Remove obsolete TeX-function-p function

	* tex.el (TeX-function-p): Remove this function.  It was introduced here
	 in AUCTeX in 1994, but is present in Emacs since 1997 as well, under
	 the name `functionp'.	Fixes bug#24245.
	* tex-buf.el (TeX-command-expand): Replace `TeX-function-p' with
	 `functionp'.

2016-08-15  Arash Esbati  <arash.esbati@gmail.com>

	; Add missing macro \DeclareRightDelimiter

	* style/empheq.el ("empheq"): Add missing macro \DeclareRightDelimiter.
	("empheq"): Run `LaTeX-empheq-update-key-val-options' when using
	\DeclareLeftDelimiter.
	("empheq"): Add missing braces for \end part.

2016-08-14  Arash Esbati  <arash.esbati@gmail.com>

	Add new style/empheq.el

	* Makefile.in (STYLESRC): Add new style.

	* style/empheq.el: New file.

2016-08-10  Arash Esbati  <arash.esbati@gmail.com>

	Add new style/commath.el

	* Makefile.in (STYLESRC): Add new style.

	* style/commath.el: New file.

2016-08-02  Arash Esbati  <arash.esbati@gmail.com>

	Add new style/pdflscape.el

	* Makefile.in (STYLESRC): Add new style.

	* style/pdflscape.el: New file.

2016-07-29  Arash Esbati  <arash.esbati@gmail.com>

	; Remove wrong entries for cleveref.sty

	* tex-ispell.el (defvar): Remove wrong entries for cleveref.sty.

2016-07-29  Arash Esbati  <arash.esbati@gmail.com>

	; Remove wrong entries for varioref.sty

	* tex-ispell.el (defvar): Remove wrong entries for varioref.sty.

2016-07-22  Arash Esbati  <arash.esbati@gmail.com>

	Document interaction with Ispell

	* doc/auctex.texi (Selecting a Command): Document interaction with
	Ispell.

2016-07-18  Arash Esbati  <arash.esbati@gmail.com>

	Add new spell checking dictionary tex-ispell.el

	* doc/todo.texi (Wishlist): Remove spell checking of macros from wish
	list.

	* doc/changes.texi: Mention new file tex-ispell.el in news since 11.89. 
	Fix typo.

	* Makefile.in (AUCSRC): Add tex-ispell.el.

	* latex.el (tex-ispell): Require tex-ispell.el.

	* tex.el (TeX-ispell-extend-skip-list): New customizable variable.
	(TeX-ispell-skip-setcar, TeX-ispell-skip-setcdr): New functions.
	(TeX-ispell-tex-arg-end): New function.

	* tex-ispell.el: Add new file.

2016-07-08  Arash Esbati  <arash.esbati@gmail.com>

	Reset `LaTeX-auto-xcolor-definecolorset' before parsing

	* style/xcolor.el (LaTeX-xcolor-auto-prepare): Reset
	`LaTeX-auto-xcolor-definecolorset' before parsing. Improve comments.

2016-07-08  Arash Esbati  <arash.esbati@gmail.com>

	Fix doc string for curve quoting style in Emacs 25

	* style/theorem.el (LaTeX-theorem-env-label):
	* style/ntheorem.el (LaTeX-ntheorem-env-label):
	* style/amsthm.el (LaTeX-amsthm-env-label): Fix doc string for new text
	quoting style in Emacs 25.

2016-06-30  Arash Esbati  <arash.esbati@gmail.com>

	; Add missing space in prompt

	* style/environ.el (TeX-arg-environ-final-code): Add missing space in
	prompt.

2016-06-29  Arash Esbati  <arash.esbati@gmail.com>

	Catch up with deletion of \commondummies in texinfo.tex

	* doc/macros.texi: Catch up with deletion of \commondummies in 
	texinfo.tex which is replaced with \definedummies.  Check which command
	is defined and add AUCTeX definitions respectively.

2016-06-28  Masayuki Ataka  <masayuki.ataka@gmail.com>

	Fix to doc/auctex.texi

	* doc/auctex.texi (Prettifying): Insert missing '{}'.

	Signed-off-by: Mosè Giordano <mose@gnu.org>

	Copyright-paperwork-exempt: Yes

2016-06-27  Mosè Giordano  <mose@gnu.org>

	Change test for PDF Tools availability

	* tex.el (TeX-pdf-tools-sync-view): Change test for PDF Tools
	 availability, in order to make it possible to postpone loading of the
	 package, for example when using "use-package".	 Fixes bug#23803.

2016-06-11  Tassilo Horn  <tsdh@gnu.org>

	More about TeX-raise-frame-function

	* doc/auctex.texi (I/O Correlation): Improve TeX-raise-frame-function 
	docs.
	* doc/changes.texi: Mention TeX-raise-frame-function.
	* tex.el (TeX-raise-frame-function): Use raise-frame as default value.

2016-06-11  Tassilo Horn  <tsdh@gnu.org>

	Document TeX-raise-frame-function

	* doc/auctex.texi (I/O Correlation): Document TeX-raise-frame-function.

2016-06-10  Tassilo Horn  <tsdh@gnu.org>

	New defcustom TeX-raise-frame-function

	* tex.el (TeX-raise-frame-function): New defcustom.
	(TeX-source-correlate-sync-source): Use it.

2016-06-04  Uwe Brauer	<oub@mat.ucm.es>

	Document how to disable filling for specific environments

	* latex.el (LaTeX-indent-environment-list): Mention in docstring that 
	environments listed here are not filled.
	(LaTeX-fill-region-as-paragraph): Add information to the docstring 
	concerning excluding enviroments from that function by using
	`LaTeX-indent-environment-list'.  Suggested by Uwe Brauer.

2016-05-31  Mosè Giordano  <mose@gnu.org>

	Fix compatibility with GNU Emacs < 24

	* tex.el (TeX-source-correlate-sync-source): Call `x-focus-frame' only
	 when it is available.

2016-05-29  Tassilo Horn  <tsdh@gnu.org>

	Grab focus on Evince inverse search

	* tex.el (TeX-source-correlate-sync-source): Call `x-focus-frame'.

2016-05-29  Tassilo Horn  <tsdh@gnu.org>

	Merge branch 'master' into elpa

2016-05-29  Tassilo Horn  <tsdh@gnu.org>

	Don't use non-existing custom-buffer-done-function

	* tex-wizard.el (TeX-wizard): Use `kill-buffer-hook' and
	`custom-buffer-done-kill' instead of `custom-buffer-done-function' which 
	has been removed from Emacs a long time ago.

2016-05-27  Tassilo Horn  <tsdh@gnu.org>

	Docs for prettification with Emacs 25+

	* doc/auctex.texi (Prettifying): Document prettification.

2016-05-27  Tassilo Horn  <tsdh@gnu.org>

	Merge branch 'master' into elpa

2016-05-27  Stefan Monnier  <monnier@IRO.UMontreal.CA>

	Fix byte-compiler warnings.

	* context.el: Fix some byte-compiler warnings.
	* tex-buf.el: Ditto.
	* tex-jp.el: Ditto.
	* tex-mik.el: Ditto.
	* toolbar-x.el: Ditto.

2016-05-24  Tassilo Horn  <tsdh@gnu.org>

	Merge branch 'master' into elpa

2016-05-24  Tassilo Horn  <tsdh@gnu.org>

	Fix copyright header of tex-jp.el

	* tex-jp.el: Fix Copyright and Author headers.

2016-05-22  Tassilo Horn  <tsdh@gnu.org>

	Merge branch 'master' into elpa

2016-05-22  Tassilo Horn  <tsdh@gnu.org>

	Convert ChangeLog.1 to UTF-8

	* ChangeLog.1: Convert to UTF-8 and adjust encoding cookie.

2016-05-22  Tassilo Horn  <tsdh@gnu.org>

	Release GNU AUCTeX 11.89.4

	* Version 11.89.4 released.

2016-05-22  Tassilo Horn  <tsdh@gnu.org>

	Merge branch 'master' into elpa

2016-05-22  Tassilo Horn  <tsdh@gnu.org>

	Make ChangeLog UTF-8

	* ChangeLog-preview.1: Convert to UTF-8.
	* build-aux/gitlog-to-auctexlog: Remove iconv call for converting
	 ChangeLog to ISO-8859-1.

2016-05-21  Mosè Giordano  <mose@gnu.org>

	Append environment indentation rules to LaTeX-indent-environment-list

	* style/alltt.el ("alltt"): Append indentation rule to
	 `LaTeX-indent-environment-list' in order not to override custom
	 settings.  Reported by François Patte.
	* style/beamer.el ("beamer"): Ditto.
	* style/doc.el ("doc"): Ditto.
	* style/fancyvrb.el ("fancyvrb"): Ditto.
	* style/filecontents.el ("filecontents"): Ditto.
	* style/hyperref.el ("hyperref"): Ditto.
	* style/listings.el (LaTeX-listings-auto-cleanup, "listings"): Ditto.
	* style/longtable.el ("longtable"): Ditto.
	* style/minted.el (LaTeX-minted-auto-cleanup, "minted"): Ditto.
	* style/tabularx.el ("tabularx"): Ditto.
	* style/tabulary.el ("tabulary"): Ditto.

2016-05-18  Arash Esbati  <esbati@gmx.de>

	Respect both "xcolor" and "color" for command queries

	* style/textpos.el ("textpos"): Remove "color" from
	`TeX-run-style-hooks'.
	("textpos"): Respect both "xcolor" and "color" for query to
	"textblockcolour" and "textblockrulecolour" commands.

	Signed-off-by: Mosè Giordano <mose@gnu.org>

2016-05-18  Arash Esbati  <esbati@gmx.de>

	Respect both "xcolor" and "color" for query to "shadecolor"

	* style/ntheorem.el ("ntheorem"): Respect both "xcolor" and
	"color" for query to "shadecolor" command.

	Signed-off-by: Mosè Giordano <mose@gnu.org>

2016-05-18  Arash Esbati  <esbati@gmx.de>

	Adjust query commands for loading by xcolor.el

	* style/colortbl.el ("colortbl"): Run style hook for "color" only if
	"xcolor" is not an active style.
	("colortbl"): Check if "xcolor" is an active style and run
	(TeX-arg-xcolor) or (TeX-arg-color) respectively to query for the 
	arguments.

	Signed-off-by: Mosè Giordano <mose@gnu.org>

2016-05-18  Arash Esbati  <esbati@gmx.de>

	Run `TeX-add-symbols' if "xcolor" is not an active style

	* style/color.el ("color"): Check if "xcolor" is an active style and
	then run `TeX-add-symbols' on commands defined by "color.sty" and add
	fontification support.

	Signed-off-by: Mosè Giordano <mose@gnu.org>

2016-05-18  Arash Esbati  <esbati@gmx.de>

	Add new style/xcolor.el

	* Makefile.in (STYLESRC): Add new style xcolor.el.

	* style/xcolor.el: Add new file.

	Signed-off-by: Mosè Giordano <mose@gnu.org>

2016-05-15  Tassilo Horn  <tsdh@gnu.org>

	Make TeX-view work better with regions

	* tex-buf.el (TeX-region-update-point): New function which sets point in 
	the region buffer so that it matches the location of point in the 
	current buffer.
	(TeX-view): Use it.

2016-05-14  Arash Esbati  <esbati@gmx.de>

	Improve the insertation of "macro" environment

	* style/doc.el (LaTeX-env-no-comment): Check if argument
	`environment' is "macro" and query/insert a name prefixed with
	`TeX-esc'.
	(LaTeX-doc-after-insert-macrocode): Add "macro" environment.
	("doc"): Run `LaTeX-env-no-comment' when "macro" environment is 
	inserted.

	Signed-off-by: Mosè Giordano <mose@gnu.org>

2016-05-14  Mosè Giordano  <mose@gnu.org>

	Use commit date for package date also in configure

	* aclocal.m4 (AC_DATE_VERSION_FROM_CHANGELOG): Use commit date rather
	 than author date.

2016-05-14  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Tweak mode name only when file local variable is enabled.

	* tex-jp.el (japanese-plain-tex-mode-initialization)
	 (japanese-latex-mode-initialization): Tweak mode name only
	 when `enable-local-variables' is non-nil.

	Signed-off-by: Mosè Giordano <mose@gnu.org>

2016-05-13  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Adapt for upLaTeX

	* tex-buf.el (TeX-LaTeX-sentinel): Accept banner line of upLaTeX.
	* tex-jp.el (japanese-LaTeX-style-list): Add class file for upLaTeX.
	* tex.el (TeX-format-list): Make upLaTeX class file names lead to
	 `japanese-latex-mode'.

	Signed-off-by: Masayuki Ataka <masayuki.ataka@gmail.com>

2016-05-09  Mosè Giordano  <mose@gnu.org>

	Do not check TeX engine with ifluatex package

	* style/ifluatex.el ("ifluatex"): Set `TeX-check-engine-list' to nil so
	 that the engine is not checked when this package is loaded.

2016-05-09  Mosè Giordano  <mose@gnu.org>

	Check TeX engine only once

	* tex-buf.el (TeX-check-engine): If user does not want to change engine,
	 do not ask again.  Suggested by Joost Kremers.

2016-05-09  Mosè Giordano  <mose@gnu.org>

	Use commit date to determine package date

	* autogen.sh (AUCTEXDATE): Use commit date, rather than author date, to
	 determine package date.

2016-05-09  Arash Esbati  <esbati@gmx.de>

	Insert braces after some macros and \relax after \ProcessOptions

	* style/ltx-base.el ("ltx-base"): Insert a pair of braces after
	"DeclareOption*", "AtEndOfPackage", "AtEndOfClass",
	"AtBeginDocument" and "AtEndDocument". Insert a "\relax" after
	"ProcessOptions".

	Signed-off-by: Mosè Giordano <mose@gnu.org>

2016-05-09  Arash Esbati  <esbati@gmx.de>

	Improve style/doc.el

	* style/doc.el ("doc"): Do not indent the content inside the "macro" 
	environment. Insert a pair of braces after "DoNotIndex",
	"StopEventually",
	"MacroFont", "AltMacroFont". Prefix the string read with TeX-esc when
	inserting
	"DescribeMacro", "cmd". Ask for an argument ("parg", "oarg", "marg",
	"meta"). Add missing macro "cs". Delete dups ("MacroFont",
	"AltMacroFont", "theCodelineNo"). Ask for .fdd and .dtx files to input
	or include ("DocInput",
	"DocInclude"). Add lengths "MacrocodeTopsep", "MacroTopsep",
	"MacroIndent".

	Signed-off-by: Mosè Giordano <mose@gnu.org>

2016-05-06  Mosè Giordano  <mose@gnu.org>

	Allow for negative offsets in region backward search

	* tex.el (TeX-source-correlate-handle-TeX-region): Use the same regexp
	 used in `preview-parse-messages', that is also XEmacs compatible and
	 allows for negative offsets.  This makes backward search work also
	 when using `TeX-command-buffer' and `LaTeX-command-section'.  Reported
	 by Qiang Yin.

2016-04-28  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Enable directory local variables in japanese-{latex, plain-tex}-mode

		* tex-jp.el (japanese-latex-mode-initialization): Set
	`major-mode' to `japanese-latex-mode' and reset it to
	`latex-mode' after `hack-local-variables' is done.
	(japanese-plain-tex-mode-initialization): Similar changes
	for `japanese-plain-tex-mode'.
	(japanese-TeX-reset-mode-name): New function.
	(top-level) Make `latex-mode' is regarded as parent of
	`japanese-latex-mode' in directory local variables.  Similar
	addition for `japanese-plain-tex-mode', too.

	Signed-off-by: Mosè Giordano <mose@gnu.org>

2016-04-23  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Make unloading of tex-site work on Emacs 24

	* tex-site.el.in (tex-site-unload-hook): Run `TeX-modes-set' when
	 `advice-add' is defined.

	Signed-off-by: Mosè Giordano <mose@gnu.org>

2016-04-20  Mosè Giordano  <mose@gnu.org>

	Fix TeX-error-overview-make-entries

	* tex-buf.el (TeX-error-overview-make-entries): Add `active-buffer'
	 optional argument.  If `TeX-error-overview-open-after-TeX-run' is
	 non-nil and there is an error, TeX sentinels run this function but
	 `TeX-error-overview-active-buffer' hadn’t been initialized yet.  Fixes
	 bug#23318.

2016-04-19  Mosè Giordano  <mose@gnu.org>

	Call TeX-newline-function interactively

	* tex.el (TeX-newline): Replace `funcall' with `call-interactively'.
	 This makes `electric-indent-mode' work out-of-the-box.	 Suggested by
	 alex (http://comments.gmane.org/gmane.emacs.auctex.devel/4631).

2016-04-19  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Temporarily bind `TeX-insert-macro-default-style' to
	'show-optional-args'

	* latex.el (LaTeX-item-argument): Temporarily bind
	`TeX-insert-macro-default-style' to 'show-optional-args'. This is
	necessary in description environment if the user customize the option to
	`mandatory-args-only'.

	Signed-off-by: Mosè Giordano <mose@gnu.org>

2016-04-17  Mosè Giordano  <mose@gnu.org>

	Reword documentation of TeX-PDF-from-DVI

	* doc/auctex.texi (Processor Options): Make information about Japanese
	 documents more accurate.  Suggested by Ikumi Keita.

2016-04-16  Mosè Giordano  <mose@gnu.org>

	Replace TeX-PDF-via-dvips-ps2pdf with TeX-PDF-from-DVI

	* tex.el (TeX-command-list): Add Dvipdfmx.
	(TeX-expand-list-builtin): Use `TeX-PDF-from-DVI' in place of
	`TeX-PDF-via-dvips-ps2pdf'.
	(TeX-PDF-from-DVI): New safe buffer-local and customizable variable.
	(TeX-PDF-via-dvips-ps2pdf): Mark as obsolete.
	(TeX-toggle-PDF-via-dvips-ps2pdf): Remove function.
	(TeX-PDF-from-DVI): New function.
	(TeX-mode-specific-command-menu-entries): Update menu to convert DVI to 
	PDF.
	* tex-buf.el (TeX-command-default, TeX-run-set-command, 
	TeX-TeX-sentinel, TeX-TeX-sentinel-check, TeX-LaTeX-sentinel, 
	TeX-dvips-sentinel, TeX-ps2pdf-sentinel): Use `TeX-PDF-from-DVI' in 
	place of `TeX-PDF-via-dvips-ps2pdf'.
	(TeX-run-dvipdfmx, TeX-dvipdfmx-sentinel): New function.
	():
	* doc/auctex.texi (Processor Options): Document `TeX-PDF-from-DVI' and
	 remove mentions to `TeX-PDF-via-dvips-ps2pdf'
	* doc/changes.texi: Mention `TeX-PDF-from-DVI'.

2016-04-16  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Use customize option `TeX-region' instead of "_region_"

	* tex-buf.el (TeX-output-revert-buffer): Use customize option
	`TeX-region' instead of string literal "_region_".

	Signed-off-by: Mosè Giordano <mose@gnu.org>

2016-04-16  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Use `deactivate-input-method' if defined

	* tex.el (TeX-math-input-method-off): Use `deactivate-input-method' 
	instead of obsolete function `inactivate-input-method' when possible.

	Signed-off-by: Mosè Giordano <mose@gnu.org>

2016-04-16  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Use `match-string-no-properties'

	* texmathp.el (texmathp, texmathp-match-environment): For better 
	consistency with other parts of the file, change `match-string' to
	`no-properties' variant.

	Signed-off-by: Mosè Giordano <mose@gnu.org>

2016-04-16  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Fix small errors in doc string and comment

	* tex.el (TeX-auto-add-type): Change the word `function' to `macro' and
	add an `s' to the verb `create'.

	* tex-buf.el (TeX-run-format): Correct a typo `debuger' to `debugger'.

	Signed-off-by: Mosè Giordano <mose@gnu.org>

2016-04-14  Mosè Giordano  <mose@gnu.org>

	Fix in TeX sentinels

	* tex-buf.el (TeX-TeX-sentinel, TeX-LaTeX-sentinel): Use
	 `TeX-error-overview-make-entries' to test presence of errors or
	 warnings.  This is the same test carried in `TeX-master-directory' and
	 prevents from getting an error when
	 `TeX-error-overview-open-after-TeX-run' is non-nil but
	 `TeX-debug-warnings' and/or `TeX-debug-bad-boxes' are nil.

2016-04-13  Matthew Leach  <matthew@mattleach.net>

	Auto save `TeX-command-extra-options'.

	* tex.el (TeX-auto-store): Save the value of `TeX-command-extra-options'
	 so it is set project-wide.

2016-04-13  Matthew Leach  <matthew@mattleach.net>

	TikZ: Don't allow relative points with \coordinate.

	* style/tikz.el (TeX-TikZ-point-function-map): Revert back to simple
	 point alist.
	 (TeX-TikZ-relative-point-function-map): New.
	 (TeX-TikZ-draw-arg-function-map): Use
	 `TeX-TikZ-relative-point-function-map'.

2016-04-13  Matthew Leach  <matthew@mattleach.net>

	TikZ: Add the grid command.

	* style/tikz.el (TeX-TikZ-arg-grid): New.
	 (TeX-TikZ-draw-arg-function-map): Map the 'Grid' command to
	 `TeX-TikZ-arg-grid'.

2016-04-13  Matthew Leach  <matthew@mattleach.net>

	Fix a documentation type.

	* doc/auctex.texi (Automatic Local): Fix a documentation typo.

2016-04-13  Mosè Giordano  <mose@gnu.org>

	Prevent infinite loop in TeX-command-expand

	* tex.el (TeX-view-command-raw): This function should always return a
	 string.  Throw an error if fails to do so.  This prevents an infinite
	 loop in `TeX-command-expand' in the case in which `command' is nil
	 because of a malformed viewer specification.
	* tests/tex/command-expansion.el (TeX-view-command-raw-errors): Add
	 tests to trigger errors in `TeX-view-command-raw'.

2016-04-10  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Integrate viewer support between tex.el and tex-jp.el

	* tex.el (TeX-view-program-list-builtin): Integrate viewer support
	 between tex.el and tex-jp.el.
	* tex-jp.el : Ditto.

	Signed-off-by: Mosè Giordano <mose@gnu.org>

2016-04-09  Mosè Giordano  <mose@gnu.org>

	Do not use add-to-list for let-bound variable

	* style/tikz.el (TeX-TikZ-find-named-points): Replace add-to-list with
	 `push'.

2016-04-09  Mosè Giordano  <mose@gnu.org>

	Compatibility for XEmacs

	* style/tikz.el (TeX-TikZ-single-macro-arg): Pass `function-alist' to
	 `TeX-TikZ-get-arg-type` because XEmacs requires an alist as argument
	 to `completing-read'.

2016-04-08  Matthew Leach  <matthew@mattleach.net>

	TikZ: Remove unneeded function.

	* style/tikz.el (TeX-TikZ-arg-rect-point): Delete.

2016-04-08  Matthew Leach  <matthew@mattleach.net>

	TikZ: Add the 'sin' and 'cos' connectors.

	* style/tikz.el (TeX-TikZ-path-connector-function-map): Add 'sin' and
	 'cos' mapping to `identity'.

2016-04-08  Matthew Leach  <matthew@mattleach.net>

	TikZ: Make '+' and '++' prefixes apply to TikZ points

	* style/tikz.el (TeX-TikZ-get-prefix-string): New.
	 (TeX-TikZ-arg-rect-point): Add optional argument `prefix'.
	 (TeX-TikZ-arg-polar-point): Likewise.
	 (TeX-TikZ-arg-named-point): Likewise.
	 (TeX-TikZ-single-macro-arg): Allow a variable number of arguments to
	 the argument name function map.
	 (TeX-TikZ-point-function-map): Prefix all point types with '+' and
	 '++'.
	 (TeX-TikZ-path-connector-function-map): Remove the '+' and '++'
	 suffixes.

2016-04-04  Matthew Leach  <matthew@mattleach.net>

	TikZ: Add parabola command.

	* style/tikz.el (TeX-TikZ-arg-bend): New.
	 (TeX-TikZ-arg-parabola): New.
	 (TeX-TikZ-draw-arg-function-map): Add mapping from "Parabola" to
	 `TeX-TikZ-arg-parabola'.

2016-04-04  Matthew Leach  <matthew@mattleach.net>

	TikZ: Add optional parameter to `TeX-TikZ-single-macro-arg'.

	* style/tikz.el (TeX-TikZ-single-macro-arg): New argument OPTIONAL.
	 (TeX-TikZ-macro-arg): Use OPTIONAL argument when calling
	 `TeX-TikZ-single-macro-arg'.

2016-04-04  Matthew Leach  <matthew@mattleach.net>

	TikZ: make `TeX-TikZ-single-macro-arg' prompt required.

	* style/tikz.el (TeX-TikZ-get-arg-type): Make prompt non-optional.
	 (TeX-TikZ-single-macro-arg): Likewise.
	 (TeX-TikZ-macro-arg): Make prompt explicit.

2016-04-04  Matthew Leach  <matthew@mattleach.net>

	TikZ: Add the arc command.

	* style/tikz.el (TeX-TikZ-arg-arc): New.
	 (TeX-TikZ-draw-arg-function-map): Map the 'Arc' command to
	 `Tex-TikZ-arg-arc'.

2016-04-04  Matthew Leach  <matthew@mattleach.net>

	TikZ: Add circle command.

	* style/tikz.el (TeX-TikZ-arg-circle): New.
	 (TeX-TikZ-draw-arg-function-map): Add mapping from 'Circle' to
	 `TeX-TikZ-arg-circle'.

2016-04-04  Stefan Monnier  <monnier@iro.umontreal.ca>

	* tex-buf.el: Address some compiler warnings

	Require `latex' since we refer to some of its variables. Use #' to quote
	a function.  Use _ prefix for unused vars.
	(TeX-current-process-region-p, TeX-save-query, TeX-parse-function)
	(TeX-sentinel-function, TeX-sentinel-default-function)
	(compilation-in-progress, TeX-current-page)
	(TeX-error-overview-open-after-TeX-run, TeX-error-list)
	(TeX-parse-all-errors, TeX-command-buffer, TeX-region): Declare before 
	the first use.
	(TeX-command-text, TeX-command-pos): Declare as dyn-bound
	(TeX-command-expand): Strength reduce `eval' to `symbol-name'.
	(TeX-run-TeX): Use let*.
	(TeX-sentinel-function, TeX-sentinel-default-function): Put something in
	the function's body.
	(TeX-TeX-sentinel-check): Check ConTeXt-Mark-version exists before using
	it.  We could have (require 'context) instead.
	(TeX-Biber-sentinel): Remove redundant `concat'.
	(TeX-error-description-list): Move before first use.
	(TeX-error-overview-mode-map): Remove unused var `menu-map'.
	(TeX-output-revert-buffer): Remove unused var `command'.

2016-04-02  Mosè Giordano  <mose@gnu.org>

	Fix compatibility with older Emacs versions

	* tex.el: Dynamic determination of `delete-selection' behavior has been
	 introduced in Emacs 24.3.  For previous versions leave
	 `TeX-insert-dollar' without that property.

2016-04-01  Stefan Monnier  <monnier@iro.umontreal.ca>

	* tex-buf.el: Address some compiler warnings

	Require `latex' since we refer to some of its variables. Use #' to quote
	a function.  Use _ prefix for unused vars.
	(TeX-current-process-region-p, TeX-save-query, TeX-parse-function)
	(TeX-sentinel-function, TeX-sentinel-default-function)
	(compilation-in-progress, TeX-current-page)
	(TeX-error-overview-open-after-TeX-run, TeX-error-list)
	(TeX-parse-all-errors, TeX-command-buffer, TeX-region): Declare before 
	the first use.
	(TeX-command-text, TeX-command-pos): Declare as dyn-bound
	(TeX-command-expand): Strength reduce `eval' to `symbol-name'.
	(TeX-run-TeX): Use let*.
	(TeX-sentinel-function, TeX-sentinel-default-function): Put something in
	the function's body.
	(TeX-TeX-sentinel-check): Check ConTeXt-Mark-version exists before using
	it.  We could have (require 'context) instead.
	(TeX-Biber-sentinel): Remove redundant `concat'.
	(TeX-error-description-list): Move before first use.
	(TeX-error-overview-mode-map): Remove unused var `menu-map'.
	(TeX-output-revert-buffer): Remove unused var `command'.

2016-04-01  Mosè Giordano  <mose@gnu.org>

	Dinamically put delete-selection prop to TeX-insert-dollar

	* tex.el (TeX-insert-dollar): Put `delete-selection' property only when
	 `TeX-electric-math' is nil.  Suggested by Roger Lipsett.  Fixes
	 bug#23177.

2016-03-30  Tassilo Horn  <tsdh@gnu.org>

	Release GNU AUCTeX 11.89.3

	* Version 11.89.3 released.

	foo

2016-03-30  Tassilo Horn  <tsdh@gnu.org>

	Merge branch 'master' into elpa

2016-03-30  Mosè Giordano  <mose@gnu.org>

	Restore compatibility with XEmacs

	* tex-buf.el (TeX-format-filter): Use `memq' in place of `memql'.  This
	 one is not available in XEmacs.

2016-03-29  Mosè Giordano  <mose@gnu.org>

	Fix previous commit

2016-03-29  Mosè Giordano  <mose@gnu.org>

	New function TeX-error-report-has-errors-p

	* tex-buf.el (TeX-error-report-has-errors-p): New function.
	(TeX-error-report-switches): Update docstring.
	(TeX-LaTeX-sentinel, TeX-command-sequence-sentinel): Use
	`TeX-error-report-has-errors-p'.
	* tex-bar.el (TeX-bar-TeX-button-alist, TeX-bar-LaTeX-button-alist):
	 Ditto.

2016-03-29  Matthew Leach  <matthew@mattleach.net>

	TikZ: Add more path connector types.

	* style/tikz.el (TeX-TikZ-path-connector-function-map): New.
	 (TeX-TikZ-draw-arg-function-map): Use
	 `TeX-TikZ-path-connector-function-map'.

2016-03-29  Matthew Leach  <matthew@mattleach.net>

	TikZ: Rename 'text' to 'label' to be consistent with TikZ terminology.

	* style/tikz.el (TeX-TikZ-arg-label): Rename from `TeX-TikZ-arg-text'
	 and prompt for a 'Label' rather than 'Text'.
	 (TeX-TikZ-arg-node): Use new function name.
	 (TeX-TikZ-node-arg): Likewise.

2016-03-29  Matthew Leach  <matthew@mattleach.net>

	TikZ: Ignore case when prompting for argument types.

	* style/tikz.el (TeX-TikZ-get-arg-type): Let-bind
	 `completion-ignore-case' to t when prompting the user.

2016-03-29  Matthew Leach  <matthew@mattleach.net>

	TikZ: Apply suggestions from checkdoc.

	* style/tikz.el (TeX-TikZ-point-function-map): Make documentation
	 consistent with checkdoc.
	 (TeX-TikZ-draw-arg-function-map): Likewise.
	 (TeX-TikZ-draw-arg): Likewise and rename parameter to '_ignored'.
	 (TeX-TikZ-coordinate-arg): Likewise.
	 (TeX-TikZ-node-arg): Likewise.

2016-03-29  Mosè Giordano  <mose@gnu.org>

	Fill environment content onley when auto-fill-mode is active

	* latex.el (LaTeX-insert-environment): Fill only when
	 `auto-fill-function' is non-nil, that means auto-fill-mode is active.
	 Reported by Florian Lindner.

2016-03-29  Matthew Leach  <matthew@mattleach.net>

	TikZ: Add 'Named Point' point type with completion.

	* style/tikz.el (TeX-TikZ-point-name-regexp): New.
	 (TeX-TikZ-find-named-points): New.
	 (TeX-TikZ-arg-named-point): New.
	 (TeX-TikZ-point-function-map): Add 'Named Point' element that maps to
	 `TeX-TikZ-arg-named-point'.

2016-03-29  Matthew Leach  <matthew@mattleach.net>

	TikZ: Add prompting for TikZ's \node macro.

	* style/tikz.el (TeX-TikZ-node-arg): New.

2016-03-29  Matthew Leach  <matthew@mattleach.net>

	TikZ: Add prompting for \coordinate macro.

	* style/tikz.el (TeX-TikZ-point-function-map): New.
	 (TeX-TikZ-draw-arg-function-map): Use `TeX-TikZ-point-function-map'.
	 (TeX-TikZ-coordinate-arg): New.

2016-03-29  Matthew Leach  <matthew@mattleach.net>

	TikZ: Extract the prompting of the next arg from TeX-TikZ-macro-arg.

	* style/tikz.el (TeX-TikZ-single-macro-arg): New.
	 (TeX-TikZ-macro-arg): Use `TeX-TikZ-single-macro-arg' for prompting
	 the user and calling the appropriate function.

2016-03-29  Matthew Leach  <matthew@mattleach.net>

	TikZ: allow arg type prompt to be specified.

	* style/tikz.el (TeX-TikZ-get-arg-type): Add a new optional argument,
	 prompt, and show that to the user when non-nil, instead of the
	 default.

2016-03-29  Matthew Leach  <matthew@mattleach.net>

	TikZ: split out the prompts to TeX-TikZ-arg-node & TeX-TikZ-macro-arg.

	* style/tikz.el (TeX-TikZ-arg-options): New.
	 (TeX-TikZ-arg-name): New.
	 (TeX-TikZ-arg-text): New.
	 (TeX-TikZ-arg-node): Use new TikZ arg functions for prompting the
	 user.
	 (TeX-TikZ-macro-arg): Use `TeX-TikZ-arg-options' when prompting for
	 the options.

2016-03-29  Arash Esbati  <esbati@gmx.de>

	Add fontification support

	* style/environ.el ("environ"): Add fontification support.

2016-03-29  Arash Esbati  <esbati@gmx.de>

	Fix a misplaced closing parenthesis

	* style/splitidx.el (LaTeX-splitidx-auto-cleanup): Fix a misplaced 
	closing parenthesis.

2016-03-29  Arash Esbati  <esbati@gmx.de>

	Fix the name of argument in function body

	* style/currvita.el (LaTeX-currvita-env-with-label): Fix the name of
	argument in the body of function.

2016-03-29  Arash Esbati  <esbati@gmx.de>

	Delete redundant code

	* style/enumitem.el (LaTeX-arg-SetLabelAlign)
	(LaTeX-arg-SetEnumitemKey, LaTeX-arg-SetEnumitemValue): Delete redundant
	code which is part of the function
	`LaTeX-enumitem-update-key-val-options'.
	(LaTeX-enumitem-env-with-opts): Fix the name of argument in the body of
	function.

2016-03-28  Mosè Giordano  <mose@gnu.org>

	Better control for presence of errors

	* tex-buf.el (TeX-LaTeX-sentinel): Use `TeX-error-report-switches'
	 instead of `TeX-error-list'.

2016-03-27  Tassilo Horn  <tsdh@gnu.org>

	Call TeX-after-compilation-finished-functions on warnings

	* tex-buf.el (TeX-LaTeX-sentinel): Skip calling 
	TeX-after-compilation-finished-functions only if there are real errors.

2016-03-27  Matthew Leach  <matthew@mattleach.net>

	Add the beginnings of TikZ support.

	* style/tikz.el: New
	* doc/changes.texi: Document TikZ style.
	* Makefile.in: Add TikZ style to the build.

2016-03-26  Tassilo Horn  <tsdh@gnu.org>

	Better ChangeLog generation

	* GNUmakefile (IGNORED): Better ChangeLog generation.

2016-03-26  Tassilo Horn  <tsdh@gnu.org>

	Upgrade docs for release

	* Version 11.89.2 released.

2016-03-26  Tassilo Horn  <tsdh@gnu.org>

	Merge branch 'master' into elpa

2016-03-26  Tassilo Horn  <tsdh@gnu.org>

	Fix forward sync bug with multi-file documents

	* tex.el (TeX-pdf-tools-sync-view): Use the current file for the 
	sync-view call, not always the master file (bug#23083).

2016-03-19  Mosè Giordano  <mose@gnu.org>

	Temporarily bind gc-cons-threshold in time-consuming task

	* tex.el (TeX-search-files-by-type): Bind `gc-cons-threshold' to
	 10000000 during the search, to reduce number of garbage collections
	 during the task.

2016-03-17  Matthew Leach  <matthew@mattleach.net>

	Prompt for optional short caption parameter.

	* latex.el (LaTeX-compose-caption-macro): New.
	 (LaTeX-short-caption-prompt-length): New.
	 (LaTeX-env-figure): Prompt for optional short caption parameter, when
	 the caption length is >= `LaTeX-short-caption-prompt-length', and pass
	 to `LaTeX-compose-caption-macro'.
	* style/longtable.el ("longtable"): Likewise.
	* style/psfig.el (LaTeX-env-psfigure): Likewise.
	* doc/auctex.texi (Floats): Document short-caption prompting and
	 `LaTeX-short-caption-prompt-length'.
	* doc/changes.texi: Likewise.

	Signed-off-by: Mosè Giordano <mose@gnu.org>

2016-03-16  Matthew Leach  <matthew@mattleach.net>

	Improve prompts when defining LaTeX macros.

	* latex.el (TeX-arg-default-argument-value): New.
	 (TeX-arg-define-macro-arguments): New.
	 (LaTeX-common-initialization): Use new LaTeX macro argument functions.

	Signed-off-by: Mosè Giordano <mose@gnu.org>

2016-03-12  Matthew Leach  <matthew@mattleach.net>

	Ensure LaTeX-indent-environment-list environments aren't filled

	* tests/latex/latex-filling-in.tex: Add a tabular environment to ensure
	 the body of the environment isn't filled as it is listed in
	 LaTeX-indent-environment-list.
	* tests/latex/latex-filling-out.tex: Likewise.

	Signed-off-by: Mosè Giordano <mose@gnu.org>

2016-03-08  Matthew Leach  <matthew@mattleach.net>

	Remove "table" and "table*" from LaTeX-indent-environment-list

	* latex.el (LaTeX-indent-environment-list): Remove the "table" and
	 "table*" elements.

	Signed-off-by: Mosè Giordano <mose@gnu.org>

2016-03-04  Mosè Giordano  <mose@gnu.org>

	Use TeX-quote-after-quote in all language style files

	* style/icelandic.el ("icelandic"):
	* style/polish.el ("polish"):
	* style/polski.el ("polski"): Use value of `TeX-quote-after-quote'
	 instead of hard-coding t.

2016-02-28  Mosè Giordano  <mose@gnu.org>

	Improve word-string regexp in TeX-warning

	* tex-buf.el (TeX-warning): Match letters, numbers, colons, and hyphens,
	 not just word constituents.  They may be preceeded by both grave
	 accent and apostrophe, not only grave accent.
	* tests/tex/compilation-log.txt: Add test case.
	* tests/tex/error-parsing.el: Update result.

2016-02-27  Mosè Giordano  <mose@gnu.org>

	Another fix for vertical bad box warnings

	* tex-buf.el (TeX-parse-error): Use different regexps for horizontal and
	 vertical bad boxes, they cannot be handled together.
	(TeX-warning): Do not move point when a vertical bad box has been found.
	* tests/tex/compilation-log.txt: Add a test where the parser used to
	 fail to find the file for warnings after a vertical bad box warning.
	* tests/tex/error-parsing.el: Update result accordingly.

2016-02-26  Mosè Giordano  <mose@gnu.org>

	Fix parsing of vertical bad boxes context

	* tex-buf.el (TeX-warning): Use as context for vertical bad boxes the 
	warning itself and don't move point.
	* tests/tex/compilation-log.txt: Add a test for vertical bad boxes, and 
	horizontal bad boxes ending with "at line NN".	The two warnings are in 
	two consecutive lines, make sure the second one is correctly reported.
	* tests/tex/error-parsing.el: Update result of the test accordingly.

2016-02-26  Mosè Giordano  <mose@gnu.org>

	Catch more bad box warnings

	* tex-buf.el (TeX-error-list): More information for some elements of the 
	list.
	(TeX-parse-error): Change regexp to catch bad vertical boxes as well and 
	provide new argument to `TeX-warning'.
	(TeX-warning): Require an additional mandatory argument, `bad-box'. 
	Improve regexp for detecting ending line of horizontal bad boxes in 
	order to cater for the case "...at line NN".
	* tests/tex/error-parsing.el: Update result of the test.

2016-02-23  Mosè Giordano  <mose@gnu.org>

	Avoid checking duplicate directories in TeX-check-files

	* tex-buf.el (TeX-check-files): Delete duplicate directories in paths
	 list before performing the check.

2016-02-21  Mosè Giordano  <mose@gnu.org>

	Fix detection of line number in TeX-warning

	* tex-buf.el (TeX-warning): Require as additional mandatory argument the
	 position where the warning starts.  Use it to limit
	 `re-search-backward' when looking for the line number.
	(TeX-parse-error): Provide additional argument to `TeX-warning'.
	* tests/tex/compilation-log.txt: Add another case where the line number
	 of the warning was mistaken.
	* tests/tex/error-parsing.el: Update expected result of the test
	 accordingly.

2016-02-21  Mosè Giordano  <mose@gnu.org>

	Improve LaTeX-warnings-regexp

	* tex-buf.el (LaTeX-warnings-regexp): Catch also "LaTeX Font" warnings.

2016-02-21  Mosè Giordano  <mose@gnu.org>

	Another fix for TeX-parse-errro

	* tex-buf.el (TeX-parse-error): Improve regexp for polishing file name.
	* tests/tex/compilation-log.txt: Add example to test file.
	* tests/tex/error-parsing.el: Update the expected result of the test
	 accordingly.

2016-02-21  Mosè Giordano  <mose@gnu.org>

	Allow ignoring certain warnings

	* tex.el (TeX-ignore-warnings, TeX-suppress-ignored-warnings): New
	 customizable options.
	(TeX-toggle-suppress-ignored-warnings): New function.
	(TeX-mode-map): Add key-binding for
	`TeX-toggle-suppress-ignored-warnings'.
	* tex-buf.el (TeX-error-list-skip-warning-p): Add new argument and use
	it.
	(TeX-parse-TeX): Provide additional argument to
	`TeX-error-list-skip-warning-p'.
	(TeX-error-list): Document new information.
	(TeX-find-display-help): Add new (ignored) argument.
	(TeX-error): Add new element to `TeX-error-list' entry.
	(TeX-warning): Set the "ignore" flag for `TeX-error-list'
	(TeX-error-overview-make-entries): Provide additional argument to
	`TeX-error-list-skip-warning-p'.
	(TeX-error-overview-toggle-debug-bad-boxes):
	(TeX-error-overview-toggle-debug-warnings): Determine
	`TeX-master-directory' in `TeX-command-buffer'.
	(TeX-error-overview-toggle-suppress-ignored-warnings): New function.
	(TeX-error-overview-mode-map): Add key-binding for
	`TeX-error-overview-toggle-suppress-ignored-warnings'.
	(TeX-error-overview-menu): Add entry for
	`TeX-error-overview-toggle-suppress-ignored-warnings'.

2016-02-21  Mosè Giordano  <mose@gnu.org>

	Show and hide warnings and bad boxes in error overview

	* tex-buf.el (TeX-error-list-skip-warning-p): New function.
	(TeX-parse-TeX): Skip warnings or bad boxes if they are to be ignored.
	(TeX-error-list): Describe information present in the list.
	(TeX-parse-error): When storing warnings and bad boxes, add them to
	`TeX-error-list' even if `TeX-debug-bad-boxes' and `TeX-debug-warnings' 
	are nil.
	(TeX-error-overview-make-entries): Skip warnings or bad boxes if they 
	are to be ignored.
	(TeX-error-overview-toggle-debug-bad-boxes):
	(TeX-error-overview-toggle-debug-warnings): New functions.
	(TeX-error-overview-mode-map, TeX-error-overview-menu): Add
	`TeX-error-overview-toggle-debug-bad-boxes' and
	`TeX-error-overview-toggle-debug-warnings'.
	(TeX-error-overview): Make the list of entries for the overview before 
	creating the buffer and use this list to decide whether there is 
	something to show.

2016-02-14  Mosè Giordano  <mose@gnu.org>

	Fix TeX-check-files

	* tex-buf.el (TeX-check-files): Run the test in `TeX-master-directory'
	 as well.

2016-02-14  Arash Esbati  <esbati@gmx.de>

	Add new style/splitidx.el

	* Makefile.in (STYLESRC): Add new style.

	* tex-style.el (LaTeX-splitidx-sindex-reftex-quick-id-key): Add 
	customizable variable.

	* style/splitidx.el: New file.

	Signed-off-by: Mosè Giordano <mose@gnu.org>

2016-02-14  Arash Esbati  <esbati@gmx.de>

	Fix wrong usage of `TeX-auto-prepare-hook'

	* style/theorem.el (TeX-auto-cleanup-hook):
	* style/ntheorem.el (TeX-auto-cleanup-hook):
	* style/newfloat.el (TeX-auto-cleanup-hook):
	* style/amsthm.el (TeX-auto-cleanup-hook): Use
	`TeX-auto-cleanup-hook' instead of mistakenly used
	`TeX-auto-prepare-hook'.

	Signed-off-by: Mosè Giordano <mose@gnu.org>

2016-02-14  Arash Esbati  <esbati@gmx.de>

	Add support for missing macro \SetLabelAlign

	* style/enumitem.el ("enumitem-SetLabelAlign"): Plug
	\SetLabelAlign into AUCTeX parser.
	(LaTeX-enumitem-SetLabelAlign-regexp): New variable.
	(LaTeX-enumitem-auto-prepare): Reset
	`LaTeX-auto-enumitem-SetLabelAlign'.
	(LaTeX-arg-SetLabelAlign): New function to query the arguments of
	\SetLabelAlign.
	("enumitem"): Add \SetLabelAlign to style hook incl. fontification.
	(LaTeX-arg-SetEnumitemValue): Use `completing-read' instead of
	`TeX-read-key-val'.

	Signed-off-by: Mosè Giordano <mose@gnu.org>

2016-02-13  Mosè Giordano  <mose@gnu.org>

	Add support for Atril viewer

	Suggested by Antoine Levitt.

	* tex.el (TeX-evince-dbus-p): Take new arguments to specify desktop
	 environment and application names.
	(TeX-evince-sync-view-1): Rename from `TeX-evince-sync-view'.  Take new
	 arguments to specify desktop environment and application names.
	(TeX-atril-sync-view, TeX-evince-sync-view):
	(TeX-view-program-select-evince): New functions.
	(TeX-view-program-list-builtin): Add Atril entry and use
	`TeX-view-program-select-evince' for Atril and Evince.
	(TeX-source-correlate-mode): Register for Atril DBUS signal.
	* doc/changes.texi: Mention Atril support.

2016-02-09  Arash Esbati  <esbati@gmx.de>

	Add support for dviout viewer

	* doc/changes.texi: Mention support for dviout on Windows.

	* tex.el (TeX-view-program-list-builtin): Add support for dviout on
	Windows.  This setup works for `TeX-source-correlate-method' set to (dvi
	. source-specials). Reorder " %o" in entry for SumatraPDF.

	Signed-off-by: Mosè Giordano <mose@gnu.org>

2016-02-09  Arash Esbati  <esbati@gmx.de>

	Add support for SumatraPDF viewer

	* doc/changes.texi: Mention support for SumatraPDF on Windows. Fix
	typos.

	* tex.el (TeX-view-program-list-builtin): Add support for SumatraPDF on
	Windows.

	Signed-off-by: Mosè Giordano <mose@gnu.org>

2016-02-08  Mosè Giordano  <mose@gnu.org>

	Add support for Zathura viewer

	* tex.el (TeX-view-program-list-builtin): Add Zathura.
	* doc/changes.texi: Mention Zathura support and reworked error parsing.

2016-02-07  Mosè Giordano  <mose@gnu.org>

	Minor fix in TeX-documentation-texdoc

	* tex.el (TeX-documentation-texdoc): Make it possible to run the
	 function in read-only buffers.

2016-02-07  Mosè Giordano  <mose@gnu.org>

	Improve parsing of certain warnings

	* tex-buf.el (TeX-warning): Get full context and line numbers for
	 warnings matching `LaTeX-warnings-regexp'.
	* tests/tex/compilation-log.txt: Add example warnings for this case.
	* tests/tex/error-parsing.el: Update result of test accordingly.

2016-02-07  Mosè Giordano  <mose@gnu.org>

	Catch LaTeX class warnings

	* tex-buf.el (LaTeX-warnings-regexp): New variable.  This is the same
	 regexp used before by `TeX-LaTeX-sentinel-has-warnings' and
	 `TeX-parse-error', but now catches class warnings as well.
	(TeX-LaTeX-sentinel-has-warnings, TeX-parse-error): Use
	`LaTeX-warnings-regexp'.

2016-02-07  Mosè Giordano  <mose@gnu.org>

	Fix TeX-parse-error

	* tex-buf.el (TeX-parse-error): Remove from the file string pages of the
	 output file.
	* tests/tex/compilation-log.txt: Add a warning containing such faulty
	 file name.
	* tests/tex/error-parsing.el (TeX-error-parsing): Update result of the
	 test accordingly.

2016-02-07  Mosè Giordano  <mose@gnu.org>

	Add ERT test for error parsing

	* tests/tex/compilation-log.txt: Add minimal example of compilation log
	 that failed to be parsed correctly with the old parsing function.
	* tests/tex/error-parsing.el: New ERT test.

2016-02-07  Mosè Giordano  <mose@gnu.org>

	Add script to update the ChangeLog

	* ChangeLog.1: Add copyright notice and information about included
	 commits.
	* Makefile.in: Add ChangeLog-related variables and rules.
	* build-aux/gitlog-to-auctexlog: New script, adapted from GNU Emacs.

2016-02-06  Mosè Giordano  <mose@gnu.org>

	; Merge branch 'simplify-TeX-parse-error'

2016-02-03  Arash Esbati  <esbati@gmx.de>

	Another fix for file name regexp in TeX-documentation-texdoc

	* tex.el (TeX-documentation-texdoc): Add `space' and `()' to file name
	regexp for Windows paths.

	Signed-off-by: Mosè Giordano <mose@gnu.org>

2016-02-02  Arash Esbati  <esbati@gmx.de>

	Fix file name regexp in TeX-documentation-texdoc

	* tex.el (TeX-documentation-texdoc): Add backslash separator for Windows
	 paths.

	Signed-off-by: Mosè Giordano <mose@gnu.org>

2016-02-02  Mosè Giordano  <mose@gnu.org>

	Capture warnings from packages with hyphens in name

	* tex-buf.el (TeX-LaTeX-sentinel-has-warnings): Add hyphen to regexps.
	(TeX-parse-error): Ditto.

2016-02-02  Mosè Giordano  <mose@gnu.org>

	New function for reading documentation with texdoc

	* tex.el (TeX-documentation-texdoc): New function.
	(TeX-common-menu-entries): Replace `TeX-doc' with
	`TeX-documentation-texdoc'.
	(TeX-mode-map): Ditto.
	* doc/auctex.texi (Documentation): Document `TeX-documentation-texdoc' 
	in place of `TeX-doc'.
	* doc/changes.texi: Mention `TeX-documentation-texdoc'.

2016-01-31  Tassilo Horn  <tsdh@gnu.org>

	Upgrade docs for release.

2016-01-31  Tassilo Horn  <tsdh@gnu.org>

	* Version 11.89.1 released.

2016-01-31  Tassilo Horn  <tsdh@gnu.org>

	Merge branch 'master' into elpa

2016-01-31  Tassilo Horn  <tsdh@gnu.org>

	Capture message of LaTeX warnings

	* tex-buf.el (TeX-parse-error): Capture message of LaTeX warnings.

2016-01-30  Mosè Giordano  <mose@gnu.org>

	Use default argument of completing-read in ConTeXt-environment

	* context.el (ConTeXt-environment): Properly use default argument of
	 `completing-read'.  Do not set `ConTeXt-default-environment' to
	 `environment' if the latter is equal to the current default
	 environment, like in `LaTeX-environment'.

2016-01-30  Mosè Giordano  <mose@gnu.org>

	Add completion for environments in ConTeXt

	* context.el (ConTeXt-language-variable-list): Document variable.  Add
	 `ConTeXt-environment-list' so that now completion for environments
	 names in `ConTeXt-environment' function works.	 Suggested by Andrea De
	 Michele.

2016-01-27  Mosè Giordano  <mose@gnu.org>

	Change coding back to iso-8859-1, XEmacs doesn't support utf-8

	* font-latex.el: Restore coding to iso-8859-1.
	* style/alphanum.el: Ditto.
	* style/dk-bib.el: Ditto.
	* style/doc.el: Ditto.
	* style/inputenc.el: Ditto.
	* style/jura.el: Ditto.
	* style/ltx-base.el: Ditto.
	* style/ltxdoc.el: Ditto.
	* tex-font.el: Ditto.
	* tex.el: Ditto.

2016-01-25  Mosè Giordano  <mose@gnu.org>

	Code cleaning

	* latex.el (TeX-arg-document): Remove useless (mapcar 'identity ...). 
	Suggested by Marcin Borkowski.
	* style/biblatex.el (LaTeX-biblatex-package-options): Ditto.

2016-01-24  Arash Esbati  <esbati@gmx.de>

	Improve style/enumitem

	* style/enumitem.el (LaTeX-enumitem-newlist-list)
	(LaTeX-enumitem-newlist-list-item-arg)
	(LaTeX-auto-enumitem-newlist): Remove variables.
	(LaTeX-enumitem-newlist-list-local): Fix docstring.
	(LaTeX-enumitem-auto-cleanup): Plug \newlist into AUCTeX parser.
	("enumitem"): Offer only enumerated environments as completion for
	\restartlist.

	Signed-off-by: Mosè Giordano <mose@gnu.org>

2016-01-24  Arash Esbati  <esbati@gmx.de>

	Improve font related queries

	* style/theorem.el (LaTeX-theorem-fontdecl): Do not prefix the elements
	with `TeX-esc'.
	(LaTeX-arg-theorem-fontdecl): New function.
	("theorem"): Use `LaTeX-arg-theorem-fontdecl' for font related queries.

	Signed-off-by: Mosè Giordano <mose@gnu.org>

2016-01-24  Arash Esbati  <esbati@gmx.de>

	Improve font related queries

	* style/ntheorem.el (LaTeX-ntheorem-fontdecl): Do not prefix the 
	elements with `TeX-esc'.
	(LaTeX-arg-ntheorem-fontdecl): New function.
	("ntheorem"): Use `LaTeX-arg-ntheorem-fontdecl' for font related 
	queries.

	Signed-off-by: Mosè Giordano <mose@gnu.org>

2016-01-24  Arash Esbati  <esbati@gmx.de>

	Improve font related queries

	* style/amsthm.el (LaTeX-amsthm-fontdecl): Do not prefix the elements
	with `TeX-esc'.
	(LaTeX-arg-amsthm-fontdecl): New function.
	("amsthm"): Use `LaTeX-arg-amsthm-fontdecl' for font related queries.

	Signed-off-by: Mosè Giordano <mose@gnu.org>

2016-01-23  Mosè Giordano  <mose@gnu.org>

	Write TeX-style-hook-dialect to parsed file

	* latex.el (BibTeX-auto-store): Run `TeX-bibtex-set-BibTeX-dialect'.
	* tex.el (TeX-auto-store): Store `TeX-style-hook-dialect' from buffer
	 and write it to parsed file when present.

2016-01-23  Mosè Giordano  <mose@gnu.org>

	Add new dialects

	* context.el: Update copyright years.
	(ConTeXt-dialect): New constant.
	(ConTeXt-mode-common-initialization): Set `TeX-style-hook-dialect' to
	`ConTeXt-dialect'.
	* plain-tex.el: Update copyright years.
	(plain-TeX-dialect): New constant.
	(plain-TeX-common-initialization): Set `TeX-style-hook-dialect' to
	`plain-TeX-dialect'.
	* tex.el (TeX-style-hook-dialect): Document new dialects.
	(TeX-style-hook-dialect-weight-alist): Add plain-tex and context
	dialects.

2016-01-23  Mosè Giordano  <mose@gnu.org>

	Convert tex-font.el to UTF-8 coding

	* tex-font.el: set coding to utf-8.

2016-01-23  Mosè Giordano  <mose@gnu.org>

	Move \iff macro to Arrows section of LaTeX-math-default

	* latex.el (LaTeX-math-default): \iff symbol is defined in base LaTeX,
	 move it to the "Arrows" section.

2016-01-20  Mosè Giordano  <mose@gnu.org>

	Fix bug in subfigure style file

	* style/subfigure.el ("subfigure"): Move `TeX-complete-list' inside
	 append argument.  Fixes bug#22417.

2016-01-17  Mosè Giordano  <mose@gnu.org>

	Add some AMS arrows to LaTeX-math-default

	* latex.el (LaTeX-math-default): Add `impliedby', `implies', and `iff'
	 arrows.  Suggested by Aiko Kyle.

2016-01-10  Mosè Giordano  <mose@gnu.org>

	url macro accepts only braces in hyperref

	* style/hyperref.el: Update copyright years.
	("hyperref"): Remove "url" from
	`LaTeX-verbatim-macros-with-delims-local', it was added by url.el, but 
	in hyperref "\url" has a different syntax.

2015-12-17  Ivan Andrus	 <darthandrus@gmail.com>

	Fix bug in `preview-LaTeX-disable-pdfoutput'

	* preview.el.in (preview-LaTeX-disable-pdfoutput): Allow one or more 
	spaces between command line arguments.

2015-12-04  Tassilo Horn  <tsdh@gnu.org>

	Delete .cvsignore

	I'm pretty confident we won't switch back. ;-)

2015-11-30  Arash Esbati  <esbati@gmx.de>

	Fix query prompt

	* style/ntheorem.el ("ntheorem"):
	* style/theorem.el ("theorem"): Fix wrong query prompt.

	Signed-off-by: Mosè Giordano <mose@gnu.org>

2015-11-30  Mosè Giordano  <mose@gnu.org>

	Fix regex in texmathp

	* texmathp.el: Replace \t with \r.  Reported by Marcin Borkowski.

2015-11-24  Tassilo Horn  <tsdh@gnu.org>

	Rename TeX-after-compilation-finished-hook to -functions

	* tex-buf.el (TeX-after-compilation-finished-functions): Rename from
	-hook to -functions.
	(TeX-LaTeX-sentinel): Adapt.
	* context.el (TeX-ConTeXt-sentinel): Adapt.

2015-11-23  Arash Esbati  <esbati@gmx.de>

	Add new style/ntheorem.el

	* Makefile.in (STYLESRC): Add new style.

	* style/ntheorem.el: New file.

2015-11-23  Arash Esbati  <esbati@gmx.de>

	Add new style/theorem.el

	* Makefile.in (STYLESRC): Add new style.

	* style/theorem.el: New file.

2015-11-23  Arash Esbati  <esbati@gmx.de>

	Improve style/amsthm.el

	* style/amsthm.el (LaTeX-amsthm-fontdecl): Cover all font changing 
	declarations.
	("amsthm"): Overrule the defintion for \newtheorem in `latex.el'.
	("amsthm"): Use `TeX-completing-read-multiple' for font related queries.

2015-11-23  Arash Esbati  <esbati@gmx.de>

	; Fix a typo in header

	* style/hologo.el: Fix the file name in header.

2015-11-23  Tassilo Horn  <tsdh@gnu.org>

	Rename TeX-after-TeX-LaTeX-command-finished-hook

	* tex-buf.el (TeX-after-compilation-finished-hook): Rename from 
	TeX-after-TeX-LaTeX-command-finished-hook.
	* context.el (TeX-ConTeXt-sentinel): Run 
	TeX-after-compilation-finished-hook when the compilation was successful.
	* doc/auctex.texi (Modes and Hooks): Adapt docs.

2015-11-21  Mosè Giordano  <mose@gnu.org>

	Convert Elisp source files to UTF-8

	* font-latex.el: Change coding to UTF-8
	* style/alphanum.el: Ditto.
	* style/dk-bib.el: Ditto.
	* style/doc.el: Ditto.
	* style/inputenc.el: Ditto.
	* style/jura.el: Ditto.
	* style/ltx-base.el: Ditto.
	* style/ltxdoc.el: Ditto.
	* tex.el: Ditto.

2015-11-19  Mosè Giordano  <mose@gnu.org>

	Fix bug in TeX-command-sequence

	* tex-buf.el (TeX-command-sequence): Ask for TeX-master if unknown, 
	otherwise running this function on a file without a known `TeX-master' 
	will result in `TeX-master' being automatically set to "<none>" at some 
	point.
	(TeX-region-file): Add a third compatibility argument and update 
	docstring accordingly.

2015-11-19  Mosè Giordano  <mose@gnu.org>

	Remove support to "Master:" line

	* tex.el (TeX-convert-master): Remove now unused variable.
	(TeX-master-file): Remove support to "Master:" line and update 
	documentation accordingly.

2015-11-15  Mosè Giordano  <mose@gnu.org>

	Activate RefTeX reference styles

	* tex-style.el (LaTeX-reftex-ref-style-auto-activate): New
	 customizable variable.
	* style/cleveref.el ("cleveref"): Activate RefTeX reference style.
	* style/fancyref.el ("fancyref"): Ditto.
	* style/varioref.el ("varioref"): Ditto.
	* style/hyperref.el ("hyperref"): Use
	 `LaTeX-reftex-ref-style-auto-activate'.

2015-11-15  Mosè Giordano  <mose@gnu.org>

	Determine AUCTEXDATE and AUCTEXVERSION from git

	* aclocal.m4 (AC_DATE_VERSION_FROM_CHANGELOG): if this is git
	 repository, use it to determine the variables.
	* autogen.sh: Ditto.

2015-11-14  Mosè Giordano  <mose@gnu.org>

	Fix error in autogen.sh, configure, and Makefile

	* Makefile.in (doc/Makefile): Replace ChangeLog with ChangeLog.1.
	* autogen.sh: Ditto.
	* configure.ac: Ditto.
	* doc/Makefile.in (version.texi): Ditto.

2015-11-13  Tassilo Horn  <tsdh@gnu.org>

	Adapt to ChangeLog dropping

2015-11-13  Tassilo Horn  <tsdh@gnu.org>

	Merge branch 'master' into elpa

2015-11-13  Mosè Giordano  <mose@gnu.org>

	Drop ChangeLog

	* .gitignore: Add ChangeLog and auto dirs in tests.
	* ChangeLog.1: Rename from ChangeLog.
	* Makefile.in (EXCLUDEDFILES): Exclude build-aux directory.
	* build-aux/gitlog-to-changelog: Copy script from gnulib.

2015-11-13  Mosè Giordano  <mose@gnu.org>

	Release_11.89

2015-11-12  Mosè Giordano  <mose@gnu.org>

	Update for upcoming release

	* RELEASE: Update AUCTeX version, the new features section, and the list
	of contributors.

	* configure.ac: Update AUCTeX version.

	* doc/changes.texi: Mention PDF Tools and generic features for 11.89
	release.

	* doc/tex-ref.tex: Update AUCTeX version and copyright years across the
	file.

	* latex.el: Update copyright year.

	* latex/preview.dtx: Manually update release version.

2015-11-12  Mosè Giordano  <mose@gnu.org>

	Update release-related Makefile rules

	* Makefile.in (WEMACSPACKAGE): Update for Emacs 24.5
	(www-doc): Download gendocs.sh patch from AUCTeX repository.

2015-11-12  Mosè Giordano  <mose@gnu.org>

	Improve has-no-display-manager predicate

	* tex.el (TeX-view-predicate-list-bultin): For
	`has-no-display-manager' predicate, use the current test only for old
	Emacsen, otherwise employ `display-graphic-p'.	Suggested by Santiago
	Saavedra.

2015-11-11  Mosè Giordano  <mose@gnu.org>

	More ERT tests

	* tests/latex/latex-test.el (LaTeX-math-indent)
	(LaTeX-change-environment-with-esc): New tests.

	* tests/latex/math-indent-in.tex: New test file.

	* tests/latex/math-indent-out.tex: Ditto.

2015-11-10  Mosè Giordano  <mose@gnu.org>

	Change default value of LaTeX-fill-break-at-separators

	* latex.el (LaTeX-fill-break-at-separators): Change default value to
	opening only inline and display math switches.

	* tests/latex/latex-filling-in.tex: New test file.

	* tests/latex/latex-filling-out.tex: Ditto.

	* tests/latex/latex-test.el (LaTeX-indent-tabular-test/in)
	(LaTeX-indent-tabular-test/out): Remove variables defined with
	`defvar'.
	(AUCTeX-set-ert-path): New function for setting the path of the ERT test
	files.
	(LaTeX-filling): New ERT test.

2015-11-10  Tassilo Horn  <tsdh@gnu.org>

	Add ChangeLog entry

2015-11-10  Tassilo Horn  <tsdh@gnu.org>

	Add function for reverting document buffer

	* tex-buf.el (TeX-revert-document-buffer): New function.
	(TeX-after-TeX-LaTeX-command-finished-hook): Mention it in docstring.
	* doc/auctex.texi (Modes and Hooks): Mention it in manual.

2015-11-10  Santiago Saavedra  <ssaavedra@gpul.org>

	Make View command work no matter how emacs started

	* tex.el (TeX-command-list, TeX-view-program-list-builtin)
	(TeX-view-program-selection): Add dvi2tty as a first-class command,
	removing it from a load-time quasiquotation so that the strategy for
	selecting it or evince goes down to the frame performing the View
	command.  Fixes bug#21873.

	Signed-off-by: Mosè Giordano <mose@gnu.org>

2015-11-09  Mosè Giordano  <mose@gnu.org>

	Fix compatibility with XEmacs in tex-info.el

	* tex-info.el: Update copyright years.
	(Texinfo-nodename-de-escape, Texinfo-nodename-escape): Use
	`TeX-assoc-string' in place of `assoc-string'.

2015-11-09  Arash Esbati  <esbati@gmx.de>

	Add new style hologo.el.

	* Makefile.in (STYLESRC): Add new style.

	* style/hologo.el: New file.

2015-11-08  Mosè Giordano  <mose@gnu.org>

	Set output extension for Texinfo files

	* tex-info.el (TeX-texinfo-mode): Set `TeX-output-extension'. Remove
	compatibility code with old Emacsen.

2015-11-06  Mosè Giordano  <mose@gnu.org>

	Improve checking of a TeX distribution and make it optional

	* tex-buf.el (TeX-check-TeX, TeX-check-TeX-command-not-found): New 
	customizable options.
	(TeX-command): Do a better check for the presence of a TeX distribution.
	 Run `call-process' instead of `executable-find', like `TeX-run-command'
	actually does.	The point is that
	`call-process' and `start-process' use `PATH' environment variable,
	`executable-find' uses `exec-path' variable and they do not need to
	match, but we should check what `TeX-run-command' will really do.

	* doc/auctex.texi (Processor Options): Document `TeX-check-TeX'.

	* doc/changes.texi: Mention `TeX-check-TeX'.

2015-11-03  Mosè Giordano  <mose@gnu.org>

	Update documentation.

	* doc/auctex.texi (Processor Options): Document
	`ConTeXt-Mark-version'.
	(Multifile): Mention `dwim' value for `TeX-master'.

	* doc/changes.texi: Mention `ConTeXt-Mark-version'.

2015-11-02  Mosè Giordano  <mose@gnu.org>

	Use LaTeX-style-list for default classes completion.

	* latex.el (TeX-arg-document): When `TeX-arg-input-file-search' is nil,
	use `LaTeX-style-list' to complete document classes.  Fixes bug#21814.

2015-10-28  Tassilo Horn  <tsdh@gnu.org>

	Fix Texinfo-make-node-list

2015-10-28  Tassilo Horn  <tsdh@gnu.org>

	Disable special filling of math constructs

	* latex.el (LaTeX-fill-break-at-separators): Default to nil because many
	users don't like that special filling.

2015-10-28  Tassilo Horn  <tsdh@gnu.org>

	Warn about duplicate texinfo nodes

	* tex-info.el (Texinfo-make-node-list): Warn about duplicate nodes. 
	Return nodes in order instead of reversed.

2015-10-26  Vincent Belaïche  <vincent.b.1@hotmail.fr>

	Support node name completion in texinfo

	* tex-info.el (Texinfo-nodename-de-escape): New defun.
	(Texinfo-nodename-escape): New defun.
	(Texinfo-make-node-list): New defun, code taken from Texinfo-insert-node
	into this function for the sake of code factorization.	In addition, (1)
	allow node name not to be followed by a comma --- i.e. next node etc.
	unspecified --- (2) trim trailing blanks after node name, and (3)
	de-escape @comma{} before insertion of node name into the list.
	(Texinfo-insert-node): (1) Use new function
	`Texinfo-make-node-list', and (2) escape node names for commas.
	(Texinfo-arg-nodename): New defun.
	(TeX-texinfo-mode): (1) Remove `group' from list of commands,
	`group' is an environment, not a command.  (2) Add
	`guillemetleft', `guillemetright', `guilsinglleft',
	`guilsinglright', `quotedblbase' and `quotesinglbase' to the list of
	commands.  (3) For commands `pxref', `ref' and `xref', use new function
	`Texinfo-arg-nodename' to read node name with completion.

	Signed-off-by: Tassilo Horn <tsdh@gnu.org>

2015-10-25  Arash Esbati  <esbati@gmx.de>

	Improve style.

	* style/enumitem.el (LaTeX-enumitem-auto-cleanup): Move some operations
	from style hook into this function.
	(LaTeX-enumitem-newlist-list-item-arg-local): Delete now unused 
	variable.

2015-10-25  Arash Esbati  <esbati@gmx.de>

	Improve style.

	* style/amsthm.el (LaTeX-amsthm-theoremstyle-list): New variable 
	replacing the deleted function
	`LaTeX-amsthm-complete-theoremstyle'.
	(LaTeX-amsthm-env-label): New function to insert user defined 
	environments.
	("amsthm"): Improve handling of "newtheorem*" and
	"newtheoremstyle".

2015-10-25  Arash Esbati  <esbati@gmx.de>

	Remove SmallCaps font declaration command.

	* style/AlegreyaSans.el ("AlegreyaSans"): Remove SmallCaps font
	declaration command.

	* style/Alegreya.el ("Alegreya"): Remove SmallCaps font declaration
	command.

2015-10-25  Arash Esbati  <esbati@gmx.de>

	Fix docstring.

	* style/caption.el (LaTeX-arg-caption-captionbox): Fix doctring.

	* style/subcaption.el (LaTeX-arg-subcaption-subcaption): Fix doctring.
	(LaTeX-arg-subcaption-subcaptionbox): ditto.

2015-10-19  Tassilo Horn  <tsdh@gnu.org>

	Release GNU AUCTeX 11.88.9

	* Version 11.88.9 released.

2015-10-19  Tassilo Horn  <tsdh@gnu.org>

	Merge branch 'master' into elpa

2015-10-19  Mosè Giordano  <mose@gnu.org>

	Make sure there is a working TeX distribution before running *tex.

	* tex-buf.el (TeX-command): Check that AUCTeX can find a working TeX
	distribution before running some *TeX commands.

2015-10-18  Mosè Giordano  <mose@gnu.org>

	Define TeX-completing-read-multiple for Emacs 24.4 and later.

	* tex.el (fboundp): Define a `TeX-completing-read-multiple' version for
	GNU Emacs >= 24.4.  Fixes bug#19504.

2015-10-13  Mosè Giordano  <mose@gnu.org>

	Do not disable PDF when using pstricks with XeTeX.

	* style/pstricks.el ("pstricks"): Do not disable PDF mode if XeTeX 
	engine is used.	 Suggested by Mandar Mitra.

2015-10-09  Tassilo Horn  <tsdh@gnu.org>

	Fill $...$ like \(...\) (bug#21645)

	* latex.el (LaTeX-fill-move-to-break-point): Fill $...$ like
	\(...\) (bug#21645)

2015-10-09  Mosè Giordano  <mose@gnu.org>

	Split TeX-expand-list into a builtin and a custom list.

	* tex.el (TeX-expand-list-builtin): New variable.
	(TeX-expand-list): Move all entries to `TeX-expand-list-builtin' and
	update docstring.
	(TeX-expand-list): New function.

	* tex-buf.el (TeX-command-expand): Use `TeX-expand-list' function.

	* doc/auctex.texi (Starting Viewers): Mention
	`TeX-expand-list-builtin'.

	* doc/changes.texi: Mention change to `TeX-expand-list'.

2015-10-08  Arash Esbati  <esbati@gmx.de>

	Use `LaTeX-add-counters' on "LTchunksize".

	* style/longtable.el ("longtable"): Use `LaTeX-add-counters' on
	"LTchunksize" and not `TeX-add-symbols'.

	Signed-off-by: Mosè Giordano <mose@gnu.org>

2015-10-08  Arash Esbati  <esbati@gmx.de>

	Remove unused `prompt' from arguments list.

	* style/enumitem.el (LaTeX-arg-SetEnumitemKey): Remove unused
	`prompt' from arguments list.
	(LaTeX-arg-SetEnumitemValue): ditto.

	Signed-off-by: Mosè Giordano <mose@gnu.org>

2015-10-08  Arash Esbati  <esbati@gmx.de>

	Add user-defined values to "style" key.

	* style/listings.el (LaTeX-listings-key-val-options-local): New variable
	used for all key-val queries.
	("listings-lstdefinestyle"): Add parsing support for
	"\lstdefinestyle".
	(LaTeX-listings-lstnewenvironment-regexp): Add missing "s" to
	"listing".
	(LaTeX-listings-update-style-key): New function adding newly defined
	values to "style" key in
	`LaTeX-listings-key-val-options-local'.
	("listings"): Extend "lstdefinestyle".

	Signed-off-by: Mosè Giordano <mose@gnu.org>

2015-10-08  Arash Esbati  <esbati@gmx.de>

	Support newfloat.el.

	* style/wrapfig.el ("wrapfig"): Check for new floating environments
	definded through "newfloat.el" and offer them as completion to
	"wrapfloat" environment.

	Signed-off-by: Mosè Giordano <mose@gnu.org>

2015-10-05  Mosè Giordano  <mose@gnu.org>

	Fix previous commit.

2015-10-05  Mosè Giordano  <mose@gnu.org>

	Add supporto to ConTeXt Mark IV in some sentinels.

	* context.el (TeX-ConTeXt-sentinel): Parse ConTeXt Mark IV output.

	* tex-buf.el (TeX-TeX-sentinel-check): Ditto.

2015-10-05  Arash Esbati  <esbati@gmx.de>

	Support caption.el and some other fixes.

	* style/newfloat.el (LaTeX-newfloat-auto-cleanup): Check if
	`LaTeX-caption-supported-float-types' from caption.el is bound and 
	update it accordingly.	Fix docstring.
	("newfloat"): Fix wrong check with (LaTeX-largest-level).
	("newfloat"): Use `LaTeX-newfloat-key-val-options-local' and delete
	redundant code.

	Signed-off-by: Mosè Giordano <mose@gnu.org>

2015-10-04  Mosè Giordano  <mose@gnu.org>

	Different approach to support ConTeXt Mark IV.

	* context.el (ConTeXt-Mark-version): New customizable and safe-local
	variable.
	(ConTeXt-expand-command): New function.
	(ConTeXt-expand-options): Use `ConTeXt-Mark-version'.

	* tex.el (TeX-command-list): Use %(cntxcom) expander in all ConTeXt
	programs.  Remove MkIV entry.
	(TeX-expand-list): Add %(cntxcom).

2015-10-04  Tassilo Horn  <tsdh@gnu.org>

	Fontify math environment

	* font-latex.el (font-latex-math-environments): Add math environment.

2015-10-04  Mosè Giordano  <mose@gnu.org>

	Start supporting ConTeXt Mark IV.

	* tex.el (TeX-command-list): Add MkIV to `TeX-command-list'.

2015-09-30  Tassilo Horn  <tsdh@gnu.org>

	Fix typo in comment.

2015-09-29  Mosè Giordano  <mose@gnu.org>

	Fix previous commit.

	* style/newfloat.el (LaTeX-newfloat-auto-cleanup): Replace another
	`pushnew' with `add-to-list', previously overlooked.

2015-09-28  Mosè Giordano  <mose@gnu.org>

	Append entries to LaTeX-label-alist in newfloat.el.

	* style/newfloat.el: Do not require cl at loading time.
	(LaTeX-newfloat-auto-cleanup): Append elements to
	`LaTeX-label-alist' in order not to override possible custom values.

2015-09-28  Arash Esbati  <esbati@gmx.de>

	Add new style newfloat.el.

	* Makefile.in (STYLESRC): Add new style.

	* style/newfloat.el: New file.

	Signed-off-by: Mosè Giordano <mose@gnu.org>

2015-09-28  Arash Esbati  <esbati@gmx.de>

	Use LaTeX-add-lengths for LaTeX-lengths.

	* style/longtable.el ("longtable"): Make package lengths available 
	through `LaTeX-add-lengths' and not `TeX-add-symbol'.

	Signed-off-by: Mosè Giordano <mose@gnu.org>

2015-09-26  Mosè Giordano  <mose@gnu.org>

	Avoid searching with kpathsea in duplicate directories.

	* tex.el (TeX-search-files-kpathsea): Remove duplicates directories.

2015-09-26  Tassilo Horn  <tsdh@gnu.org>

	Add font-latex specific prettify-symbols-compose-predicate

	* tex.el (TeX--prettify-symbols-compose-p): New function.
	(VirTeX-common-initialization): Use it.

2015-09-26  Tassilo Horn  <tsdh@gnu.org>

	Fixup space-before-tab git warned about.

2015-09-26  Arash Esbati  <esbati@gmx.de>

	Add new style subcaption.el.

	* Makefile.in (STYLESRC): Add new style.

	* style/subcaption.el: New file.

2015-09-26  Arash Esbati  <esbati@gmx.de>

	Apply some fixes to caption.el.

	* style/caption.el (LaTeX-caption-key-val-options): Fix values of
	hypcap-key.
	(LaTeX-caption-update-key-val-options): Add support for subcaption.el if
	loaded.
	(LaTeX-arg-caption-captionbox): Do not query for the third optional arg.
	if the second one is empty.
	("caption"): Add support for all lowercase \continuedfloat*?.
	("caption"): Fix fontification for \captionof.

2015-09-26  Arash Esbati  <esbati@gmx.de>

	Make `LaTeX-indent-environment-list' local.

	* style/hyperref.el ("hyperref"): Make
	`LaTeX-indent-environment-list' local before adding new env's.

2015-09-26  Arash Esbati  <esbati@gmx.de>

	Make `LaTeX-indent-environment-list' local.

	* style/filecontents.el ("filecontents"): Make
	`LaTeX-indent-environment-list' local before adding new env's.

2015-09-26  Arash Esbati  <esbati@gmx.de>

	Fix mail address in Maintainer-header.

	* style/fontenc.el: Fix mail address in Maintainer-header.

2015-09-25  Mosè Giordano  <mose@gnu.org>

	Add abstract env only to classes defining it.

	* latex.el (LaTeX-common-initialization): Remove "abstract" environment,
	it is not defined in latex.ltx.

	* style/amsart.el ("amsart"): Add "abstract" environment.

	* style/amsbook.el ("amsbook"): Ditto.

	* style/article.el ("article"): Ditto.

	* style/memoir.el ("memoir"): Ditto.

	* style/report.el ("report"): Ditto.

	* style/scrartcl.el ("scrartcl"): Ditto.

	* style/scrreprt.el ("scrreprt"): Ditto.

2015-09-24  Mosè Giordano  <mose@gnu.org>

	Use default argument of completing-read.

	* tex.el (TeX-doc): Use default argument of `completing-read'.

2015-09-22  Tassilo Horn  <tsdh@gnu.org>

	Improve LaTeX-find-matching-end

	* latex.el (LaTeX-find-matching-end): Find correct end when point is
	already on the name in \end{name}.

2015-09-20  Mosè Giordano  <mose@gnu.org>

	Do not reference auto.el in Makefile and gitignore.

	* .gitignore: Do not ignore auto.el.

	* Makefile.in (install-metadata): auto.el is not there anymore, we do
	not need to test if preview is enabled here.

2015-09-19  Tassilo Horn  <tsdh@gnu.org>

	FiX TeX error parsing.

	* tex-buf.el (TeX-TeX-sentinel): Fix error parsing.

2015-09-19  Tassilo Horn  <tsdh@gnu.org>

	Fix typo in error message.

	* tex-buf.el (TeX-error-overview): Fix typo in error message.

2015-09-13  Arash Esbati  <esbati@gmx.de>

	Append `-list' to `LaTeX-eso-pic-package-options'.

	* style/eso-pic.el (LaTeX-eso-pic-package-options-list): Rename from
	`LaTeX-eso-pic-package-options'.
	(LaTeX-eso-pic-package-options): Use renamed variable.

	Signed-off-by: Mosè Giordano <mose@gnu.org>

2015-09-13  Arash Esbati  <esbati@gmx.de>

	Add new style AlegreyaSans.el.

	* style/AlegreyaSans.el: New file.

	* Makefile.in (STYLESRC): Add new style.

	Signed-off-by: Mosè Giordano <mose@gnu.org>

2015-09-13  Arash Esbati  <esbati@gmx.de>

	Add new style Alegreya.el.

	* Makefile.in (STYLESRC): Add new style.

	* style/Alegreya.el: New file.

	Signed-off-by: Mosè Giordano <mose@gnu.org>

2015-09-13  Arash Esbati  <esbati@gmx.de>

	Add new style fontenc.el.

	* Makefile.in (STYLESRC): Add new style.

	* style/fontenc.el: New file.

	Signed-off-by: Mosè Giordano <mose@gnu.org>

2015-09-10  Mosè Giordano  <mose@gnu.org>

	Fix in Italian language polyglossia style file.

	* style/gloss-italian.el ("gloss-italian"): Fix "textitalian" macro and
	"italian" environment arguments.

2015-09-10  Mosè Giordano  <mose@gnu.org>

	Remove one TODO in style/polyglossia.el.

2015-09-10  Mosè Giordano  <mose@gnu.org>

	Fix loading of polyglossia language style files.

	* style/polyglossia.el (LaTeX-polyglossia-prepare): Clear
	`LaTeX-polyglossia-lang-list'.
	(LaTeX-polyglossia-cleanup): Remove clearing of
	`LaTeX-polyglossia-lang-list'.
	(TeX-update-style-hook): Append
	`LaTeX-polyglossia-load-languages'.
	("polyglossia"): Remove `LaTeX-polyglossia-load-languages' from here.

2015-09-09  Mosè Giordano  <mose@gnu.org>

	Create Italian style file for polyglossia.

	* style/polyglossia.el: Remove
	`LaTeX-polyglossia-italian-options-list', moved to gloss-italian.el.
	(LaTeX-polyglossia-setkeys-regexp): Fix regexp.
	(LaTeX-polyglossia-cleanup): Remove useless let-bound variables and set
	`LaTeX-polyglossia-lang-list'.
	(LaTeX-polyglossia-active-languages)
	(LaTeX-polyglossia-lang-option-member): Use
	`LaTeX-polyglossia-lang-list' variable instead of function.
	(LaTeX-polyglossia-load-languages): New function.
	("polyglossia"): Use it.

	* style/gloss-italian.el: New style file.

	* Makefile.in (STYLESRC): Activate it.

2015-09-09  Mosè Giordano  <mose@gnu.org>

	Style file for polyglossia package.

	* style/polyglossia.el: New style file.

	* Makefile.in (STYLESRC): Activate it.

2015-09-09  Arash Esbati  <a.esbati@elumatec.net>

	Minor improvements to hyperref.el.

	* style/hyperref.el ("hyperref"): Add completion for starred version of
	`\autoref' incl. fontification.
	("hyperref"): Add fontification support for `\hypersetup'.

2015-09-08  Tassilo Horn  <tsdh@gnu.org>

	Fix wrong TeX-command-default guess for region files

	* tex-buf.el (TeX-command-default): Fix bug where wrong command was
	guessed for region files.

2015-09-07  Mosè Giordano  <mose@gnu.org>

	Suggest to run Index when appropriate.

	* tex-buf.el (LaTeX-idx-md5-alist, LaTeX-idx-changed-alist): New 
	variables.
	(TeX-command-sequence): Call file function without optional arguments.
	(TeX-command-default): Suggest "Index" when appropriate.
	(TeX-run-TeX): Store value of `LaTeX-idx-md5-alist'.
	(TeX-run-index): New function.
	(TeX-LaTeX-sentinel): Set `LaTeX-idx-changed-alist'.
	(TeX-index-sentinel): New function.

	* tex.el (TeX-command-list): Mention "makeindex" in "Index" help. 
	Suggested by Arash Esbati.

	* doc/changes.texi: Mention ability to suggest makeindex when needed.

	* doc/todo.texi (Wishlist): Remove reference to makeindex.

2015-09-07  Mosè Giordano  <mose@gnu.org>

	Add TeX-compile-run-all to AUCTeX reference card.

	* doc/tex-ref.tex: Update copyright years. Mention C-c C-a key binding.

2015-09-05  Tassilo Horn  <tsdh@gnu.org>

	Fix missing unfontification of invisible property

	* font-latex.el (font-latex-unfontify-region): Also remove the
	`invisible' text properties.

2015-09-04  Tassilo Horn  <tsdh@gnu.org>

	Fixes for "run-all" on current section

	* tex-buf.el (TeX-command-sequence-file-function): New variable.
	(TeX-command-sequence): Use it.
	(LaTeX-command-section-boundaries): Recognize end of document as 
	ultimate boundary.
	(LaTeX-command-section): Signal an error if not in a LaTeX buffer.
	(LaTeX-command-run-all-section): Ditto.

2015-09-04  Mosè Giordano  <mose@gnu.org>

	Reference TeX-command-run-all in documentation.

	* doc/auctex.texi (Starting a Command): Update references to
	`TeX-command-run-all' and C-c C-a key binding.

	* doc/changes.texi: Ditto.

	* doc/quickstart.texi (Processing Facilities): Ditto.

	* tex-buf.el (TeX-command-run-all): Use `universal-argument' to 
	reference C-u.

2015-09-04  Tassilo Horn  <tsdh@gnu.org>

	Implement "run-all" for regions and sections

	* tex.el: Add autoloads for the new commands.

	* tex-buf.el (TeX-region-update): New function.
	(TeX-command-region): Use it.
	(LaTeX-command-section-boundaries): New function.
	(LaTeX-command-section): Use it.
	(TeX-command-run-all-region): New command.
	(LaTeX-command-run-all-section): New command.
	(TeX-command-run-all): Move it here from tex.el.

2015-09-04  Tassilo Horn  <tsdh@gnu.org>

	Rename TeX-update to TeX-command-run-all.

	* tex.el (TeX-command-run-all): Rename from TeX-update.
	(TeX-mode-map): Bind TeX-command-run-all to C-c C-a.

2015-09-03  Tassilo Horn  <tsdh@gnu.org>

	Docfix

2015-09-03  Tassilo Horn  <tsdh@gnu.org>

	Improve my last commit

2015-09-03  Tassilo Horn  <tsdh@gnu.org>

	Allow hiding ^ and _ script signs

	* font-latex.el (font-latex-fontify-script): Add possible value
	`multi-level' to allow raising/lowering scripts of scripts, and another
	value `invisible' which in addition hides the ^ and _ characters in
	scripts.
	(font-latex-match-script): Use it.
	(font-latex-make-user-keywords): Add font-lock entry for script signs.
	(font-latex-script-invisible): New function.

2015-09-03  Tassilo Horn  <tsdh@gnu.org>

	Implement multi-level script fontification

	* font-latex.el (font-latex-fontify-script): Add possible value
	`multi-level' to allow raising/lowering scripts of scripts.
	(font-latex-match-script): Use it.

2015-09-03  Tassilo Horn  <tsdh@gnu.org>

	Case-sensitive mode detection + AMS-TeX fixes

	* tex.el (TeX-tex-mode): Don't ignore case when matching the 
	TeX-format-list regexes.
	(TeX-expand-list): Add expansion of %(PDFout) to -output-format option
	for AmS-TeX.
	(TeX-command-list): Use it instead of calling the non-existing pdfamstex
	command.

2015-09-02  Tassilo Horn  <tsdh@gnu.org>

	Don't add font-latex-setup to latex-mode-hook

	* font-latex.el: Remove code which set up font-latex for use with stock
	latex-mode on load.

2015-09-01  Tassilo Horn  <tsdh@gnu.org>

	Allow TeX-command-sequence to process the region

	* tex-buf.el (TeX-command-sequence): Add argument for processing the
	region file instead of the master file.

2015-09-01  Tassilo Horn  <tsdh@gnu.org>

	New TeX--if-macro-fboundp compatibility macro

	* tex.el (TeX--if-macro-fboundp): New portability macro.
	(VirTeX-common-initialization): Use it.

2015-08-31  Mosè Giordano  <mose@gnu.org>

	Generate PDF via dvips+ps2pdf.

	* tex-buf.el (TeX-previous-error): Delete point in error message.
	(TeX-command-default)
	(TeX-run-set-command): Take care of `TeX-PDF-via-dvips-ps2pdf'.
	(TeX-run-dvips, TeX-run-ps2pdf): New functions.
	(TeX-TeX-sentinel, TeX-TeX-sentinel-check, TeX-LaTeX-sentinel): Take
	care of `TeX-PDF-via-dvips-ps2pdf'.
	(TeX-dvips-sentinel, TeX-ps2pdf-sentinel): New functions.
	(TeX-parse-command, TeX-output-revert-buffer): Delete point in error
	message.

	* tex.el (TeX-command-list): Add "Dvips" and "Ps2pdf" entries.
	(TeX-expand-list): Take care of `TeX-PDF-via-dvips-ps2pdf'.
	(TeX-PDF-via-dvips-ps2pdf): New customizable and safe-local variable.
	(TeX-toggle-PDF-via-dvips-ps2pdf): New function.
	(TeX-mode-specific-command-menu-entries): Add "PDF via dvips + ps2pdf"
	entry.

	* doc/auctex.texi (Processor Options): Document
	`TeX-PDF-via-dvips-ps2pdf' and fix a typo.

	* doc/changes.texi: Mention `TeX-PDF-via-dvips-ps2pdf'.

	* doc/quickstart.texi (Processing Facilities): Mention
	`TeX-PDF-via-dvips-ps2pdf'.

2015-08-31  Mosè Giordano  <mose@gnu.org>

	Implement TeX-update.

	* tex-buf.el: Update copyright year.
	(TeX-command-sequence-max-runs-same-command)
	(TeX-command-sequence-max-runs): New customizable variables.
	(TeX-command-sequence-count-same-command)
	(TeX-command-sequence-count, TeX-command-sequence-last-command)
	(TeX-command-sequence-sentinel, TeX-command-sequence-command): New 
	variables.
	(TeX-command-sequence): New function.
	(TeX-command-default): New function, stripped off from
	`TeX-command-query'.
	(TeX-command-query): Use `TeX-command-default'.
	(TeX-command-sequence-sentinel): New function.

	* tex.el (TeX-update): New function.
	(TeX-mode-map): Add key binding for `TeX-update'.
	(TeX-mode-specific-command-menu-entries): Add entry for
	`TeX-update'.

	* doc/auctex.texi: Update copyright year.
	(Starting a Command): Document `TeX-update'.

	* doc/changes.texi: Update copyright year. Mention `TeX-update'.

	* doc/quickstart.texi (Processing Facilities): Mention
	`TeX-update' and `TeX-error-overview'.

	* doc/todo.texi: Update copyright year.
	(Wishlist): Remove entry for `TeX-update'.

2015-08-30  Arash Esbati  <esbati@gmx.de>

	Add support for undocumented macros `\captionbox[*]'.

	* style/caption.el ("caption"): Add support for undocumented macros
	`\captionbox[*]'.
	(LaTeX-arg-caption-captionbox): New function.

	Signed-off-by: Mosè Giordano <mose@gnu.org>

2015-08-30  Arash Esbati  <esbati@gmx.de>

	Add new style transparent.el.

	* Makefile.in (STYLESRC): Add new style.

	* style/transparent.el: New file.

	Signed-off-by: Mosè Giordano <mose@gnu.org>

2015-08-30  Arash Esbati  <esbati@gmx.de>

	Do not indent the content of `filecontents[*]' env.

	* style/filecontents.el ("filecontents"): Do not indent the content of
	`filecontents[*]' environment.

	Signed-off-by: Mosè Giordano <mose@gnu.org>

2015-08-30  Arash Esbati  <esbati@gmx.de>

	Do not indent the content of `Form' environment.

	* style/hyperref.el ("hyperref"): Do not indent the content of
	`Form' environment.

	Signed-off-by: Mosè Giordano <mose@gnu.org>

2015-08-30  Arash Esbati  <esbati@gmx.de>

	Add fontification for `\newcolumntype'.

	* style/array.el ("array"): Add fontification for
	`\newcolumntype'.

	Signed-off-by: Mosè Giordano <mose@gnu.org>

2015-08-28  Tassilo Horn  <tsdh@gnu.org>

	Release auctex-11.88.8

2015-08-28  Tassilo Horn  <tsdh@gnu.org>

	Change | syntax to punctuation; fixes bug#21366

	* tex.el (TeX-mode-syntax-table): Use punctuation syntax for character |
	(bug#21366).

2015-08-28  Tassilo Horn  <tsdh@gnu.org>

	Add support for prettify-symbols-mode

	* tex.el (VirTeX-common-initialization): Add support for
	`prettify-symbols-mode'.

2015-08-28  Mosè Giordano  <mose@gnu.org>

	Check engine before running LaTeX command.

	* tex-buf.el (TeX-check-engine): New customizable variable.
	(TeX-check-engine-list): New variable.
	(TeX-check-engine-add-engines): New function.
	(TeX-check-engine): New function.
	(TeX-command): Use `TeX-check-engine' and update docstring accordingly.

	* style/fontspec.el ("fontspec"): Add engine restrictions.

	* doc/auctex.texi (Processor Options): Document
	`TeX-check-engine'.

	* doc/changes.texi: Mention `TeX-check-engine'.

2015-08-28  Mosè Giordano  <mose@gnu.org>

	Add menu and new functions for error overview.

	* tex-buf.el (TeX-error-overview-jump-to-source)
	(TeX-error-overview-goto-log): New functions.
	(TeX-error-overview-mode-map): Add
	`TeX-error-overview-jump-to-source' and
	`TeX-error-overview-goto-log'.
	(TeX-error-overview-menu): Define menu for TeX error overview.
	(TeX-error-overview-mode): Add menu.

	* doc/auctex.texi (top)
	(Debugging): Add section for error overview.
	(Error overview): Document new functions and keys.

2015-08-28  Mosè Giordano  <mose@gnu.org>

	New function to read labels.

	* latex.el (LaTeX-label): Mention in the docstring the returned value. 
	Let-bind `TeX-read-label-prefix' and use `TeX-read-label' to read the
	label.
	(TeX-read-label-prefix): New variable.
	(TeX-read-label): New function.
	(TeX-arg-label): Use `TeX-read-label' and mention
	`TeX-read-label-prefix' in docstring.
	(TeX-arg-define-label): Mention `TeX-read-label-prefix' in docstring.

2015-08-28  Arash Esbati  <esbati@gmx.de>

	Fix the subgroup number in a regex.

	* latex.el (LaTeX-common-initialization): Fix the subgroup number in the
	regex for `\\(this\\)?pagestyle'

	Signed-off-by: Mosè Giordano <mose@gnu.org>

2015-08-28  Tassilo Horn  <tsdh@gnu.org>

	Fix error when preview isn't loaded (intentionally)

	* latex.el (TeX-latex-mode): Call LaTeX-preview-setup only if its bound.

2015-08-28  Tassilo Horn  <tsdh@gnu.org>

	Setup preview menu/keymap only once.

	* preview.el.in (LaTeX-preview-setup): Setup menu and keymap only once.

2015-08-28  Arash Esbati  <esbati@gmx.de>

	Add the missing starred version of \AddEnumerateCounter.

	* style/enumitem.el ("enumitem"): Cater for the starred version of
	`\AddEnumerateCounter'.

	Signed-off-by: Mosè Giordano <mose@gnu.org>

2015-08-28  Arash Esbati  <esbati@gmx.de>

	Make lengths available through `LaTeX-add-lengths'.

	* style/ragged2e.el ("ragged2e"): Make package lengths available through
	`LaTeX-add-lengths' and not `TeX-add-symbol'.

	Signed-off-by: Mosè Giordano <mose@gnu.org>

2015-08-28  Tassilo Horn  <tsdh@gnu.org>

	Change | syntax to punctuation; fixes bug#21366

	* tex.el (TeX-mode-syntax-table): Use punctuation syntax for character |
	(bug#21366).

2015-08-24  Tassilo Horn  <tsdh@gnu.org>

	Add support for prettify-symbols-mode

	* tex.el (VirTeX-common-initialization): Add support for
	`prettify-symbols-mode'.

2015-08-21  Mosè Giordano  <mose@gnu.org>

	Check engine before running LaTeX command.

	* tex-buf.el (TeX-check-engine): New customizable variable.
	(TeX-check-engine-list): New variable.
	(TeX-check-engine-add-engines): New function.
	(TeX-check-engine): New function.
	(TeX-command): Use `TeX-check-engine' and update docstring accordingly.

	* style/fontspec.el ("fontspec"): Add engine restrictions.

	* doc/auctex.texi (Processor Options): Document
	`TeX-check-engine'.

	* doc/changes.texi: Mention `TeX-check-engine'.

2015-08-20  Mosè Giordano  <mose@gnu.org>

	Add menu and new functions for error overview.

	* tex-buf.el (TeX-error-overview-jump-to-source)
	(TeX-error-overview-goto-log): New functions.
	(TeX-error-overview-mode-map): Add
	`TeX-error-overview-jump-to-source' and
	`TeX-error-overview-goto-log'.
	(TeX-error-overview-menu): Define menu for TeX error overview.
	(TeX-error-overview-mode): Add menu.

	* doc/auctex.texi (top)
	(Debugging): Add section for error overview.
	(Error overview): Document new functions and keys.

2015-08-19  Mosè Giordano  <mose@gnu.org>

	New function to read labels.

	* latex.el (LaTeX-label): Mention in the docstring the returned value. 
	Let-bind `TeX-read-label-prefix' and use `TeX-read-label' to read the
	label.
	(TeX-read-label-prefix): New variable.
	(TeX-read-label): New function.
	(TeX-arg-label): Use `TeX-read-label' and mention
	`TeX-read-label-prefix' in docstring.
	(TeX-arg-define-label): Mention `TeX-read-label-prefix' in docstring.

2015-08-15  Arash Esbati  <esbati@gmx.de>

	Fix the subgroup number in a regex.

	* latex.el (LaTeX-common-initialization): Fix the subgroup number in the
	regex for `\\(this\\)?pagestyle'

	Signed-off-by: Mosè Giordano <mose@gnu.org>

2015-08-10  Tassilo Horn  <tsdh@gnu.org>

	Fix error when preview isn't loaded (intentionally)

	* latex.el (TeX-latex-mode): Call LaTeX-preview-setup only if its bound.

2015-08-10  Tassilo Horn  <tsdh@gnu.org>

	Setup preview menu/keymap only once.

	* preview.el.in (LaTeX-preview-setup): Setup menu and keymap only once.

2015-08-09  Arash Esbati  <esbati@gmx.de>

	Add the missing starred version of \AddEnumerateCounter.

	* style/enumitem.el ("enumitem"): Cater for the starred version of
	`\AddEnumerateCounter'.

	Signed-off-by: Mosè Giordano <mose@gnu.org>

2015-08-09  Arash Esbati  <esbati@gmx.de>

	Make lengths available through `LaTeX-add-lengths'.

	* style/ragged2e.el ("ragged2e"): Make package lengths available through
	`LaTeX-add-lengths' and not `TeX-add-symbol'.

	Signed-off-by: Mosè Giordano <mose@gnu.org>

2015-08-07  Tassilo Horn  <tsdh@gnu.org>

	Version 11.88.7 released.

2015-08-07  Tassilo Horn  <tsdh@gnu.org>

	Merge branch 'master' into elpa

2015-08-07  Tassilo Horn  <tsdh@gnu.org>

	Setup preview differently; fixes bug#21188

	* latex.el (TeX-latex-mode): Call `LaTeX-preview-setup' unconditionally
	instead of calling it from `LaTeX-mode-hook' which breaks things if that
	hook is customized (bug#21188).

	* preview.el.in: Don't add `LaTeX-preview-setup' to
	`LaTeX-mode-hook'.

2015-07-21  Arash Esbati  <a.esbati@elumatec.net>

	Add missing commands `\nameref*' and `\Nameref'.

	* style/nameref.el ("nameref"): Add missing commands `\nameref*' and
	`\Nameref'.

	Signed-off-by: Mosè Giordano <mose@gnu.org>

2015-07-21  Arash Esbati  <a.esbati@elumatec.net>

	Fix a typo in the name of provided env's.

	* style/textpos.el ("textpos"): Fix the name of the provided env's which
	is `textblock' and not `textpos'.

	Signed-off-by: Mosè Giordano <mose@gnu.org>

2015-07-19  Arash Esbati  <esbati@gmx.de>

	Query for default first arg when (re-)defining env's.

	Signed-off-by: Mosè Giordano <mose@gnu.org>

2015-07-19  Arash Esbati  <esbati@gmx.de>

	Add new style vwcol.el.

	Signed-off-by: Mosè Giordano <mose@gnu.org>

2015-07-19  Arash Esbati  <esbati@gmx.de>

	Add new style textpos.el.

	Signed-off-by: Mosè Giordano <mose@gnu.org>

2015-07-19  Arash Esbati  <esbati@gmx.de>

	Add new style environ.el.

	Signed-off-by: Mosè Giordano <mose@gnu.org>

2015-07-19  Arash Esbati  <esbati@gmx.de>

	Add `LCRJ' to `LaTeX-array-column-letters'.

	Signed-off-by: Mosè Giordano <mose@gnu.org>

2015-07-19  Arash Esbati  <esbati@gmx.de>

	Add `X' to `LaTeX-array-column-letters'.

	Signed-off-by: Mosè Giordano <mose@gnu.org>

2015-07-19  Arash Esbati  <esbati@gmx.de>

	Parse user-defined new column types.

	Signed-off-by: Mosè Giordano <mose@gnu.org>

2015-07-09  Mosè Giordano  <mose@gnu.org>

	Restore deleted preview README.

	* latex/README: restore file deleted by mistake when preview/ directory
	has been moved to top level.

	* Makefile.in: Use everywhere $(MAKE) in place of make.

2015-06-21  Mosè Giordano  <mose@gnu.org>

	Parse hf-tikz messages suggesting to rerun LaTeX.

	* tex-buf.el (TeX-LaTeX-sentinel): Add support for hf-tikz messages.

2015-06-21  Mosè Giordano  <mose@gnu.org>

	Add new style file for mnras class.

	* style/mnras.el: New style file.

	* Makefile.in (STYLESRC): Activate it.

2015-06-14  Arash Esbati  <esbati@gmx.de>

	Improve completion of includepdf macro.

	* style/pdfpages.el ("pdfpages"): Restrict suggested files to
	*.pdf files.  File name should be relative to master file directory.

	Signed-off-by: Mosè Giordano <mose@gnu.org>

2015-06-13  Mosè Giordano  <mose@gnu.org>

	Find warnings emitted by a package with digits in its name.

	* tex-buf.el (TeX-LaTeX-sentinel-has-warnings, TeX-parse-error): Cater
	for packages with digits in their names (e.g., fixltx2e, wich emits a
	warning from TeX Live 2015).

2015-06-12  Berend de Boer  <berend@pobox.com>

	Missing ConTeXt-(un)numbered-section-list-nl variables.

2015-06-09  Tassilo Horn  <tsdh@gnu.org>

	Really ignore dbus errors

	* tex.el (TeX-evince-dbus-p): Explicitly bind dbus-debug to nil in order
	to really ignore dbus errors with dbus-ignore-errors.

2015-06-05  Arash Esbati  <esbati@gmx.de>

	New style pdfpages.el.

	* Makefile.in (STYLESRC): Add new style.

	* style/pdfpages.el: New file.

	Signed-off-by: Mosè Giordano <mose@gnu.org>

2015-06-05  Arash Esbati  <esbati@gmx.de>

	Query for optional env arg defined with \lstnewenvironment.

	* style/listings.el (LaTeX-listings-auto-cleanup): Add support for the
	optional argument of env's defined with `\lstnewenvironment'.
	(LaTeX-listing-lstnewenvironment-regexp): Ditto.

	Signed-off-by: Mosè Giordano <mose@gnu.org>

2015-06-05  Ikumi Keita	 <ikumi@ikumi.que.jp>

	Restore Emacs 22 compatibility

	* tex.el (featurep): Restore compatibility with emacs versions which
	don't have `activate-mark' (Emacs <= 22).

	Signed-off-by: Tassilo Horn <tsdh@gnu.org>

2015-06-02  Arash Esbati  <esbati@gmx.de>

	Query for optional env arg

	* latex.el (LaTeX-auto-cleanup): Prepare so that an optional environment
	arg is also queried.

	Signed-off-by: Tassilo Horn <tsdh@gnu.org>

2015-06-01  Tassilo Horn  <tsdh@gnu.org>

	Consider args with \newenvironment with opt arg

	* latex.el (LaTeX-auto-env-args-with-opt): New variable for collecting
	environments with an optional argument.
	(LaTeX-auto-regexp-list): Use it.
	(LaTeX-auto-cleanup): Initialize \newenvironment{foo}[n][d]{}{} with the
	n-1 remaining mandatory arguments.

2015-05-29  Nicolas Richard  <youngfrog@members.fsf.org>

	Fix bug in LaTeX-backward-paragraph in narrowed buffers

	* latex.el (LaTeX-backward-paragraph): Make it work in narrowed buffers.
	 Fixes bug#20685.

	Signed-off-by: Tassilo Horn <tsdh@gnu.org>

2015-05-18  Orlando Iovino  <orlando.iovino@yahoo.it>

	Add subtitle to slide-title class

	* style/beamer.el ("beamer"): Add `subtitle' to the `slide-title' class.

	Signed-off-by: Tassilo Horn <tsdh@gnu.org>

2015-05-18  Arash Esbati  <esbati@gmx.de>

	New styles newpxtext.el and newpxmath.el.

	* Makefile.in (STYLESRC): Add new styles.

	* style/newpxmath.el: New file.

	* style/newpxtext.el: New file.

2015-05-18  Arash Esbati  <esbati@gmx.de>

	More font-lock fix for verbatim environment args.

	* font-latex.el (font-latex-set-syntactic-keywords): Allow for multiple
	mandatory argument for a verbatim environment.

2015-05-18  Arash Esbati  <esbati@gmx.de>

	Parse env's defined with `\lstnewenvironment'.

	* style/listings.el ("listings"): Add support for parsing new env's
	defined with `\lstnewenvironment' command.

2015-05-08  Tassilo Horn  <tsdh@gnu.org>

	Release auctex 11.88.6

	* Version 11.88.6 released.

2015-05-08  Tassilo Horn  <tsdh@gnu.org>

	Merge branch 'master' into elpa

2015-05-08  Tassilo Horn  <tsdh@gnu.org>

	Fix TeX-tree-expand docstring

	(TeX-tree-expand): Fix docstring.

2015-05-08  Tassilo Horn  <tsdh@gnu.org>

	Merge branch 'master' into elpa

2015-05-08  Tassilo Horn  <tsdh@gnu.org>

	Use paired delimiter syntax for |.

	* tex.el (TeX-mode-syntax-table): Use paired delimiter syntax for 
	character |.

2015-05-07  Mosè Giordano  <mose@gnu.org>

	[Fix #20513] Fix type of TeX-view-program-list.

	* tex.el: Update copyright years.
	(TeX-view-program-list): Fix type.  (Bug#20513)

2015-05-05  Mosè Giordano  <mose@gnu.org>

	Fix in italian.el style file.

	* style/italian.el: Evaluate `TeX-quote-after-quote'.

2015-05-01  Tassilo Horn  <tsdh@gnu.org>

	Release GNU AUCTeX 11.88.5

2015-05-01  Tassilo Horn  <tsdh@gnu.org>

	Merge branch 'master' into elpa

2015-05-01  Tassilo Horn  <tsdh@gnu.org>

	Speed up kpsewhich calls by expanding all vars in one call

	* tex.el (TeX-tree-expand): Expand all given vars in just one single 
	call of kpsewhich.  Users reported that on some windows and mac systems, 
	kpsewhich is extremely slow leading to auctex startup times of several 
	seconds.

2015-04-29  Tassilo Horn  <tsdh@gnu.org>

	Fix docstring and spelling errors

	* tex.el (TeX-string-divide-number-unit): Fix docstring.

	* style/mathtools.el ("mathtools"): Fix typos.

2015-04-25  Tassilo Horn  <tsdh@gnu.org>

	Improve TeX-parse-macro docstring

	* tex.el (TeX-parse-macro): Improve docstring.

2015-04-19  Tassilo Horn  <tsdh@gnu.org>

	Complete last commit

2015-04-19  Tassilo Horn  <tsdh@gnu.org>

	Regexp-quote TeX-region-file in TeX-clean

	* tex.el (TeX-clean): Also regexp-quote TeX-region-file.

2015-04-17  Tassilo Horn  <tsdh@gnu.org>

	Delete vars preview-lispdir and preview-datadir

	Since we've pulled preview from its own subdir, these two variables are 
	the same as TeX-lisp-directory and TeX-data-directory anyway.

	* preview.el.in (preview-datadir, preview-lispdir): Delete these two
	variables.
	(preview-filter-specs): Use TeX-data-directory in place of 
	preview-datadir.

	* configure.ac: Remove auto.el from AC_OUTPUT.

	* Makefile.in (auto.el): Delete target.

2015-04-11  Tassilo Horn  <tsdh@gnu.org>

	Fix bug#20301

	* style/mathtools.el (LaTeX-mathtools-env-multlined): Don't call 
	newline-and-indent after inserting environment.

2015-04-11  Arash Esbati  <esbati@gmx.de>

	New style attachfile.el.

	* Makefile.in (STYLESRC): Add new style.

	* style/attachfile.el: New file.

	Signed-off-by: Mosè Giordano <mose@gnu.org>

2015-04-11  Arash Esbati  <esbati@gmx.de>

	Improve/update styles.

	* style/fbb.el: Update style to LaTeX package v1.07 from 2015/04/06.

	* style/erewhon.el ("erewhon"): Update style to LaTeX package v1.04 from
	2015/04/07.

	* style/baskervaldx.el ("baskervaldx"): Update style to LaTeX package
	v1.07 from 2015/04/06.

	* style/newtxtext.el ("newtxtext"): Update style to LaTeX package v1.434
	from 2015/04/07.

	* style/enumitem.el ("enumitem"): Fix typos.

	* style/everysel.el ("everysel"): Fix typo (AtNextSelect_f_ont).

	* style/color.el: Replace `read-string' with `TeX-read-string'.

	* style/currvita.el: Replace `read-string' with `TeX-read-string'.

	* style/wrapfig.el: Replace `read-string' with `TeX-read-string'.

	* style/MyriadPro.el ("MyriadPro"): Add missing lenghts
	`MdSlantfracSpacingBeforeSlash' and `MdSlantfracSpacingAfterSlash'.

	* style/caption.el (LaTeX-caption-key-val-options): Delete wrong values
	for `margin'-key.
	(LaTeX-arg-caption-command): Use `TeX-argument-insert' and do not rely
	on `TeX-arg-eval' anymore.
	(LaTeX-arg-caption-DeclareCaption): Ditto.

	Signed-off-by: Mosè Giordano <mose@gnu.org>

2015-04-11  Tassilo Horn  <tsdh@gnu.org>

	Release 11.88.4

2015-04-11  Tassilo Horn  <tsdh@gnu.org>

	Merge branch 'master' into elpa

2015-04-02  Mosè Giordano  <mose@gnu.org>

	Document indentation of "\[...\]".

	* doc/auctex.texi (Indenting): Document indentation of "\[...\]".

	* doc/changes.texi: Mention it.

2015-03-30  Mosè Giordano  <mose@gnu.org>

	[Fix #20227] Fix indentation of \[...\] math mode.

	* latex.el (LaTeX-begin-regexp): Add "\[".
	(LaTeX-indent-calculate): Remove indentation of "\[...\]" from here, it
	is automatically done in `LaTeX-indent-level-count' now that
	`LaTeX-begin-regexp' has "\[".	(Bug#20227)

2015-03-28  Mosè Giordano  <mose@gnu.org>

	Remove duplicate lines.

2015-03-28  Mosè Giordano  <mose@gnu.org>

	Fix parsing of new auto types in style files.

	* style/acro.el:

	* style/acronym.el:

	* style/caption.el:

	* style/color.el:

	* style/enumitem.el:

	* style/geometry.el:

	* style/minted.el:

	* style/pst-plot.el:

	* style/pstricks.el:

	* style/siunitx.el: Update copyright years and add
	`TeX-auto-parse' to `TeX-update-style-hook'.

2015-03-28  Arash Esbati  <esbati@gmx.de>

	New style colortbl.el.

	* Makefile.in (STYLESRC): Add new style.

	* style/colortbl.el: New file.

2015-03-28  Arash Esbati  <esbati@gmx.de>

	Ask for a `Width' in minibuffer and not a `Length'.

	* style/ltxtable.el ("ltxtable"): Ask for a `Width' and not for a
	`Length' in minibuffer.

2015-03-28  Arash Esbati  <esbati@gmx.de>

	Add three missing LaTeX lengths.

	* latex.el (LaTeX-common-initialization): Add standard LaTeX lengths
	`arraycolsep', `arrayrulewidth' and `doublerulesep'.

2015-03-23  Tassilo Horn  <tsdh@gnu.org>

	docfix

2015-03-23  Tassilo Horn  <tsdh@gnu.org>

	Apply styles in reverse order

	* tex.el (TeX-run-style-hooks): Apply style hooks in reverse order. 
	With that, a local style can modify a private or a global style, and a
	private style can modify a global one.

2015-03-22  Tassilo Horn  <tsdh@gnu.org>

	Merge from upstream master; release 11.88.3

2015-03-22  Tassilo Horn  <tsdh@gnu.org>

	Merge branch 'master' into elpa

2015-03-17  Mosè Giordano  <mose@gnu.org>

	Fix a broken link in documentation.

	* doc/wininstall.texi: Fix a broken link.

2015-03-17  Mosè Giordano  <mose@gnu.org>

	Fix of the fix. Really.

2015-03-17  Mosè Giordano  <mose@gnu.org>

	Fix header of style/mn2e.el.

2015-03-17  Mosè Giordano  <mose@gnu.org>

	Style file for mn2e.cls.

	* style/mn2e.el: New style file.

	* Makefile.in (STYLESRC): Activate new style.

2015-03-16  Arash Esbati  <esbati@gmx.de>

	New style ltxtable.el.

	* Makefile.in (STYLESRC): Add new style.

	* style/ltxtable.el: New file.

2015-03-16  Arash Esbati  <esbati@gmx.de>

	New style ltablex.el.

	* Makefile.in (STYLESRC): Add new style.

	* style/ltablex.el: New file.

2015-03-16  Arash Esbati  <esbati@gmx.de>

	Improve styles enumitem.el and caption.el.

	* style/enumitem.el (LaTeX-enumitem-SetEnumitemKey-regexp): Delete match
	for the second argument.
	(LaTeX-enumitem-SetEnumitemValue-regexp): Delete match for the third
	argument.
	(LaTeX-arg-SetEnumitemValue): Replace the randomly generated number with
	something human-readable.

	* style/caption.el (LaTeX-caption-DeclareCaption-regexp): Delete match
	for the second argument.
	(LaTeX-arg-caption-DeclareCaption): Replace the randomly generated 
	number with something human-readable.

2015-03-10  Tassilo Horn  <tsdh@gnu.org>

	Fix void-function error occuring if cl is not loaded

	* tex.el (TeX-style-path): Replace `pushnew' with equivalent code since
	defcustom init-forms don't seem to get compiled.

2015-03-10  Tassilo Horn  <tsdh@gnu.org>

	Add TeX-after-TeX-LaTeX-command-finished-hook

	* doc/auctex.texi (Modes and Hooks): Document 
	TeX-after-TeX-LaTeX-command-finished-hook.

	* tex-buf.el (TeX-after-TeX-LaTeX-command-finished-hook): New hook.
	(TeX-LaTeX-sentinel): Call it.

2015-03-09  Mosè Giordano  <mose@gnu.org>

	Improve error/warning reporting when file cannot be determined.

	* tex-buf.el (TeX-find-display-help): Display the help also when the
	file cannot be determined.

2015-03-09  Mosè Giordano  <mose@gnu.org>

	Indent \[...\] display math as a normal environment.

	* latex.el (LaTeX-end-regexp): Add "\]".
	(LaTeX-indent-calculate): Indent "\[...\]" display math as a regular
	environment.

2015-03-09  Arash Esbati  <esbati@gmx.de>

	New style for geometry.sty.

	* Makefile.in (STYLESRC): Add new style.

	* style/geometry.el: New file.

	Signed-off-by: Tassilo Horn <tsdh@gnu.org>

2015-03-09  Arash Esbati  <esbati@gmx.de>

	New style for caption.sty.

	* Makefile.in (STYLESRC): Add new style.

	* style/caption.el: New file.

2015-03-09  Arash Esbati  <esbati@gmx.de>

	New style enumitem.el

	* Makefile.in (STYLESRC): Add new style.

	* style/enumitem.el: New file.

	Signed-off-by: Tassilo Horn <tsdh@gnu.org>

2015-03-08  Tassilo Horn  <tsdh@gnu.org>

	Replace add-to-list with pushnew

	* tex.el (TeX-style-path): Replace add-to-list on local with pushnew.

2015-03-08  Tassilo Horn  <tsdh@gnu.org>

	Style for bidibeamer which delegates to beamer

	* style/bidibeamer.el: New style.

	* Makefile.in (STYLESRC): Activate new bidibeamer style.

2015-03-07  Mosè Giordano  <mose@gnu.org>

	Add uninstall rules to Makefiles.

	* doc/install.texi: Mention uninstallation in menus.
	(Build/install and uninstall): Add "Uninstallation" index entry. 
	Document uninstallation process.

	* Makefile.in: Update copyright years.
	(.PHONY): Add uninstall rule.
	(uninstall): New rule.

	* doc/Makefile.in: Update copyright years.
	(.PHONY): Add uninstall rule.
	(uninstall): New rule.

	* latex/Makefile.in: Update copyright years.
	(.PHONY): Declare phony targets.
	(install-texmf-doc): Do not ignore errors in this rule.
	(uninstall): New rule.

2015-03-03  Tassilo Horn  <tsdh@gnu.org>

	Add docs for LaTeX-fill-excluded-macros

	* doc/auctex.texi (Filling): Document LaTeX-fill-excluded-macros.

2015-03-03  Tassilo Horn  <tsdh@gnu.org>

	New defcustom LaTeX-fill-excluded-macros

	* latex.el (LaTeX-fill-excluded-macros): New defcustom for excluding
	macro arguments from filling.
	(LaTeX-fill-region-as-paragraph): Use it.

2015-03-02  Tassilo Horn  <tsdh@gnu.org>

	Fix font-locking issue

	* font-latex.el (font-latex-match-command-with-arguments): Fix error
	introduced in the last change.

2015-02-24  Tassilo Horn  <tsdh@gnu.org>

	Add some expl3 support

	* style/expl3.el: New style for the wrapper package for experimental
	LaTeX 3.

	* Makefile.in (STYLESRC): Activate new style.

	* font-latex.el (font-latex-match-simple-command)
	(font-latex-match-command-with-arguments): Use \s_ and \sw regexp 
	classes instead of hard-coding [A-Za-z@] as LaTeX macro chars.

2015-02-17  Tassilo Horn  <tsdh@gnu.org>

	Add a hook that's run after an environment is modified

	* latex.el (LaTeX-after-insert-env-hook): Rename from
	`LaTeX-after-insert-env-hooks' which is now an obsolete variable alias.
	(LaTeX-after-modify-env-hook): New hook.
	(LaTeX-modify-environment): Run `LaTeX-after-modify-env-hook'.

2015-02-13  Tassilo Horn  <tsdh@gnu.org>

	Fix bug in pdf-tools support

	* tex.el (TeX-pdf-tools-sync-view, TeX-PDF-mode): Move addition of
	`TeX-source-correlate-handle-TeX-region' to
	`pdf-sync-backward-redirect-functions' from `TeX-PDF-mode' to
	`TeX-pdf-tools-sync-view'.

2015-02-09  Tassilo Horn  <tsdh@gnu.org>

	Make TeX-pdf-tools-sync-view work with region files

	* tex.el (TeX-pdf-tools-sync-view): Make it work with
	`TeX-command-region'.

2015-02-09  Tassilo Horn  <tsdh@gnu.org>

	Simplify TeX-pdf-tools-sync-view

	* tex.el (TeX-pdf-tools-sync-view): Simplify function.

2015-02-09  Arash Esbati  <esbati@gmx.de>

	New style for color.sty

	* Makefile.in (STYLESRC): Add new style.

	* style/color.el: New style.

	Signed-off-by: Tassilo Horn <tsdh@gnu.org>

2015-02-08  Tassilo Horn  <tsdh@gnu.org>

	Fix error introduced in previous commit

	* tex.el (TeX-source-correlate-handle-TeX-region): Fix void-variable
	error.

2015-02-07  Tassilo Horn  <tsdh@gnu.org>

	Adapt to PDF Tool changes

	* tex.el (TeX-pdf-tools-sync-view)
	(TeX-source-correlate-handle-TeX-region)
	(TeX-source-correlate-sync-source, TeX-PDF-mode): Adapt PDF Tools 
	forward/backward search to latest PDF Tools changes.

2015-02-06  Mosè Giordano  <mose@gnu.org>

	Fix compatibility with Emacs < 24.

	* tex.el (TeX-source-correlate-handle-TeX-region): Replace
	`file-name-base', introduced in GNU Emacs 24, with
	`file-name-sans-extension'+`file-name-nondirectory'.

2015-02-06  Tassilo Horn  <tsdh@gnu.org>

	Handle TeX-region in backward search with both PDF Tools and Evince

	* tex.el (TeX-source-correlate-handle-TeX-region): New function.
	(TeX-source-correlate-sync-source): Use it.
	(TeX-PDF-mode): Set `pdf-sync-correlate-tex-refine-function' to
	`TeX-source-correlate-sync-source'.

2015-02-05  Tassilo Horn  <tsdh@gnu.org>

	Add PDF Tools support

	* tex.el (TeX-pdf-tools-sync-view): New function to use PDF Tools
	`pdf-view-mode' as a viewer.
	(TeX-view-program-list-builtin): Add PDF Tools entry calling
	`TeX-pdf-tools-sync-view'.

2015-02-04  Tassilo Horn  <tsdh@gnu.org>

	New tcolorbox style

	* Makefile.in (STYLESRC): Add new style.

	* style/tcolorbox.el: New style.

2015-02-01  Arash  <esbati@gmx.de>

	Add new style currvita.el.

	* Makefile.in (STYLESRC): Add new style.

	* style/currvita.el: New file.

	Signed-off-by: Tassilo Horn <tsdh@gnu.org>

2015-01-28  Tassilo Horn  <tsdh@gnu.org>

	Regenerate version info

2015-01-27  Tassilo Horn  <tsdh@gnu.org>

	Release AUCTeX 11.88.2.

	* Version 11.88.2 released.

2015-01-27  Tassilo Horn  <tsdh@gnu.org>

	Fix merge commits

2015-01-27  Tassilo Horn  <tsdh@gnu.org>

	Fix bug#19673 (cont.)

	* tex.el (TeX-view-program-list-builtin): Also remove "start" as 
	executable from the "dvips and start" entry.

2015-01-27  Tassilo Horn  <tsdh@gnu.org>

	Fix bug#19673

	* tex.el (TeX-view-program-list-builtin): Remove "start" as executable
	entry because it's no executable but a Windows system command.

2015-01-25  Tassilo Horn  <tsdh@gnu.org>

	Fix bug#19675

	* latex.el (LaTeX-section-heading): Use default parameter of 
	completing-read.  Fixes bug#19675.

2015-01-20  Tassilo Horn  <tsdh@gnu.org>

	Release version 11.88.1.

	* auctex.el: Remove byte-recompile-directory call compiling style files
	because package.el does that anyhow.

	* Version 11.88.1 released.

2015-01-19  Tassilo Horn  <tsdh@gnu.org>

	Fix indentation in auto files.

	* tex.el (TeX-auto-store): Fix indentation in auto files.

2015-01-19  Tassilo Horn  <tsdh@gnu.org>

	Remove already resolved FIXME.

2015-01-19  Tassilo Horn  <tsdh@gnu.org>

	Fix load error.

	* auctex.el (byte-recompile-directory): Refer to correct style directory
	on load.

2015-01-16  Arash Esbati  <esbati@gmx.de>

	Fix in minted style.

	* style/minted.el: Update copyright year.
	(LaTeX-minted-auto-cleanup): Fix the name of the new langcode 
	environment.

	Signed-off-by: Mosè Giordano <mose@gnu.org>

2014-12-31  Arash Esbati  <esbati@gmx.de>

	Fix a typo.

	* style/multirow.el ("multirow"): Fix a typo in the name of a variable.

	Signed-off-by: Mosè Giordano <mose@gnu.org>

2014-12-31  Arash Esbati  <esbati@gmx.de>

	Add new styles.

	* Makefile.in (STYLESRC): Add new styles.

	* style/relsize.el: New file.

	* style/wrapfig.el: New file.

	Signed-off-by: Mosè Giordano <mose@gnu.org>

2014-12-31  Arash Esbati  <esbati@gmx.de>

	Add `Form' environment needed for PDF and HTML forms.

	* style/hyperref.el ("hyperref"): Add `Form' environment needed for PDF
	and HTML forms.
	(LaTeX-hyperref-forms-options): New variable for key-val options used in
	form related macros (`TextField', `CheckBox',
	`ChoiceMenu', `PushButton', `Submit', `Reset').

	Signed-off-by: Mosè Giordano <mose@gnu.org>

2014-12-22  Tassilo Horn  <tsdh@gnu.org>

	Fix doc build

	Don't reference info node when generating CHANGES.

2014-12-22  Tassilo Horn  <tsdh@gnu.org>

	Update changes.texi

	* doc/changes.texi: Document addition of LaTeX-command-section and 
	forward/backward search enhancements with Evince.

2014-12-22  Tassilo Horn  <tsdh@gnu.org>

	Add hva file assoc to auto-mode-alist (bug#19426)

	* latex.el (auto-mode-alist): Add latex-mode association for HeVeA 
	files.

2014-12-21  Tassilo Horn  <tsdh@gnu.org>

	Improve minted style.

	* tex.el (TeX-parse-macro): Enclose arg in LaTeX-default-verb-delimiter
	if macro is in LaTeX-verbatim-macros-with-delims and there's only one
	argument.
